<?
/*--------------------------------------------------------------------
   KorWeblog :: Highly Customizable Weblog/CMS
   Copyright (C) 2001,2002 by Im Eunjea <eunjea@kldp.org>
   For detail of license and/or other info, see the file doc/COPYING.
   http://weblog.kldp.org
----------------------------------------------------------------------

LICENSE

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
----------------------------------------------------------------------*/

include("../include/common.inc.php");
include("auth.inc.php");

settype($act, "string");
if ($act == "exportrdf") {
   KWL_ExportRdf();
   $msg = _EXPORT_RDF_NOW1;   
}

$head = _STORYCONT;
include("../include/header.inc.php");

$CONF['FILE_MAX_SIZE'] = KWL_MakeMaxUploadSize($CONF['FILE_MAX_SIZE']);
$VAR["Heading"] = _STORYCONT;

$out = new KWL_Html;
$VAR["Content"] = $out->form_start("admin/submit.php","config")
. $out->table_start("100%",'',1,0,3) ."
<TR>
	<TD>". _STORY_ALLOW ."</TD>
	<TD>". $out->radio("AllowContrib",array(_NOTUSE,_USE),$CONF['AllowContrib']) ."</TD>
	</TD>
</TR>

<TR>
   <TD>". _HTML_PARSE_LEVEL ."</TD>
   <TD>". $out->select("ParseLevel",array( 0 => _PARSE_L0,
                                           2 => _PARSE_L2,
                                           3 => _PARSE_L3,
                                           4 => _PARSE_L4,
                                           5 => _PARSE_L5 ), $CONF['ParseLevel']) ."
   </TD>
</TR>

<TR>
   <TD>". _USER_PARSE ."</TD>
   <TD>". $out->radio("story_parse",array(_NOTUSE,_USE),$CONF['story_parse']) ."</TD>
</TR>
   
<TR>
   <TD>"._FILEUPLOAD."</TD>
   <TD>". $out->radio("FILE_UPLOAD",array(_NOTUSE,_USE),$CONF['FILE_UPLOAD']) ."
	<BR>"._MAXSIZE.": ". $out->input_form("text","FILE_MAX_SIZE",$CONF['FILE_MAX_SIZE'],KWL_FormSize(8),125) ." (". KWL_FileHSize($CONF['FILE_MAX_SIZE']) .")
	<BR>
	(php.ini : post_max_size=". ini_get('post_max_size').")
   </TD>
</TR>

<TR>
   <TD>". _ENABLE_EDIT ."</TD>
   <TD>". $out->radio("ENABLE_EDIT",array(_NOTUSE,_USE),$CONF['ENABLE_EDIT']) ."</TD>
</TR>
   
<TR>
	<TD>". _STORY_MODER ."</TD>
	<TD>". $out->radio("Moderation",array( 0 => _NONE,
                                          3 => _NONE ." / ". _NOTIFY,
                                          1 => _USE,
                                          2 => _USE ." / ". _NOTIFY), 
                       $CONF["Moderation"]) ."
	</TD>
</TR>

<TR>
	<TD>". _SUMMARY_LENGTH ."</TD>
	<TD>". $out->input_form("text","SummaryLength",$CONF['SummaryLength'],4,4)
	. _CHARACTER ." (0=". _NOTUSE .")</TD>
</TR>

<TR>
	<TD>". _PAGES ."</TD>
   <TD>". $out->input_form("text","LimitNews",$CONF['LimitNews'],3,3) ."
   (". _PAGES_DESC .")</TD>
</TR>

<TR>
   <TD>". _EMAIL_COMMENT ."</TD>
   <TD>". $out->radio("EmailComments",array(_NOTUSE,_USE),$CONF['EmailComments']) ."
   <small>("._EMAIL_COMMENT_DESC.")</small></TD>
</TR>

<TR>
   <TD>". _ENABLE_BUTTON ."</TD>
   <TD>". $out->radio("NEXT_PREV",array(_NOTUSE,_USE),$CONF['NEXT_PREV']) ."</TD>
</TR>

<TR>
   <TD>". _TOPIC_SHOW ."</TD>
   <TD>". $out->radio("Topics",array(_NOTUSE,_USE),$CONF['Topics']) ."
   &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
   ". _TOPIC_METHO .
   $out->select("TopicSort",array( "id"  => _TOPIC_NOSORT,
                                   "asc" => _TOPIC_ASC,
                                   "desc" => _TOPIC_DESC,
                                   "brief" => _TOPIC_BRIEF), $CONF['TopicSort']) ."
   </TD>
</TR>

<TR>
   <TD>". _SHOW_NUM ."</TD>
   <TD>". $out->radio("SHOW_NUM",array(_NOTUSE,_USE),$CONF['SHOW_NUM']) ."</TD>
</TR>

<TR>
   <TD>". _TOTAL_COUNT_IN_TOPIC ."</TD>
   <TD>". $out->radio("show_total_num",array(_NOTUSE,_USE),$CONF['show_total_num']) ."</TD>
</TR>

<TR>
   <TD>". _RDF_USE ."</TD>
   <TD>". $out->radio("Backend",array(_NOTUSE,_USE),$CONF['Backend']) ."&nbsp;&nbsp;
   [ <a href=\"config-story.php?act=exportrdf\">". _EXPORT_RDF_NOW ."</a> ]
   <BR>RDF ". _FILE ." : ". $out->input_form("text","BackendFile",$CONF['BackendFile'],KWL_FormSize(13),128) ."</TD>
</TR>

<TR>
	<TD>". _MAILTOFRIEND ."</TD>
	<TD>". $out->radio("MailFriend",array(_NOTUSE,_USE),$CONF['MailFriend']) ."</TD>
</TR>

<TR>
	<TD>". _PRINTFRIEND ."</TD>
	<TD>". $out->radio("PrintStory",array(_NOTUSE,_USE),$CONF['PrintStory']) ."</TD>
</TR>

<TR>
   <TD>"._MAILING_USE."</TD>
   <TD>". $out->radio("MailingList",array(_NOTUSE,_USE),$CONF['MailingList']) ."
   <BR>". _EMAIL .": ". $out->input_form("text","MailingAddress",$CONF['MailingAddress'],KWL_FormSize(13),128) ."</TD>
</TR>

<TR>
   <TD COLSPAN=2>"
   . $out->input_form("hidden","what","config-story")
   . $out->input_form("submit",'',_SAVE_CHANGE) ."</TD>
</TR>". $out->table_end() . $out->form_end();

KWL_DrawMain($VAR);
include("../include/footer.inc.php");
?>
