<?
/*--------------------------------------------------------------------
   KorWeblog :: Highly Customizable Weblog/CMS
   Copyright (C) 2001,2002 by Im Eunjea <eunjea@kldp.org>
   For detail of license and/or other info, see the file doc/COPYING.
   http://weblog.kldp.org
----------------------------------------------------------------------

LICENSE

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
----------------------------------------------------------------------*/

include("../include/common.inc.php");
include("$CONF[G_PATH]/include/kmod/download/index.php");
include("auth.inc.php");

settype($mode, "string");
settype($what, "string");
if ($mode == "updatefile") {
	if ($uname) $uname = htmlspecialchars(trim($uname));
	if ($url) $url = KWL_UrlCheck($url);
	if ($description) $description = chop($description);

	$sql = "UPDATE T_Download SET url = '$url', category = '$category' , description = '$description', uname = '$uname' , hit = $hit WHERE id = '$id'";
	if (SqlQuery($sql)) {
		if ($oldc != $category) {
			if (!file_exists("$CONF[dn_path]/$category")) 
				@mkdir("$CONF[dn_path]/$category",0755);
				@exec("$exec[mv] \"$CONF[dn_path]/$oldc/$oldfilepath\" \"$CONF[dn_path]/$category/\"");
		}
	}
	KWL_Redirect("admin/download.php");
	exit;

} elseif ($mode == "killfile") {
	if ($id) kill_file($id);
	KWL_Redirect("admin/download.php");
	exit;

} elseif ($mode == "download") {
	download_file($id);

} elseif ($mode == "verified") {
	$sql = "UPDATE T_Download SET Verified = 1 WHERE id = '$id'";
	SqlQuery($sql);
	KWL_Redirect("admin/download.php");
	exit;

} elseif ($mode == "change_category") {
	$title = trim($title);
	$description = trim($description);
	$sql = "UPDATE T_FileCategories SET title = '$title', description = '$description' WHERE id = '$id'";
	SqlQuery($sql);
	$msg = urlencode(_SAVED);
	KWL_Redirect("admin/download.php?mode=ecategory");

} elseif ($mode == "add_category") {
	$title = trim($title);
	$description = trim($description);
	SqlQuery ("INSERT INTO T_FileCategories VALUES ('','$title','','$description')");
	KWL_Redirect("admin/download.php?mode=ecategory");
	exit;

} elseif ($mode == "killcategory" && $id) {
	$fnum = SqlCount("T_Download","category",$id);
	$sql = "DELETE FROM T_FileCategories WHERE id = $id";
	if (SqlQuery($sql)) {
		if ($fnum) {
			$sql = "SELECT id FROM T_Download WHERE category = '$id'";
			$result = SqlQuery($sql);
			while($A = mysql_fetch_array($result)) {
				kill_file($A['id']);
			}
		}
		KWL_Redirect("admin/download.php?mode=ecategory");
		exit;
	} else KWL_ShowError(_SQL_ERROR);

} elseif ($mode == "config") {
	if (empty($CONF['dn_maxtime'])) $CONF['dn_maxtime'] = get_cfg_var('max_execution_time');
	include("../include/header.inc.php");
   $out = new KWL_Html;
	$A['Heading'] = _DOWNLOAD_CONFIG;
	$A['Content'] = $out->form_start("admin/submit.php","config") .
                   $out->table_start("100%",'',1,0,3) ."
<TR>
	<TD>". _DOWNLOAD ." Path:</TD>
	<TD>$CONF[G_PATH]/". $out->input_form("text","dn_path",$CONF['dn_path'],KWL_FormSize(5),255) ."</TD>
</TR>
<TR>
	<TD>". _FILE_CATEGORY ." ". _TOPIC_METHO .":</TD>
	<TD>". $out->select("dn_csort",array ( ""     => _TOPIC_NOSORT,
                                          "asc"  => _TOPIC_ASC,
                                          "desc" => _TOPIC_DESC), $CONF['dn_csort']) ."</TD>
</TR>
<TR>
	<TD>". _FILES_PER_PAGE. ":</TD>
	<TD>". $out->input_form("text","dn_plimit",$CONF['dn_plimit'],KWL_FormSize(2),5) ."</TD>
</TR>
<TR>
	<TD>"._USER_UPLOAD.":</TD>
	<TD align=left>". $out->radio("dn_mode", array( 0 => _NOPERMIT,
                                                   2 => _PERMIT,
                                                   1 => "Moderate"), $CONF['dn_mode']) ."</TD>
</TR>
<TR>
	<TD>". _USER_KILL_FILE .":</TD>
	<TD>". $out->radio("dn_uedit", array(_NOPERMIT,_PERMIT), $CONF['dn_uedit']) ."</TD>
</TR>
<TR>
	<TD>". _CAT_PER_LINE .":</TD>
	<TD>". $out->input_form("text","dn_pline",$CONF['dn_pline'],KWL_FormSize(2),5) ."</TD>
</TR>
<TR>
	<TD>". _MAXFILESIZE .": </TD>
	<TD>". $out->input_form("text","dn_maxsize",$CONF['dn_maxsize'],KWL_FormSize(10),50) ." (". KWL_FileHSize($CONF['dn_maxsize']) .")
	<BR>
	(php.ini : post_max_size=". ini_get('post_max_size').")
	</TD>
<TR>
	<TD>max execution time:</TD>
	<TD>". $out->input_form("text","dn_maxtime",$CONF['dn_maxtime'],KWL_FormSize(3),20) . _SECOND ."
	</TD>
</TR>
<TR>
	<TD COLSPAN=2>". $out->input_form("hidden","what","download") .
                    $out->input_form("submit",'',_SAVE_CHANGE) ."</TD></TR>".
                    $out->table_end() . $out->form_end();
	KWL_DrawMain($A);
	include("../include/footer.inc.php");

} elseif ($mode == "kill" && $id) {
	
	include("../include/header.inc.php");
	$fnum = SqlCount("T_Download","category",$id);
	$A['Content'] = "<TABLE BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"2\" WIDTH=\"100%\"><TR><TD>". _FILE_CATEGORY ." \"<B>". get_category($id) . " ($fnum files)</a>\" ". _KILLWARNIG ."</TD></TR>"
		. "<TR><TD ALIGN=CENTER>"
		. "[ <a href=\"download.php?mode=ecategory&mode=killcategory&id=$id\">". _DELETE ."</a> ]</TD></TR></TABLE>";
	$A['Heading'] = _CATEGORY_CONFIG;
	KWL_DrawMain($A);
	include("../include/footer.inc.php");

} elseif ($mode == "ecategory") {

	include("../include/header.inc.php");

	$result = SqlQuery("SELECT * FROM T_FileCategories ORDER BY id ASC");
	if (mysql_num_rows($result)) {
		$A['Content'] = "<TABLE BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"2\" WIDTH=\"100%\">";
		while($row = mysql_fetch_array($result)) {
			$fnum = "(" . SqlCount("T_Download","category",$row['id']) . ")";
			$A['Content'] .= "<TR><TD>". htmlspecialchars($row['title']) ." $fnum</TD>"
			. "<TD><a href=\"download.php?mode=ecategory&mode=kill&id=$row[id]\"><img src=\"$CONF[img_url]/kill.gif\" BORDER=0></a>&nbsp;<a href=\"download.php?mode=ecategory&what=edit&id=$row[id]\"><img src=\"$CONF[img_url]/edit.gif\" BORDER=0></a></TD></TR>";
		}
		$A['Content'] .= "</TABLE>";
	}
	
	if (!empty($A['Content'])) {
		$A['Heading'] = _CATEGORY_CONFIG;
		KWL_DrawMain($A);
	}
	
	if ($what == "edit" && $id) {
		$tmp = SqlQueryFetchArray("SELECT * FROM T_FileCategories WHERE id = $id");
		$A['Heading'] = _CATEGORY_EDIT;
		$A['Content'] = category_form("change_category",$tmp);
	} else {
		$A['Heading'] = _CATEGORY_ADD;
		$A['Content'] = category_form("add_category");
	}
	KWL_DrawMain($A);
	include("../include/footer.inc.php");
	exit;

} elseif ($mode == "viewinfo") {
	$A = get_file_info($id);
	$file = KWL_icon_check($A['filename']) . " $A[filename]";
	if (!$A['Verified']) $tmp = $file;
	else $tmp = "<a href=\"download.php?mode=download&id=$A[id]\">$file</a>";
	if (!$A['uname']) $A['uname'] = _ANONY;
	$A['Content'] = "
<TABLE BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"4\" WIDTH=\"100%\">
<TR>
	<TD><B>"._FILE_NAME.":</B></TD>
	<TD>$tmp</a></TD>
<TR>
	<TD><B>"._FILE_SIZE.":</B></TD>
	<TD>".KWL_FileHSize($A['filesize'])."</TD>
<TR>
	<TD><B>"._DATE.":</B></TD>
	<TD>".date("Y-m-d h:i a",$A['date'])."</TD>
<TR>
	<TD><B>"._FILE_HITS.":</B></TD>
	<TD>$A[hit]</TD>
<TR>
	<TD><B>"._FILE_CATEGORY.":</B></TD>
	<TD>".htmlspecialchars(get_category($A['category']))."</TD>
<TR>
	<TD><B>"._FILE_BY_WHO.":</B></TD>
	<TD>$A[uname]</TD>
<TR>
	<TD VALIGN=TOP><B>"._FILE_DESC.":</B></TD>
	<TD>". KWL_ParseContent($A['description'],$CONF["ParseLevel"]) ."</TD>
<TR>
	<TD><B>"._FILE_URL.":</B></TD>
	<TD><a href=\"$A[url]\" target=\"_new\">$A[url]</a></TD>
<TR>
	<TD COLSPAN=2 ALIGN=CENTER>[ <a href=\"download.php?mode=edit&id=$id\">"._EDIT."</a> | <a href=\"javascript:history.back()\" onmouseover=\"window.status='[Back]' ; return true\">Back</a> ]
	</TD>
</TR></TABLE>
";
	include("../include/header.inc.php");
   $A['Heading'] = _VIEW_FILE_INFO;
	KWL_DrawMain($A);
	include("../include/footer.inc.php");

} elseif ($mode == "edit") {
	$A = get_file_info($id);
	
		$content = "
<FORM ACTION=\"$CONF[G_URL]/admin/download.php\" NAME=\"Update\" METHOD=\"GET\">
<TABLE BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"5\" WIDTH=\"100%\">
<TR>
	<TD>"._FILE_NAME.":</TD>
	<TD>". KWL_icon_check($A['filename']) . " " . $A['filename'] . " - " 
	. KWL_FileHSize($A['filesize'],1) . "</TD>
<TR>
	<TD>"._FILE_CATEGORY.":</TD>
	<TD>
	<select name=\"category\">";
$result = SqlQuery("SELECT * FROM T_FileCategories ORDER BY id ASC");
while($B = mysql_fetch_array($result)) {
	$foo = ($A['category'] == $B['id']) ? "selected" : "";
	$content .= sprintf ("<option value=\"$B[id]\" %s>$B[title]</option>\n",$foo);
}

$content .= "</select>
	</TD>
<TR>
	<TD>"._FILE_URL.":</TD>
	<TD>
	<INPUT TYPE=TEXT NAME=url value=\"$A[url]\" SIZE=".KWL_FormSize(15)." MAXLENGTH=255>
	</TD>
<TR>
   <TD>"._FILE_DESC.":</TD>
	<TD>
	<TEXTAREA NAME=\"description\" ".KWL_Form_Wrap()." ROWS=5 COLS=" . KWL_FormSize(20) . ">".htmlspecialchars($A['description'])."</TEXTAREA>
	</TD>
<TR>
	<TD>"._NAME.":</TD>
	<TD>
	<INPUT TYPE=text NAME=uname value=\"$A[uname]\" SIZE=\"" . KWL_FormSize(10) . "\" MAXLENGTH=30>
	</TD>
<TR>
	<TD>"._FILE_HITS.":</TD>
	<TD>
	<INPUT TYPE=text NAME=hit value=\"$A[hit]\" SIZE=\"" . KWL_FormSize(5) . "\" MAXLENGTH=10>
	</TD>
<TR>
	<TD COLSPAN=2>
	<INPUT TYPE=HIDDEN NAME=\"filename\" VALUE=\"$A[filename]\">
	<INPUT TYPE=HIDDEN NAME=\"oldfilepath\" VALUE=\"$A[path]\">
	<INPUT TYPE=HIDDEN NAME=\"id\" VALUE=\"$A[id]\">
	<INPUT TYPE=HIDDEN NAME=\"oldc\" VALUE=\"$A[category]\">
	<INPUT TYPE=HIDDEN NAME=\"mode\" VALUE=\"updatefile\">
	<INPUT TYPE=SUBMIT VALUE=\""._EDIT."\">
	</TD>
</TR></TABLE>
</FORM>
";
	include("../include/header.inc.php");
	$A['Heading'] = _CATEGORY_CONFIG;
	$A['Content'] =& $content;
	KWL_DrawMain($A);
	include("../include/footer.inc.php");


} else {
	include("../include/header.inc.php");
	$A['Heading'] = _DOWNLOAD;
	$A['Content'] = "<TABLE ALIGN=CENTER><TR><TD>[ <a href=\"$CONF[G_URL]/admin/download.php?mode=config\">"._DOWNLOAD_CONFIG."</a> | <a href=\"$CONF[G_URL]/admin/download.php?mode=ecategory\">"._CATEGORY_CONFIG."</a> ]</TD></TR></TABLE>";
	KWL_DrawMain($A);
	echo "<P>\n";
	$A['Heading'] = _FILE_UNVERIFIED;
	$A['Content'] = verification_file();
	KWL_DrawMain($A);
	include("../include/footer.inc.php");
}

function category_form($act,$cont='') {
	global $size;
   $CONF = KWL_GetConf();

	if (is_array($cont)) $title = _CATEGORY_EDIT;
	else {
      $title = _CATEGORY_ADD;
      $cont['title'] = $cont['description'] = $cont['id'] = "";
   }
	
   $out = new KWL_Html;
	$ret = $out->form_start("admin/download.php","category") .
          $out->table_start("100%",'',0,0,3) ."
	<TR>
		<TD>". _CATEGORY_TITLE .":</TD>
		<TD>". $out->input_form("text","title",KWL_PrepareHtml($cont['title']),KWL_FormSize(10),255) ."</TD>
	</TR>
	<TR>
		<TD>". _CATEGORY_TXT .":</TR>
		<TD>". $out->textarea("description",5,$size['text'],KWL_PrepareHtml($cont['description'])) ."</TD>
	</TR>
	<TR>
		<TD COLSPAN=2 ALIGN=CENTER>".
      $out->input_form("hidden","mode",$act) .
      $out->input_form("hidden","id",$cont['id']) .
      $out->input_form("submit",'',$title) ."</TD></TR>".
      $out->table_end() . $out->form_end();
	return $ret;
}
?>
