<?
/*--------------------------------------------------------------------
   KorWeblog :: Highly Customizable Weblog/CMS
   Copyright (C) 2001,2002 by Im Eunjea <eunjea@kldp.org>
   For detail of license and/or other info, see the file doc/COPYING.
   http://weblog.kldp.org
----------------------------------------------------------------------

LICENSE

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
----------------------------------------------------------------------*/

include("../include/common.inc.php");
include("auth.inc.php");

function KWL_ListCats($cat) {
   $sql  = "SELECT Rid,Name from T_LinkCats WHERE Verified = '1' ORDER BY Name";
   $result  = SqlQuery($sql);
   $sel  = $cat=="null" ? "selected" : "";
   $s = "<option value=\"null\" $sel>Top</option>";
   while (list($id,$name,) = SqlFetchRow($result)) {
      $sel  = $cat==$id ? "selected" : "";
      $s .= "<option value=\"$id\" $sel>$name</option>\n";
   }
   mysql_free_result($result);
   return $s;
}

settype($confirm, "string");
if ($confirm == "yes") {
   switch ($what) {
      case "T_Stories":
         if (!empty($admin_comment)) {
            $Content .= "\n\n* ". _ADMIN_COMMENT ."(". $CONF["SiteOwner"] ."):\n".
                        trim($admin_comment);
         }
         if (empty($Summary)) $summ = KWL_genSummary($Content);
         else $summ = KWL_genSummary($Summary);
         $Content = trim($Content);
			$summ = trim($summ);
         list($Heading,$Author) = KWL_PrepareHtml($Heading,$Author);
         if ($AuthorURL) $AuthorURL = KWL_UrlCheck($AuthorURL);
         $AuthorEmail = KWL_EmailCheck($AuthorEmail);
         $tmp  = $EmailComments == "on" ? 1 : 0;
         
         $sql  = "UPDATE T_Stories SET Heading='$Heading', Topic='$Topic',";
         $sql .= "Verified='$Verified', Author='$Author',";
         $sql .= "AuthorEmail='$AuthorEmail', AuthorURL='$AuthorURL',";
         $sql .= "EmailComments=$tmp, Summary='$Summary', Content='$Content', ParseLevel=$ParseLevel";
         
         if (!empty($_FILES['userfile']['name'])) {
            $updir = date("YmdHis",time());
            $file = KWL_FileUpload($_FILES['userfile'],"$CONF[G_PATH]/upload/$Topic",$updir,$CONF[FILE_MAX_SIZE]);
            if (!is_array($file)) KWL_ShowError(_UPLOAD_FAILED);
            $sql .= ", bofile = '$file[name]', bcfile = '$updir', bfsize = '$file[size]'";
         } else if ($deletefile) $sql .= ", bofile = '', bcfile = '', bfsize = ''";
         $sql	.= " WHERE Rid = '$item' ";
         
			if ($autostory) {
            $A = SqlQueryFetchArray("SELECT * FROM T_Stories WHERE Rid = '$item'");
            if (is_array($A)) {
               $program_time = mktime($hour,$min,0,$month,$day,$year);
               $sql  = "INSERT INTO T_Auto_Story ";
               $sql .= "VALUES ('$A[Rid]', '$A[Host]', $Topic, ";
               $sql .= "'$Heading', '$summ', '$Content', ";
               $sql .= "'$Author', '$AuthorEmail', '$AuthorURL',";
               $sql .= $EmailComments=="on" ? "1," : "0,";
               $sql .= "$program_time,";
               if (!empty($userfile_name)) $sql .= "'$userfile_name','$bfilename','$userfile_size',";
               elseif ($deletefile) $sql .= "'','','',";
               else $sql .= "'$A[bofile]','$A[bcfile]','$A[bfsize]',";	
               $sql .= "'$A[passwd]', $ParseLevel)";
               $where = "admin/autostory.php";
            }
         }
			
         if (SqlQuery($sql)) {
            if ($deletefile) {
               @unlink("$CONF[G_PATH]/upload/$oldtopic/$oldfile/$origfile");
               @rmdir("$CONF[G_PATH]/upload/$oldtopic/$oldfile");
            }
            KWL_StoryLink($Links,$item);
            if ($oldfile && $Topic != $oldtopic) {
               if (!file_exists("$CONF[G_PATH]/upload/$Topic")) @mkdir("$CONF[G_PATH]/upload/$Topic",0755);
               @exec("$exec[mv] \"$CONF[G_PATH]/upload/$oldtopic/$oldfile\" \"$CONF[G_PATH]/upload/$Topic/\"");
            }
            if ($autostory) {
               SqlQuery("DELETE FROM T_Stories WHERE Rid = '$item'");
            } else {
               KWL_AccessLog(_UPDATE_STORY . " $item");
               KWL_ExportRdf();
            }
            KWL_Redirect(urldecode($where));
            exit;
         } else KWL_ShowError(SQL_ERROR);
      break;
		case "T_Blocks":
			if ($Type>0 && $Type<3 && !@fopen($SrcURL,"rb")) {
            $msg  = urlencode(_NOT_URL . " : <b>$SrcURL</b>");
            KWL_Redirect("admin/blocks.php?msg=$msg");
            exit();
         } else if (!$Heading) KWL_ShowError(_SUGERROR);
         else {
            $sm		= ($ShowMain=="on" ? "1" : "0");
            $pc		= ($PageComments=="on" ? "1" : "0");
            $sql	= "UPDATE T_Blocks SET ";
            $sql	.= "Heading = '" . $Heading . "',";
            $sql	.= "Type 	= '" . $Type . "',";
            $sql	.= "Display = '" . $Display . "',";
            $sql	.= "ShowMain = '" . $sm . "',";
            $sql	.= "PageComments = '" . $pc . "',";
            $sql	.= "OrderID = '" . $OrderID . "',";
            $sql	.= "Cache = '" . $Cache . "',";
            $sql	.= "Content = '$Content',";
            $sql	.= "MaxItem = '$MaxItem',";
            if ($nocache=="on") {
               if ($CONF[File_Cache]) {
                  KWL_KillCacheFile($item);
               } else {
                  $sql	.= "Birthstamp	= now(),";
                  $sql	.= "Timestamp	= now(),";
               }
            }
            $sql	.= "URL 	= '" . $SrcURL . "'";
            $sql	.= " WHERE Rid = '$item' ";
            $RET	= SqlQuery($sql);
            KWL_AccessLog(_UPDATE_BLOCK . " $item");
            if ($RET<1) KWL_ErrorLog("Unable to update block -- " . mysql_error());
            if ($Display=="f" || $Display=="p") $where	= "admin/blocks.php";
            else KWL_ExportRdf();
         }
         KWL_Redirect(ereg_replace(" ","+",urldecode($where)));
         exit;
      break;
		case "T_Comments":
			$Author = KWL_PrepareHtml($Author);
			$Content = chop($Content);
			if ($AuthorURL) $AuthorURL = KWL_UrlCheck($AuthorURL);
			$AuthorEmail = KWL_EmailCheck($AuthorEmail);
			
			$sql	= "UPDATE T_Comments set ";
			$sql	.= "Author = '" . $Author . "',";
			$sql	.= "AuthorEmail = '" . $AuthorEmail . "',";
			$sql	.= "AuthorURL = '" . $AuthorURL . "',";
			$sql	.= "Content = '" . $Content . "', ParseLevel = $ParseLevel";
			$sql	.= " WHERE Rid = '$item' ";
			$RET	= SqlQuery($sql);
			KWL_AccessLog(_UPDATE_REPLY . " $item");
			if ($RET<1) KWL_ErrorLog("Unable to update comment -- " . mysql_error());
			KWL_Redirect(urldecode($where));
			exit;
		break;
      case "T_Topics":
         $Posting = !empty($NoPosting) ? 1 : 0;
         $Comments = !empty($NoComments) ? 1 : 0;
         $sql	= "UPDATE T_Topics set ";
         $sql	.= "Topic = '$Topic',";
         $sql	.= "AltTag = '$AltTag',";
         $sql	.= "ImgURL = '$ImgURL',";
         $sql	.= "NoPosting = '" . $Posting . "',";
         $sql	.= "NoComments = '" . $Comments . "',";
         $sql	.= "OrderID = '$OrderID'";
         $sql	.= " WHERE Rid = '$item' ";
         $RET	= SqlQuery($sql);
         KWL_AccessLog(_UPDATE_TOPIC . " $item");
         if ($RET<1) KWL_ErrorLog("Unable to update topic -- " . mysql_error());
         KWL_Redirect("admin/topics.php");
         exit;
         break;
		case "T_LinkCats":
         if ($ParentCat==$item) $ParentCat	= "null";
         $sql	= "UPDATE T_LinkCats set ";
         $sql	.= "Name = '" . $Category . "',";
         $sql	.= "ParentRid = '" . $ParentCat . "'";
         $sql	.= " WHERE Rid = '$item' ";
         $RET	= SqlQuery($sql);
         KWL_AccessLog(_UPDATE_CATE . " $item");
         if ($RET<1) KWL_ErrorLog("Unable to update comment -- " . mysql_error());
         KWL_Redirect("links.php");
         exit;
      break;
		default:
         KWL_Redirect("stories.php");
      break;
   }
} else {
   switch ($what) {
      case "T_Stories":
         $A = SqlQueryFetchArray("SELECT * FROM T_Stories WHERE Rid = '$item'");
         if (is_array($A)) {
            include("../include/header.inc.php");
            $out = new KWL_Html;
            $VAR['Content'] =  $out->form_start("admin/edit.php","Edit",$CONF['FILE_UPLOAD']) . $out->table_start("100%",'',0,0,3) ."
<TR>
	<TD>". _BLOCK_DISP . ":</TD>
	<TD>". $out->select("Verified",array( "Y" => _PERMIT,
                                         "N" => _NOPERMIT),
                       $A[Verified]) ."
	</TD>
</TR>
<TR>
	<TD>* ". _AUTHOR . ":</TD>
	<TD>". $out->input_form("TEXT","Author",$A['Author'],$size['name'],32) ."
</TR>
<TR>
	<TD>* " . _EMAIL . ":</TD>
	<TD>". $out->input_form("TEXT","AuthorEmail",$A['AuthorEmail'],$size['name'],96) ."</TD>
</TR>
<TR>
	<TD>" . _URL . ":</TD>
	<TD>". $out->input_form("TEXT","AuthorURL",$A['AuthorURL'],$size['name'],96) ."</TD>
</TR>
<TR>
	<TD>* " . _TITLE . ":</TD>
	<TD>". $out->input_form("TEXT","Heading",$A['Heading'],$size['titl'],96) ."</TD>
</TR>
<TR>
	<TD>". _TOPIC . ":</TD>
	<TD>". $out->topicsel($A["Topic"],"post") ."
</TR>
<tr>
	<td COLSPAN=2>". _SUMMARY . ":
	<BR>
   ". $out->textarea("Summary",5,$size['text'],KWL_PrepareHtml($A['Summary'])) ."</TD>
</TR>
<TR>
	<TD COLSPAN=2>* ". _STORY .": ". KWL_FormResizer("Edit.Content",$size['text'],10) ."
   <BR>". $out->textarea("Content",10,$size['text'],KWL_PrepareHtml($A['Content'])) ."</TD>
</TR>
<TR>
	<TD COLSPAN=2>". _ADMIN_COMMENT .":
   <BR>". $out->textarea("admin_comment",5,$size['text']) ."</TD>
</TR>
<TR>
   <TD COLSPAN=2>". KWL_MakeSelectParse($CONF['story_parse'],$A['ParseLevel']) ."
</TD>
</TR>\n";

if ($CONF["EmailComments"]) {
   $VAR['Content'] .= "<TR>
<TD COLSPAN=2>". $out->check_box("EmailComments",$A['EmailComments']) ." ". _MAILCOMMENTS . "</TD>
</TR>";
}
if (SqlCount("T_IndexNames")) {
   $VAR['Content']	.= KWL_EditIndex($A["Rid"]);
}

if ($A['bofile']) {
	$VAR['Content'] .= "
<TR>
	<TD>". _ATTCHED_FILE .":</TD>
	<TD>
	<a href=\"$CONF[G_URL]/upload/$A[Topic]/$A[bcfile]/$A[bofile]\">"
	. KWL_icon_check($A['bofile']) . " " . $A['bofile'] ."</a> (" . KWL_FileHSize($A['bfsize']) . ")";
	$VAR['Content'] .= $out->check_box("deletefile") ." ". _DELETE_FILE
   ." ". $out->input_form("HIDDEN","origfile",$A['bofile']);

} else if ($CONF['FILE_UPLOAD']) {
	$VAR['Content'] .= "
<TR>
   <TD>"._FILE.":</TD>
   <TD>"
   . $out->input_form("HIDDEN","addfile",1)
   . $out->input_form("HIDDEN","max_file_size",$CONF['FILE_MAX_SIZE'])
   . $out->input_form("file","userfile",'',KWL_FormSize(15),256) ."<BR>
   <BR>
</TD></TR>";
}

if (!$A[replys] && $CONF['Auto_Posting']) {
$VAR['Content'] .= "
<TR>
	<TD COLSPAN=2>"._STORY_PROGRAM .":
   ". $out->select("autostory",array(_NOTUSE,_USE)) ."
   <BR>". _CURRENT_TIME .": ". date("Y-m-d H:i", time()) ."</TD>
</TR>
<TR>
	<TD COLSPAN=2>". KWL_MakeTimeSelect() ."</TD>
</TR>
";
}

$VAR['Content'] .= "
<TR>
	<TD COLSPAN=2>"
   . $out->input_form("HIDDEN","oldtopic",$A['Topic'])
   . $out->input_form("HIDDEN","oldfile",$A['bcfile'])
   . $out->input_form("HIDDEN","confirm","yes")
   . $out->input_form("HIDDEN","where",urlencode($where))
   . $out->input_form("HIDDEN","what",$what)
   . $out->input_form("HIDDEN","item",$A['Rid']) 
   . $out->input_form("SUBMIT",'',KWL_SubmitButton()) ."</TD>
</TR>". $out->table_end() . $out->form_end();

         $VAR['Heading'] = _EDIT;
			KWL_DrawMain($VAR);
			include("../include/footer.inc.php");
			} else KWL_ShowError(SQL_ERROR);
		break;
		case "T_Blocks":
			include("../include/header.inc.php");

			$sql	= "SELECT * FROM T_Blocks WHERE Rid = '$item'";
			$result	= SqlQuery($sql);
			if ($result<1) KWL_ErrorLog("Unable to select block -- " . mysql_error());
			$A	= mysql_fetch_array($result);
         if ($A['Type'] == 3) $A['Heading'] = KWL_SblockTitle($A['URL'],1);
			$out = new KWL_Html;
			$VAR['Heading'] = _EDIT . " : Block : " . $A["Rid"];
			$VAR['Content'] = $out->form_start("admin/edit.php","Blocks") . 
                           $out->table_start("100%",'',0,1,2) ."
			<TR><TD>". _BLOCK_DISP . ":</TD>
			<TD> 
			<select name\t= \"Display\">
			<option value=\"0\" ". ($A['Display']=="0" ? "selected" : "").">"._BLOCK_OFF."</option>
         <option value=\"l\" ". ($A['Display']=="l" ? "selected" : "").">"._BLOCK_LEFT."</option>
         <option value=\"r\" ". ($A['Display']=="r" ? "selected" : "").">"._BLOCK_RIGHT."</option>
         ";
			if ($A['Type'] != 3) {
			$VAR['Content'] .= sprintf("<option value=\"p\" %s>"._BLOCK_PAGE."</option>\n",($A["Display"]=="p" ? "selected" : ""));
			$VAR['Content'] .= sprintf("<option value=\"f\" %s>"._FEATURES."</option>\n",($A["Display"]=="f" ? "selected" : ""));
			}
			$VAR['Content'] .= "</select></td></tr>
         <td>". _BLOCK_OPTION .":</td>
         <td>". _BLOCK_SORT .": ". $out->input_form("text","OrderID",$A['OrderID'],3,5)
         . $out->check_box("ShowMain",$A['ShowMain']) . _BLOCK_STORY_ONLY
         . "</TD></TR>\n";

			if ($A['Type'] != 3) {
			$VAR['Content'] .= "<TR>
            <TD>". _BLOCK_PAGE ." / ". _FEATURES . ":</TD>
            <TD>". $out->check_box("PageComments",$A['PageComments']) . _USERCOMMENT
            . "</TD></TR>\n";
			}

			$VAR['Content'] .= "<TR>
            <TD>". _TITLE .":</TD><TD>";
         if ($A['Type'] == 3) {
            $VAR['Content'] .= KWL_PrepareHtml($A['Heading']) .
               $out->input_form("hidden","Heading",KWL_PrepareHtml($A['Heading']));
         } else {
            $VAR['Content'] .= $out->input_form("text","Heading",KWL_PrepareHtml($A['Heading']),KWL_FormSize(17),48);
         }
         $VAR['Content'] .= "</TD></TR>\n";
			
			if ($A['Type'] != 3) {
            if ($A['Type']) $A['Content'] = "";
			$VAR['Content'] .= "<TR><TD COLSPAN=2><HR>
            ". $out->radio("Type",array( 0 => "HTML" ),$A['Type']) ."</TD>
            </TR><TR><td colspan=2>
            ". $out->textarea("Content",10,$size['text'],KWL_PrepareHtml($A['Content'])) ."</TD>
            </TR>
            <TR><TD COLSPAN=2><HR>
            Importing: ". $out->check_box("nocache",1) ." Update cache
            </TD></TR>
            <TR><TD COLSPAN=2>
            ". $out->radio("Type",array( 1 => "RDF" ),$A['Type']) ."
            <SMALL>(" . _BLOCK_RDF_SUPP .")</SMALL></TD></TR>
            <tr><td colspan=2>
            ". $out->radio("Type",array( 2 => "INCLUDE" ),$A['Type']) ."
            <SMALL>(" . _BLOCK_INCLUDE . ")</SMALL>
            </TD></TR>
            <TR><TD>URL / RDF:</TD>
            <TD>". $out->input_form("text","SrcURL",$A['URL'],KWL_FormSize(15),96) ."</TD>
            <TR><TD>"._BLOCK_CACHE.":</TD>
            <TD>". $out->input_form("text","Cache",$A['Cache'],4,11) ."</TD>
            </TR>\n".
            "<TR><TD>". _MAX_ITEMS .":</TD>".
            "<TD>". $out->input_form("text","MaxItem",$A['MaxItem'],4,3).
            " (RSS/RDF)</TD></TR>\n";
			}

			$VAR['Content'] .= "<TR><TD COLSPAN=2 ALIGN=CENTER>";
			if ($A['Type'] == 3) {
				$VAR['Content'] .= $out->input_form("HIDDEN","Type",3) .
                               $out->input_form("HIDDEN","SrcURL",$A['URL']);
			}
			$VAR['Content'] .= $out->input_form("HIDDEN","confirm","yes") .
                            $out->input_form("HIDDEN","mode","edit") .
                            $out->input_form("HIDDEN","where",urlencode($where)) .
                            $out->input_form("HIDDEN","what",$what) .
                            $out->input_form("HIDDEN","item",$A['Rid']) .
                            $out->input_form("submit",'',KWL_SubmitButton()) ."</TD>
			</TR>". $out->table_end() . $out->form_end();
			KWL_DrawMain($VAR);
			include("../include/footer.inc.php");
		break;
		case "T_Topics":
			include("../include/header.inc.php");

			$sql	= "SELECT * FROM T_Topics WHERE Rid = '$item'";
         $A	= SqlQueryFetchArray($sql);
			if (!is_array($A)) {
            KWL_ErrorLog("Unable to select comment -- " . mysql_error());
            KWL_ShowError(_SQL_ERROR);
         }
			$out = new KWL_Html;
			$VAR['Heading'] = _EDIT . " : " . _TOPIC  . " : " . $A["Rid"];
			$VAR['Content'] = $out->form_start("admin/edit.php","topic") . 
                           $out->table_start("100%",'',0,1,2) ."
			<tr><td>". _TOPIC  . ":</td>
         <td colspan=2>". $out->input_form("text","Topic",$A['Topic'],KWL_FormSize(20),48) ."</TD>
			</tr>
         <tr>
         <td><A HREF=\"$CONF[G_URL]/viewimg.php?path=topic_img&form=topic&var=ImgURL&fix=1\" target=\"_new\" onClick=\"new_windows('$CONF[G_URL]/viewimg.php?path=topic_img&form=topic&var=ImgURL&fix=1','viewimg',1,1,580,580); return false\">". _TOPIC_IMAGE . " URL</A>:</td>
         <td>". $out->input_form("text","ImgURL",$A['ImgURL'],KWL_FormSize(20),96) ."</TD>";
         
			if (!empty($A['ImgURL'])) {
            if (!preg_match('!^http!', $A['ImgURL'])) $A['ImgURL'] = KWL_GetConf("G_URL") ."/". $A['ImgURL'];
            $tmp = "<IMG SRC=\"$A[ImgURL]\" BORDER=\"0\" VSPACE=2 HSPACE=2>";
         } else $tmp	= "&nbsp;";
			$VAR['Content'] .= "<TD>$tmp</TD></TR>
			   <tr><td>". _TOPIC_ALTTAG .":</td>
            <td colspan=2>". $out->input_form("text","AltTag",$A['AltTag'],KWL_FormSize(20),64) ."</td>
			   </tr>
            <tr><td>". _TOPIC_RULE ."</td>
            <td colspan=2>\n";
			if ($CONF["AllowContrib"]) {
            $VAR['Content'] .= $out->check_box("NoPosting",$A['NoPosting']) . _TOPIC_NO_POST;
			}
			if ($CONF["Comments"]) {
            $VAR['Content'] .= $out->check_box("NoComments",$A['NoComments']) . _TOPIC_NO_COMMENT;
			}
			$VAR['Content']	.= "</td></tr>
            <tr><td>"._BLOCK_SORT."</td>
            <td>". $out->input_form("text","OrderID",$A['OrderID'],KWL_FormSize(3),3) ."</td>
			</tr>
			<tr><td colspan=3 align=center>"
           . $out->input_form("HIDDEN","confirm","yes")
           . $out->input_form("HIDDEN","mode","edit") 
           . $out->input_form("HIDDEN","what",$what)
           . $out->input_form("HIDDEN","item",$A['Rid'])
           . $out->input_form("submit",'',KWL_SubmitButton()) ."</td>
           </tr>". $out->table_end() . $out->form_end();
			KWL_DrawMain($VAR);
			include("../include/footer.inc.php");
		break;
		case "T_Comments":
			include("../include/header.inc.php");

			$sql	= "SELECT * FROM T_Comments WHERE Rid = '$item'";
			$A	= SqlQueryFetchArray($sql);
			if (!is_array($A)) {
            KWL_ErrorLog("Unable to select comment -- " . mysql_error());
            KWL_ShowError(_SQL_ERROR);
         }

         $out = new KWL_Html;
			$VAR['Heading'] = _EDIT . " : " . _COMMENT . " : " . $A["Rid"];
			$VAR['Content'] = $out->form_start("admin/edit.php","Edit")
         . $out->table_start("100%",'',0,0,3) ."
			<TR>
			   <TD>". _AUTHOR . ":</TD>
            <TD>". $out->input_form("TEXT","Author",$A['Author'],$size['name'],32) ."</TD>
         </TR>
         <TR>
            <TD>* ". _EMAIL . ":</TD>
            <TD>". $out->input_form("TEXT","AuthorEmail",$A['AuthorEmail'],$size['name'],96) ."</TD>
         </TR>
         <TR>
            <TD>". _URL . ":</TD>
            <TD>". $out->input_form("TEXT","AuthorURL",$A['AuthorURL'],$size['name'],96) ."</TD>
         </TR>
         <TR>
            <TD>". _COMMENT .":</TD>
            <TD>". KWL_FormResizer("Edit.Content",$size['text'],10) ."
            <BR>". $out->textarea("Content",10,$size['text'],KWL_PrepareHtml($A['Content'])) ."</TD>
         </TR>
         <TR> 
            <TD COLSPAN=2>". KWL_MakeSelectParse($CONF['reply_parse'],$A['ParseLevel']) ."</TD>
         </TR>
         <TR>
            <TD COLSPAN=2>"
            . $out->input_form("HIDDEN","confirm","yes")
            . $out->input_form("HIDDEN","mode","edit")
            . $out->input_form("HIDDEN","where",urlencode($where))
            . $out->input_form("HIDDEN","what",$what)
            . $out->input_form("HIDDEN","item",$A['Rid'])
            . $out->input_form("HIDDEN","ParentRid",$A['ParentRid'])
            . $out->input_form("submit",'',_EDIT) ."</TD>
            </TR>". $out->table_end() . $out->form_end();
			KWL_DrawMain($VAR);
			include("../include/footer.inc.php");
		break;
		case "T_PollQuestions":
			include("../include/header.inc.php");
			$sql	= "SELECT * FROM T_PollQuestions WHERE Rid='$item'";
			$question	= SqlQuery($sql);
			$nquestions 	= mysql_num_rows($question);
			if ($nquestions > 0) {
				$sql	= "SELECT Answer,Aid,Votes FROM T_PollAnswers ";
				$sql	.= "WHERE Rid='$item'";
				$answers	= SqlQuery($sql);
				$nanswers	= mysql_num_rows($answers);
				if ($nanswers > 0) {
					$Q = mysql_fetch_array($question);
               $out = new KWL_Html;
					$VAR['Heading'] = _EDIT . " : " . _POLLS . " : " . $Q["Rid"];
					$VAR['Content'] = $out->form_start("admin/submit.php","poll")
                  . $out->table_start("100%",'',1,0,3) ."
					   <tr><td>". _POLL_QUES .":</td>
                  <td>
                  ". $out->input_form("text","Question",KWL_PrepareHtml($Q['Question']),KWL_FormSize(20),255)
                  ."</td></tr>
                  <tr>
                  <td>". _DISPLAY ."</td>
                  <td>". $out->select("Display",array(_INACTIVE,_ACTIVE),$Q['Display']) ."</td>
					   </tr>
                  <tr><td>&nbsp;</td>
                  <td>". $out->input_form("text","Days",$Q['ExpireDays'],KWL_FormSize(2),3) ."</td>
					   </tr>\n";

					for ($i=1; $i<=10; $i++) {
						$A	= mysql_fetch_array($answers);
						$VAR['Content'] .= "<tr><td>"._POLL_ANSWER." #" . $i . "</td>
                     <td>
                     ". $out->input_form("text","Aid". $i,KWL_PrepareHtml($A['Answer']),KWL_FormSize(20),255)
                     . _POLL_VOTES . ": ". 
                     $out->input_form("text","Votes" .$i, $A['Votes'],KWL_FormSize(3),10) . "</td>
                     </tr>\n";
					}

					$VAR['Content'] .= "<TR><td colspan=2>" .
                                  $out->input_form("hidden","what","poll") .
                                  $out->input_form("hidden","where",$where) .
                                  $out->input_form("hidden","Rid",$Q['Rid']) .
                                  $out->input_form("submit",'',KWL_SubmitButton()) ."</td>
               </tr>". $out->table_end() . $out->form_end();
					KWL_DrawMain($VAR);
				} else {
					KWL_ErrorLog("Unable to select poll answer -- " . mysql_error());
				}
			} else {
				KWL_ErrorLog("Unable to select poll question -- " . mysql_error());
			}
		include("../include/footer.inc.php");
		break;
		case "T_LinkCats":
			include("../include/header.inc.php");

			$sql	= "SELECT * FROM T_LinkCats WHERE Rid = '$item'";
			$result	= SqlQuery($sql);
			if ($result<1) KWL_ErrorLog("Unable to select link category -- " . mysql_error());
			$A	= mysql_fetch_array($result);
         $out = new KWL_Html;

			$VAR['Heading'] = _EDIT . " : " . _LINKS . " : " . $A["Rid"];
			$VAR['Content'] = $out->form_start("admin/submit.php","link") .
                           $out->table_start("100%",'',0,1,3) ."
			<tr>
            <td>". _CATEGORY . ":</td>
            <td>". $out->input_form("text","Category",$A['Name'],KWL_FormSize(20),48) ."</td>
            <td>&nbsp;</td>
         </tr>
         <tr>
            <td>". _PARENT_CATEGORY . ":</td>
            <td><select name=\"ParentCat\"> ". KWL_ListCats($A["ParentRid"]) ."</select></td>
         </tr>
         <tr>
            <td colspan=3 align=center>".
            $out->input_form("HIDDEN","confirm","yes") .
            $out->input_form("HIDDEN","mode","edit") .
            $out->input_form("HIDDEN","what",$what) .
            $out->input_form("HIDDEN","item",$A['Rid']) .
            $out->input_form("submit",'',KWL_SubmitButton()) . "</td>
         </tr>". $out->table_end() . $out->form_end();
			KWL_DrawMain($VAR);
			include("../include/footer.inc.php");
		break;
	}
}
?>
