<?
/*--------------------------------------------------------------------
   KorWeblog :: Highly Customizable Weblog/CMS
   Copyright (C) 2001,2002 by Im Eunjea <eunjea@kldp.org>
   For detail of license and/or other info, see the file doc/COPYING.
   http://weblog.kldp.org
----------------------------------------------------------------------

LICENSE

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
----------------------------------------------------------------------*/

include("../include/common.inc.php");
include("auth.inc.php");
set_time_limit(0);
ini_set('max_execution_time',0);

settype($what, "string");
$sql = new SQL_Admin;
if ($what == "phpinfo") { phpinfo(); exit; }
if ($what != "backup") { include("../include/header.inc.php"); }

$sql_version = SqlQueryFetchArray("SELECT Version() as version");
if ($what == "kill" && $id) {
   mysql_query("KILL $id");
   $what = "process";
}

switch ($what) {

   case "status":
      $A['Heading'] = "MySQL ". _SQL_RUNTIME;
      $result = SqlQuery("SHOW STATUS");
      $A['Content'] = $sql->show_result_table($result);
   break;

   case "var":
      $A['Heading'] = "MySQL ". _SQL_SYSTEM_VAR;
      $result = SqlQuery("SHOW VARIABLES");
      $A['Content'] = $sql->show_result_table($result);
   break;

   case "process":
      $A['Heading'] = _SQL_PROCESS;
      $result = SqlQuery("SHOW PROCESSLIST");
      $A['Content'] = $sql->show_result_table($result,1);
   break;
		
   case "check":
      $A['Heading'] = _SQL_CHECK_TABLE;
      $A['Content'] = $sql->check_tables("CHECK TABLES");
   break;

   case "optimize":
      $A['Heading'] = _SQL_OPTIMIZE_TABLE;
      $A['Content'] = $sql->check_tables("OPTIMIZE TABLES");
   break;

   case "repair":
      $A['Heading'] = _SQL_REPAIR_TABLE;
      $A['Content'] = $sql->check_tables("REPAIR TABLES");
   break;

   case "backup":
      $sql->backup_table();
   break;

}

$out = new KWL_Html;
$B['Heading'] = "<B>MySQL $sql_version[0] running on $G_HOST:$G_PORT</B>";
$B['Content'] = $out->table_start("100%",'',0,0,3) ."
<TR>
	<TD>
	<ul>
	<li><a href=\"sql.php?what=phpinfo\">". _PHP_INFO ."</a>
	<li><a href=\"sql.php?what=status\">MySQL ". _SQL_RUNTIME ."</a> [<a href=\"http://www.mysql.com/doc/S/H/SHOW_STATUS.html\">". _SQL_DOCUMENT ."</a>]
	<li><a href=\"sql.php?what=var\">MySQL ". _SQL_SYSTEM_VAR ."</a> [<a href=\"http://www.mysql.com/doc/S/H/SHOW_VARIABLES.html\">". _SQL_DOCUMENT ."</a>]
	<li><a href=\"sql.php?what=process\">". _SQL_PROCESS ."</a> [<a href=\"http://www.mysql.com/doc/S/H/SHOW_PROCESSLIST.html\">". _SQL_DOCUMENT ."</a>]
	<li><a href=\"sql.php?what=check\">". _SQL_CHECK_TABLE ."</a>
	<li><a href=\"sql.php?what=repair\">". _SQL_REPAIR_TABLE ."</a>
	<li><a href=\"sql.php?what=optimize\">". _SQL_OPTIMIZE_TABLE ."</a>
	<li><a href=\"sql.php?what=backup\">". _SQL_BACKUP_TABLE ."</a>
	</ul>
</TD></TR>". $out->table_end();
KWL_DrawMain($B);

if (!empty($A['Content'])) KWL_DrawMain($A);

class SQL_Admin {

   function show_result_table($result,$p=0) {

      $out = new KWL_Html;
      $ret = $out->table_start("100%",'',1,0,3) ."<TR>";
      if ($p) $ret .= "<TH>&nbsp;</TH>";
      while($field = mysql_fetch_field($result)) {
         $ret .= "<TH> $field->name </TH>\n";
      }
      $ret .= "</TR>\n";

      while ($A = mysql_fetch_array($result)) {
         if ($p) {
            if (!isset($A[6])) $A[6] = 'null';               
            $ret .= "<TR><TD><a href=\"". $_SERVER['PHP_SELF'] ."?what=kill&id=$A[0]\">kill</a></TD>".
                    "<TD>$A[0]</TD>".
                    "<TD>$A[1]</TD>".
                    "<TD>$A[2]</TD>".
                    "<TD>$A[3]</TD>".
                    "<TD>$A[4]</TD>".
                    "<TD>$A[5]</TD>".
                    "<TD>$A[6] &nbsp;</TD>".
                    "<TD>$A[7] &nbsp;</TD>";
         } else {
            $ret .= "<TR><TD>$A[Variable_name]</TD>".
                    "<TD>$A[Value]</TD></TR>\n";
         }
      }
      $ret .= $out->table_end();
      return $ret;
   }

   function check_tables($command) {
      global $G_DB;
      
      $sql = "SHOW TABLE STATUS FROM $G_DB";
      $result = SqlQuery($sql);
      $total_size = 0;

      $out = new KWL_Html;
      $content = $out->table_start("100%",'',1,0,3) ."
         <TR>
         <TH>Table</TH> <TH>Type</TH> <TH>Size</TH> <TH>Op</TH> <TH>Status</TH>
         ";
   
      while ($table = mysql_fetch_array($result)) {
         $size = $table['Data_length'] + $table['Index_length'];
         $total_size = $total_size + $size;		
         $sql = "$command $table[Name]";
         $check = SqlQueryFetchArray($sql);
         $content .= "<TR>"
            . "<TD>$table[Name]</TD>"
            . "<TD>$table[Type]</TD>"
            . "<TD>". KWL_FileHSize($size) ."</TD>"
            . "<TD>$check[1]</TD>"
            . "<TD>$check[3]</TD>";
      }
      $content .= "</TR><TR><TD COLSPAN=5><B>Total size: ". KWL_FileHSize($total_size,1) ."</B></TD></TR>". $out->table_end();
      return $content;
   }

   function backup_table() {
      global $G_DB, $G_VER;
      $CONF = KWL_GetConf();

      include_once("../include/kmod/counter/index.php");
      $user = KWL_counter_get_info();

      if ($user['browser'] == "MSIE") $mime_type = "application/octetstream";
      else $mime_type = "application/octet-stream";
      if ($user['os'] == "Win") $crlf = "\r\n";
      elseif ($user['os'] == "Mac") $crlf = "\r";
      else $crlf = "\n";
      
      $date = date("Y-m-d",time());
      header("Content-type: $mime_type");
      if ($user['browser'] == "MSIE") {
         header("Content-Disposition: inline; filename=\"backup-$G_DB-$date.sql\"");
         header('Expires: 0');
         header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
         header('Pragma: public');
      } else {
         header("Content-disposition: attachment; filename=\"backup-$G_DB-$date.sql\"");
         header('Expires: 0');
         header("Pragma: no-cache");
      }

      $tables = mysql_list_tables($G_DB);
      $num_tables = mysql_num_rows($tables);

      if(!$num_tables) {
         echo "No tables found!";
      } else {
         $i = 0;
         $date = KWL_strftime(time(),"%Y-%b-%d %I:%M %p");
         print "# ========================================================". $crlf .
               "#" . $crlf .
               "# KorWeblog $G_VER SQL Backup". $crlf .
               "# $CONF[SiteName] - $CONF[SiteSlogan]" . $crlf .
               "# Date: ". $date . $crlf .
               "#" . $crlf .
               "# ========================================================". $crlf . $crlf;

	      while($i < $num_tables) {
            $table = mysql_tablename($tables, $i);

            print "#" . $crlf .
                  "# Table structure for table '$table'". $crlf .
                  "#" . $crlf . $crlf;

            echo $this->get_table_def($table,$crlf) .";" . $crlf . $crlf;
            
            print "#". $crlf .
                  "# Dumping data for table '$table'". $crlf .
                  "#". $crlf . $crlf;
            $this->get_table_content($table,$crlf);
            $i++;
         }
         exit;
      }
   }

   function get_table_content($table,$crlf) {
      $result = SqlQuery("SELECT * FROM $table");
      $i = 0;

      $search  = array("\x00", "\x0a", "\x0d", "\x1a");
      $replace = array('\0', '\n', '\r', '\Z');

      while($row = mysql_fetch_row($result)) {
         $table_list = "(";
         for($j=0; $j<mysql_num_fields($result);$j++)
            $table_list .= mysql_field_name($result,$j).", ";
         
         $table_list = substr($table_list,0,-2);
         $table_list .= ")";

         if(isset($GLOBALS["showcolumns"]))
            $schema_insert = "INSERT INTO $table $table_list VALUES (";
         else
            $schema_insert = "INSERT INTO $table VALUES (";

			for($j=0; $j<mysql_num_fields($result);$j++) {
            if(!isset($row[$j]))
               $schema_insert .= " NULL,";
            elseif($row[$j] != "")
               $schema_insert .= " '". str_replace($search, $replace, addslashes($row[$j])) ."',";
            else
               $schema_insert .= " '',";
         }

			$schema_insert = ereg_replace(",$", "", $schema_insert);
         $schema_insert .= ")";
         echo trim($schema_insert) . ";" . $crlf;
         $i++;
      }
      echo $crlf;
      return (true);
   }

   function get_table_def($table,$crlf) {
      $schema_create = "";
      //$schema_create .= "DROP TABLE IF EXISTS $table;$crlf";
      $schema_create .= "CREATE TABLE $table ($crlf";
      $result = SqlQuery("SHOW FIELDS FROM $table");
      while($row = mysql_fetch_array($result)) {
         $schema_create .= "   $row[Field] $row[Type]";
         if(isset($row["Default"]) && (!empty($row["Default"]) || $row["Default"] == "0"))
            $schema_create .= " DEFAULT '$row[Default]'";
         if($row["Null"] != "YES")
            $schema_create .= " NOT NULL";
         if($row["Extra"] != "")
            $schema_create .= " $row[Extra]";
         $schema_create .= ",$crlf";
      }
      $schema_create = ereg_replace(",".$crlf."$", "", $schema_create);
      $result = SqlQuery("SHOW KEYS FROM $table");
      while ($row = mysql_fetch_array($result)) {
         $kname = $row['Key_name'];
         $comment = (isset($row['Comment'])) ? $row['Comment'] : '';
         
         if (($kname != "PRIMARY") && ($row['Non_unique'] == 0))
            $kname ="UNIQUE|$kname";
         
         if ($comment == 'FULLTEXT')
            $kname = "FULLTEXT|$kname";
         
         if (!isset($index[$kname]))
            $index[$kname] = array();
         
         $index[$kname][] = $row['Column_name'];
      }
      while(list($x, $columns) = @each($index)) {
         $schema_create .= ",$crlf";
         if($x == "PRIMARY")
            $schema_create .= "   PRIMARY KEY (" . implode($columns, ", ") . ")";
         elseif (substr($x,0,6) == "UNIQUE")
            $schema_create .= "   UNIQUE ".substr($x,7)." (" . implode($columns, ", ") . ")";
         else
            $schema_create .= "   KEY $x (" . implode($columns, ", ") . ")";
      }
      $schema_create .= "$crlf)";
      return (stripslashes($schema_create));
   }
}
include("../include/footer.inc.php");
?>
