<?
/*--------------------------------------------------------------------
   KorWeblog :: Highly Customizable Weblog/CMS
   Copyright (C) 2001,2002 by Im Eunjea <eunjea@kldp.org>
   For detail of license and/or other info, see the file doc/COPYING.
   http://weblog.kldp.org
----------------------------------------------------------------------

LICENSE

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
----------------------------------------------------------------------*/

include("../include/common.inc.php");
include("auth.inc.php");
include("$CONF[G_PATH]/include/kmod/user_list/index.php");
unset($user);
unset($login);

settype($act, "string");
settype($uid, "integer");
settype($where, "string");
settype($index, "string");
settype($opt, "string");

if ($act == _USER_ADD) {
	KWL_CheckNewUser($name,$email);
	$pass = trim($pass);
	$sql  = "INSERT INTO T_Users (user_level, name, pass, email, rdate) ";
	$sql .= "VALUES ($user_level, '$name', '". crypt($pass) ."', '$email', now())";
	if (SqlQuery($sql)) {
		$msg = _USER_ADDED;
		if ($mailtouser) KWL_MailToUser($name,$pass,$email);
	} else KWL_ShowError(_SQL_ERROR);

} else if ($act == "edit") {
	if ($uid) $user = KWL_GetUserInfo("uid",$uid);

} else if ($act == _USER_EDIT) {
	if ($name != $oldname)
	 if (KWL_GetUserInfo("name",$name)) KWL_ShowError(_USER_REGISTER3);
	$sql = "UPDATE T_Users SET user_level = '$user_level', name = '$name', ";
	$sql .= "email = '$email' ";
	if ($passwd) $sql .= ", pass = '". crypt($passwd) ."' ";
	$sql .= "WHERE uid = '$uid'";
	if (SqlQuery($sql)) {
		$msg = _UPDATED_USERDB;
	} else KWL_ShowError(_SQL_ERROR);

} else if ($act == _USER_KILL) {
	$sql = "DELETE FROM T_Users WHERE uid = '$uid'";
	if (SqlQuery($sql)) $msg = _USER_DELETED;
	else KWL_ShowError(_SQL_ERROR);

} else if ($uid) {
	$user = KWL_GetUserInfo("uid",$uid);
}

include("../include/header.inc.php");

$total_user = SqlCount("T_Users");
$moder = SqlCount("T_Users","user_level",1);
$smoder = SqlCount("T_Users","user_level",2);

$out = new KWL_Html;
$A['Heading'] = _USER_ADMIN;
$A['Content'] = "
<TABLE BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"0\" WIDTH=\"100%\">
<TR><TD>
<UL>
	<LI><a href=\"user.php?act=ulist&opt=n\">". _NORMAL_USER ."</a>: " . ($total_user - ($moder + $smoder)) . "
	<LI><a href=\"user.php?act=ulist&opt=m\">". _MODERATOR ."</a>: $moder
	<LI><a href=\"user.php?act=ulist&opt=s\">". _SCORE_MODERATOR ."</a>: $smoder
	<LI><a href=\"user.php?act=ulist&opt=t\">". _TOTAL ."</a>: $total_user
</ul>
</TD></TR></TABLE>".
$out->form_start("admin/user.php","adduser").
$out->table_start("100%",'',0,0,3)."
<TR>
	<TD>". _LEVEL .":</TD>
   <TD>". $out->select("user_level", array (0 => _NORMAL_USER,
                                            1 => _MODERATOR,
                                            2 => _SCORE_MODERATOR),0) ."
</TD>
<TR>
   <TD>* ". _NAME .":</TD>
   <TD>". $out->input_form("text","name",'',KWL_FormSize(10),50) ."</TD>
<TR>
   <TD>* ". _EMAIL .":</TD>
   <TD>". $out->input_form("text","email",'',KWL_FormSize(10),60) ."</TD>
<TR>
   <TD>* ". _PASSWD .":</TD>
   <TD>". $out->input_form("text","pass",'',KWL_FormSize(10),13) ."</TD>
<TR>
   <TD COLSPAN=2>". _SENDMAIL .": ".
   $out->check_box("mailtouser") ."</TD>
<TR>
	<TD COLSPAN=2>". $out->input_form("submit","act",_USER_ADD) ."</TD>
</TR>". $out->table_end() . $out->form_end();
$A['Content'] .= KWL_MakeUserIndex("$CONF[G_URL]/admin/user.php?act=ulist");
KWL_DrawMain($A);

if (!empty($where)) $tmp = htmlspecialchars(stripslashes($index));
else $tmp = "";
$C['Heading'] = "<a name=\"finduser\">". _FIND_USER ."</a>";
$C['Content'] = "<center><br>". $out->form_start("admin/user.php#finduser","finduser").
                $out->input_form("TEXT","index",$tmp,$size['name'],60) ."&nbsp;".
                $out->select("where", array( "name"     => _NAME,
                                             "email"    => _EMAIL,
                                             "url"      => _URL,
                                             "user_sig" => _USER_SIG,
                                             "profile"  => _USER_PROF ), $where).
                $out->input_form("HIDDEN","what","finduser").
                $out->input_form("SUBMIT",'',_FIND).
                $out->form_end() . "</center><br>";
KWL_DrawMain($C);
unset($C);

if ($index) user_list_admin("",$index);
elseif ($act == "ulist") user_list_admin($opt);
elseif (is_array($user)) edit_user($user);

function user_list_admin($opt,$index="",$plimit=15) {
	global $CONF,$page,$where;

	$sql = "FROM T_Users WHERE ";	
	if (!empty($index)) {
      if (!empty($where)) {
         $sql .= "($where LIKE \"%". $index ."%\") ORDER BY uid DESC";
      } elseif(KWL_CheckHangul($index)) {
			if($index == "") $r = "";
			if($index == "") $r = "";
			if($index == "") $r = "";
			if($index == "") $r = "";
			if($index == "") $r = "";
			if($index == "") $r = "";
			if($index == "") $r = "";
			if($index == "") $r = "";
			if($index == "") $r = "";
			if($index == "") $r = "ī";
			if($index == "ī") $r = "Ÿ";
			if($index == "Ÿ") $r = "";
			if($index == "") $r = "";
			if($index == "") $r = chr(0xfe);
			$sql .= "binary name BETWEEN binary '$index' AND binary '$r'";
		} elseif ($index == "other") {
         $sql .= "name REGEXP \"^\[1-9\.]\" ORDER BY uid DESC";
      } else $sql .= "name REGEXP \"^". $index ."\" ORDER BY uid DESC";
		$link = "user.php?index=$index";
	} else {
		if ($opt == "m") $sql .= "user_level = 1 ";
		elseif ($opt == "n") $sql .= "user_level = 0 ";
		elseif ($opt == "s") $sql .= "user_level = 2 ";
		else $sql .= "uid > 0 ";
		$sql .= "ORDER BY uid ASC ";
		$link = "user.php?act=ulist&opt=$opt";
	}

	if (empty($page)) $page = 1;
	$num_user = SqlResult("SELECT COUNT(*)" . $sql);
	$page_start = ($plimit * $page) - $plimit;
	$blah = KWL_npLink($num_user,$page,$link,$plimit);	
	
	$C['Content'] = $blah ? "<CENTER>$blah</CENTER>\n" : "";
	
	$result = SqlQuery("SELECT * " . $sql . " LIMIT $page_start,$plimit");

	$C['Content'] .= "<TABLE BORDER=\"1\" CELLSPACING=\"0\" CELLPADDING=\"3\" WIDTH=\"100%\"><TR>
	<TH>Uid</TH>
	<TH>". _LEVEL ."</TH>
	<TH>". _NAME ."</TH>
	<TH>". _EMAIL ."</TH>
	<TH>". _RDATE ."</TH>
	<TH>&nbsp;</TH>";
	while ($A = mysql_fetch_array($result)) {
		if ($A['user_level'] == 0) $tmp = _NORMAL_USER;
		elseif ($A['user_level'] == 1) $tmp = _MODERATOR;
		else $tmp = _SCORE_MODERATOR;
		$C['Content'] .= "<TR>
		<TD>$A[uid]</TD>
		<TD>$tmp</TD>
		<TD><a href=\"$CONF[G_URL]/profiles.php?uid=$A[uid]\">". KWL_PrepareHtml($A['name']) ."</a></TD>
		<TD>$A[email]</TD>
		<TD>$A[rdate]</TD>
		<TD><A ONCLICK=\"return getconfirm();\" HREF=\"user.php?act=". _USER_KILL ."&uid=$A[uid]\"><IMG SRC=\"$CONF[img_url]/kill.gif\" ALT=\"kill\" BORDER=\"0\"></A>&nbsp;<A HREF=\"user.php?act=edit&uid=$A[uid]#edituser\"><IMG SRC=\"$CONF[img_url]/edit.gif\" ALT=\"edit\" BORDER=\"0\"></A></TD>";
	}
$C['Heading'] = "User List";
$C['Content'] .= "</TR></TABLE>";
if ($blah) $C['Content'] .= "<CENTER>$blah</CENTER>\n";
KWL_DrawMain($C);
}

function edit_user($user) {

$out = new KWL_Html;
$A['Heading'] = "<a name=\"edituser\">". _USER_INFO ."</a>";
$A['Content'] = $out->form_start("admin/user.php","edituser") .
                $out->table_start("100%",'',0,0,3) ."
<TR>
	<TD>Uid:</TD><TD>$user[uid]</TD>
<TR>
	<TD>". _RDATE ."</TD>
   <TD>$user[rdate]</TD>
<TR>
	<TD>". _LEVEL .":</TD>
   <TD>". $out->select("user_level",array( 0 => _NORMAL_USER,
                                           1 => _MODERATOR,
                                           2 => _SCORE_MODERATOR ), $user['user_level']) ."
	</TD>
<TR>
   <TD>". _NAME .":</TD>
   <TD>". $out->input_form("text","name",KWL_PrepareHtml($user['name']),KWL_FormSize(10),50) ."
   </TD>
<TR>
   <TD>". _EMAIL .":</TD>
   <TD>". $out->input_form("text","email",KWL_PrepareHtml($user['email']),KWL_FormSize(10),60) ."   </TD>
<TR>
   <TD>". _PASSWD .":</TD>
   <TD>". $out->input_form("text","passwd",'',KWL_FormSize(10),13) ."
   <BR>(". _PASS_CHANGE .")</TD>
<TR>
	<TD COLSPAN=2>". $out->input_form("hidden","oldname",KWL_PrepareHtml($user['name'])) .
                    $out->input_form("hidden","uid",$user['uid']) .
                    $out->input_form("submit","act", _USER_EDIT) .
                    $out->input_form("submit","act", _USER_KILL) ."</TD></TR>".
                    $out->table_end() . $out->form_end();
KWL_DrawMain($A);
}

include("../include/footer.inc.php");
?>
