<?
/*--------------------------------------------------------------------
   KorWeblog :: Highly Customizable Weblog/CMS
   Copyright (C) 2001,2002 by Im Eunjea <eunjea@kldp.org>
   For detail of license and/or other info, see the file doc/COPYING.
   http://weblog.kldp.org
----------------------------------------------------------------------

LICENSE

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
----------------------------------------------------------------------*/

if (!defined("LOAD_MODULE"))
   die ("You can not access this file directly...");

$Html_Content = new KWL_OutputControl;
$Html_Content->start();

if ($CONF['CHECK_TIME']) {
   $process_time = new KWL_Process_Time;
   $process_time->timer("start");
}

echo "
<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">
<HTML>
<HEAD>
<META HTTP-EQUIV=\"Content-Type\" CONTENT=\"text/html; charset=$rdf_lang\">\n";
if ($CONF['admin_login']) {
	echo "<META HTTP-EQUIV=\"PRAGMA\" CONTENT=\"NO-CACHE\">
<script language=\"JavaScript\">
<!--
function getconfirm() {
	if(confirm(\"". _AUSURE ."\")) {
		return true;
	} else {
		return false;
	}
}
//-->
</script>\n";
}
$meta_keys = KWL_ReadFile("$CONF[G_PATH]/logs/meta.txt");

list($site_name,$site_desc) = KWL_PrepareHtml($CONF['SiteName'],$CONF['SiteSlogan']);
$site_title = "$site_name - $site_desc";
if (!empty($head)) 
	$site_title .= " :: " . KWL_PrepareHtml($head);
if (!empty($meta_keys)) 
	echo "<META NAME=\"KEYWORDS\" CONTENT=\"". KWL_PrepareHtml(trim($meta_keys)) ."\">\n";
echo "<META NAME=\"AUTHOR\" CONTENT=\"$site_name\">
<META NAME=\"COPYRIGHT\" CONTENT=\"Copyright (c) ". date("Y",time()) ." by $site_name\">
<META NAME=\"DESCRIPTION\" CONTENT=\"$site_desc\">
<META NAME=\"GENERATOR\" CONTENT=\"KorWeblog $G_VER - http://weblog.kldp.org\">
<TITLE>$site_title</TITLE>
<STYLE TYPE=\"text/css\">
<!--\n".
"BODY, TABLE, TD { font-family: $LAYOUT[FontFamily]; }\n".
"A:hover {text-decoration: none; color: $LAYOUT[HoverColor]; }\n".
"A.nav {color: $LAYOUT[NavColor]; }\n".
"A.title {color: $LAYOUT[TitleColor]; }\n".
"-->
</STYLE>\n";

$scblock = SqlQueryFetchArray("SELECT Rid,Display FROM T_Blocks WHERE Type = '3' AND URL = 'scroll.php'");
unset($sc_disp);
if ($scblock['Rid']) {
	if (!count($user_blocks)) $sc_disp = 1;
	if (in_array($scblock['Rid'],$user_blocks)) $sc_disp = 1;
} else $sc_disp = null;

if (isset($sc_disp) && isset($_GET['story']) && $agent['br'] != "MOZL6") {
	$width = $scblock['Display'] == "r" ? $LAYOUT['RightBlocksWidth'] - 15 : $LAYOUT['LeftBlocksWidth'] - 15;
	echo "
<script language=\"javascript\" src=\"$CONF[G_URL]/include/dhtmllib.js\"></SCRIPT>
<script language=\"javascript\" src=\"$CONF[G_URL]/include/scroller.js\"></SCRIPT>

<SCRIPT LANGUAGE=\"javascript\">
var myScroller1 = new Scroller(0, 0, $width, 45, 1, 0);
myScroller1.setColors(\"$LAYOUT[FgColor]\", \"$LAYOUT[BgColor]\", \"$LAYOUT[FgColor]\");
";
	echo KWL_NewStory($story);
	echo "function init() {
var img;
var x, y;
img = getImage(\"placeholder\");
x = getImagePageLeft(img);
y = getImagePageTop(img);
myScroller1.create();
myScroller1.hide();
myScroller1.moveTo(x, y);
myScroller1.setzIndex(100);
myScroller1.show();

}
</SCRIPT>\n";
}

?>
<SCRIPT LANGUAGE=JavaScript>
<!-- Begin
  var child = null;
  var count = 0;
  function new_windows(addr,tag,scroll,resize,wid,hei) {
    var childname = 'KorWeblog' + count++;
    if(child != null) {
      if(!child.closed) { child.close(); }
    }
    child = window.open(addr,tag,'left=0, top=0, toolbar=0,scrollbars=' + scroll + ',status=0,menubar=0,resizable=' + resize + ',width=' + wid + ',height=' + hei +'');
    child.focus();
    return;
  }
//-->
</SCRIPT>
</HEAD>

<BODY <? if (isset($sc_disp) && !empty($_GET['story'])) echo "onload=init() "; ?> TEXT="<? echo $LAYOUT["FgColor"] ?>" BGCOLOR="<? echo $LAYOUT["BgColor"] ?>" <? if (!empty($LAYOUT["BgURL"])) echo "BACKGROUND=\"$LAYOUT[BgURL]\""; ?> LINK="<? echo $LAYOUT["LinkColor"] ?>" VLINK="<? echo $LAYOUT["LinkColor"]; ?>" ALINK="<? echo $LAYOUT["LinkColor"]; ?>">

<? 
if (basename($_SERVER['PHP_SELF'])=="download.php") KWL_MouseOverInit();

KWL_Header();
echo "
<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH=\"$LAYOUT[PageWidth]\" ALIGN=CENTER>
<TR><TD COLSPAN=5 ALIGN=CENTER><IMG SRC=\"$CONF[G_URL]/images.d/speck.gif\" WIDTH=1 HEIGHT=$LAYOUT[AreaPadding] ALT=\"\"></TD></TR><TR>";

KWL_doBlocks("l");

$Html_Content->end();
$Html_Content->start();

echo "<TD WIDTH=\"100%\" VALIGN=\"TOP\">\n";
if (!empty($msg)) KWL_Notice($msg);
?>
