<?
/*--------------------------------------------------------------------
   KorWeblog :: Highly Customizable Weblog/CMS
   Copyright (C) 2001,2002 by Im Eunjea <eunjea@kldp.org>
   For detail of license and/or other info, see the file doc/COPYING.
   http://weblog.kldp.org
----------------------------------------------------------------------

LICENSE

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
----------------------------------------------------------------------*/

function KWL_DrawStory($A,$whe='',$preview=0) {
	global	$LAYOUT,$user,$TOPIC,$login;
	$CONF = KWL_GetConf();
	
	$topic_info =& $TOPIC[$A["Topic"]];
	$topic	= "<A HREF=\"$CONF[G_URL]/stories.php?topic=$A[Topic]\">$topic_info[Topic]</A>";
	if ($topic_info['ImgURL'] && empty($user['config']['iconoff'])) {
		$icon  = "<A HREF=\"$CONF[G_URL]/?topic=$A[Topic]\">";
		$icon .= "<IMG SRC=\"$topic_info[ImgURL]\" ALT=\"$topic_info[AltTag]\" ALIGN=\"right\" BORDER=\"0\" VSPACE=2 HSPACE=2></A>";
	} else $icon = "";
	
	$heading	= $A['Heading'];
   if ($preview) $heading = KWL_PrepareHtml($heading);
	$author = KWL_Author($A);
	$date		= KWL_DateFormat($A["Birthstamp"]);
	$link		= KWL_GetIndex($A["Rid"]);
	$content	= KWL_ParseContent($A["Content"],$A["ParseLevel"]);

	if (!$preview) {
		if ($A['bofile']) {
			$content .= "<P>\n<LI>". _ATTCHED_FILE .": ";
			$content .= "<a href=\"$CONF[G_URL]/upload/$A[Topic]/$A[bcfile]/$A[bofile]\">";
			$content .= KWL_icon_check($A['bofile']);
			$content .= " $A[bofile]</a> (" . KWL_FileHSize($A['bfsize'],1) . ")\n";
			$content .= KWL_file_view($A['Topic'],$A['bcfile'],$A['bofile']);
		}
		
		if ($A["Repostamp"]>$A["Birthstamp"]) $content	.= "<BR><LI><I>" . _REPOSTED . " " . KWL_DateFormat($A["Repostamp"]) . "</I>";
		if ($CONF['admin_login']) $content	.= "<br>\n" . KWL_AdminLinki("T_Stories",$A["Rid"],$whe);
      
      $add = "";
      if ($CONF['ENABLE_EDIT'] && !$CONF['admin_login']) $add = "[<a href=\"edit.php?mode=story&story=$A[Rid]\">". _EDIT ."</a>]";
      if ($CONF['Bookmark'] && $login) $add .= " [<a href=\"user.php?what=mark&rid=$A[Rid]\">". _BOOKMARK ."</a>]";
      if (!empty($add)) {
         $content .= "<div align=right><font size=\"-1\">$add</font></div>";
      }
	}

	if ($CONF['SHOW_IP']) $address = "($A[Host])";
	if ($CONF["PrintStory"]) $topic .= " <A TARGET=\"_BLANK\" HREF=\"$CONF[G_URL]/print.php?story=$A[Rid]\"><img src=\"$CONF[G_URL]/images.d/print.gif\" BORDER=\"0\" WIDTH=\"15\" HEIGHT=\"11\" ALT=\"" . _PRINTFRIEND . "\" HSPACE=\"3\"></A>";
	if ($CONF["MailFriend"]) $topic .= " <A HREF=\"$CONF[G_URL]/friend.php?story=$A[Rid]\"><img src=\"$CONF[G_URL]/images.d/friend.gif\" BORDER=\"0\" WIDTH=\"15\" HEIGHT=\"11\" ALT=\"" . _MAILTOFRIEND . "\" HSPACE=\"3\"></A>";			
	$imagedir	= "$CONF[G_URL]/backend/template/" . $LAYOUT["TMPL_Story"] . "/images";
	$views      = _VIEWS . " " . number_format($A["Hits"]);
	$template	= addslashes(KWL_ReadFile("$CONF[G_PATH]/backend/template/$LAYOUT[TMPL_Story]/story.tmpl"));
	eval("\$tmp=\"". $template ."\";");
	print $tmp;
}

function KWL_DrawSummary($A,$whe="") {
   global $LAYOUT,$TOPIC,$user;
   static $template;
   $CONF = KWL_GetConf();

   if (!isset($template)) {
      $template  = addslashes(KWL_ReadFile("$CONF[G_PATH]/backend/template/$LAYOUT[TMPL_Summary]/summary.tmpl"));
   }   

   $topic_info = $TOPIC[$A["Topic"]];
   $topic	= "<A HREF=\"$CONF[G_URL]/stories.php?topic=$A[Topic]\">$topic_info[Topic]</A>";
   if ($topic_info['ImgURL'] && empty($user['config']['iconoff'])) {
      $icon  = "<A HREF=\"$CONF[G_URL]/?topic=$A[Topic]\">".
               "<IMG SRC=\"$topic_info[ImgURL]\" ALT=\"$topic_info[AltTag]\" ALIGN=\"right\" BORDER=\"0\" VSPACE=2 HSPACE=2></A>";
   } else $icon = "";

   $heading	= "<A CLASS=\"title\" HREF=\"". KWL_MakeStoryLink($A['Rid']) ."\">$A[Heading]</A>";
   $author	= KWL_Author($A);
   $date		= KWL_DateFormat($A["Birthstamp"]);
   $content	= KWL_ParseContent($A["Summary"],$A["ParseLevel"]);
   
   if ($CONF["SummaryLength"]>0 && $A["Summary"] != $A["Content"])
      $content	.= "....";

   if ($CONF['admin_login']) $content	.= "<BR>\n" . KWL_AdminLinki("T_Stories",$A["Rid"],$whe);
   
   if ($A['bofile']) {
      $content .= "<P>\n<LI>". _ATTCHED_FILE .": ".
       "<a href=\"$CONF[G_URL]/upload/$A[Topic]/$A[bcfile]/$A[bofile]\">".
       KWL_icon_check($A['bofile']).
       " $A[bofile]</a> (" . KWL_FileHSize($A['bfsize']) . ")\n";
   }
	
   if ($A["Repostamp"]>$A["Birthstamp"]) $content	.= "<BR><LI><I>" . _REPOSTED . " " . KWL_DateFormat($A["Repostamp"]) . "</I>";
   
   $link	= KWL_GetIndex($A["Rid"]);
   $address = $CONF['SHOW_IP'] ? "($A[Host])" : "";
   
   $vcmts = $A['replys'] > 1 ? _COMMENTS : _COMMENT;
   if ($A['replys']) {
      $tmp = $CONF['Language'] == "korean" ? _COMMENT . " " . $A['replys'] . _FIX : "(" . $A['replys'] . " " . $vcmts . ")";
   }
   else $tmp = "-- " . _COMMENT;
	
   $comments = $CONF['Comments'] ? sprintf("<A HREF=\"stories.php?story=%s\">" . _READMORE . " %s</A>\n",$A["Rid"],$tmp) : sprintf("<A HREF=\"stories.php?story=%s\">" . _READMORE . "</A>\n",$A["Rid"]);
   
   if ($CONF['PrintStory']) $comments .= " <A TARGET=\"_BLANK\" HREF=\"$CONF[G_URL]/print.php?story=$A[Rid]\"><img src=\"$CONF[G_URL]/images.d/print.gif\" BORDER=\"0\" WIDTH=\"15\" HEIGHT=\"11\" ALT=\"" . _PRINTFRIEND . "\" HSPACE=\"1\"></A>";
   if ($CONF['MailFriend']) $comments .= " <A HREF=\"$CONF[G_URL]/friend.php?story=$A[Rid]\"><img src=\"$CONF[G_URL]/images.d/friend.gif\" BORDER=\"0\" WIDTH=\"15\" HEIGHT=\"11\" ALT=\"" . _MAILTOFRIEND . "\" HSPACE=\"1\"></A>";
	
   $modified = $A['replys'] ? _MODIFIED . " " . KWL_DateFormat($A['lastrdate']) : "";
   $views = _VIEWS . " " . number_format($A["Hits"]);
   $imagedir = "$CONF[G_URL]/backend/template/" . $LAYOUT["TMPL_Summary"] . "/images";
   eval("\$tmp=\"". $template ."\";");
   print $tmp;
}

function KWL_DrawBlock($A) {
   global $LAYOUT;
   static $right_templ, $left_templ;
   $CONF = KWL_GetConf();

   $heading	= KWL_PrepareHtml($A['Heading']);
   $content	= KWL_GetContent($A);
   $date    = !empty($A['Birthstamp']) ? KWL_DateFormat($A['Birthstamp']) : "";

   if ($A['Display']=="l") {
      if (!isset($left_templ)) $left_templ = addslashes(KWL_ReadFile("$CONF[G_PATH]/backend/template/$LAYOUT[TMPL_LeftBlock]/block.tmpl"));
      $imagedir = "$CONF[G_URL]/backend/template/$LAYOUT[TMPL_LeftBlock]/images";
   	eval("\$tmp=\"". $left_templ ."\";");
   } else {
      if (!isset($right_templ)) $right_templ = addslashes(KWL_ReadFile("$CONF[G_PATH]/backend/template/$LAYOUT[TMPL_RightBlock]/block.tmpl"));
      $imagedir = "$CONF[G_URL]/backend/template/$LAYOUT[TMPL_RightBlock]/images";
   	eval("\$tmp=\"". $right_templ ."\";");
   }
   print $tmp;
}

function KWL_DrawMain($A) {
   global $LAYOUT;
   static $template;
   $CONF = KWL_GetConf();

   if (!isset($template)) $template = addslashes(KWL_ReadFile("$CONF[G_PATH]/backend/template/$LAYOUT[TMPL_Main]/main.tmpl"));

   $heading	= $A['Heading'];
   $content	= &$A['Content'];
   $imagedir = "$CONF[G_URL]/backend/template/$LAYOUT[TMPL_Main]/images";
   eval("\$tmp=\"". $template ."\";");
   print $tmp;
}

function KWL_Header() {
   global $LAYOUT,$size,$topic,$login;
   $CONF = KWL_GetConf();

   list($site_name,$site_slogan) = KWL_PrepareHtml($CONF['SiteName'],$CONF['SiteSlogan']);

   if ($CONF['Banners'] && !$CONF['Banner_location']) $banner = KWL_DrawBanner();
	
   if (!empty($LAYOUT['LogoURL'])) {
      if (!preg_match("/^http/i",$LAYOUT['LogoURL'])) {
         $LAYOUT['LogoURL'] = "$CONF[G_URL]/$LAYOUT[LogoURL]";
      }
      $logo	= "<A HREF=\"$CONF[G_URL]/\"><IMG SRC=\"$LAYOUT[LogoURL]\" ALT=\"$site_name - $site_slogan\" BORDER=\"0\"></A>";
   } else $logo = "<H1>$site_name</H1>\n";

   $searchbox = "<FORM ACTION=\"$CONF[G_URL]/search.php\" METHOD=\"GET\">".
                _FIND ." <INPUT TYPE=TEXT SIZE=\"$size[find]\" NAME=\"query\"></FORM>\n";
   
   $date	= strftime($CONF['G_DATE'],time());
	
   $ret = KWL_MakeNavigator("t");
   if (is_array($ret)) {
      $navigation	= "<FONT COLOR=\"$LAYOUT[NavColor]\">$ret[0]";
      for ($i=1;$i<count($ret);$i++) {
         $navigation .= $CONF['nchar'] . $ret[$i];
      }
      $navigation .= "</FONT>\n";
   } else unset($navigation);

	$imagedir = "$CONF[G_URL]/backend/template/$LAYOUT[TMPL_Header]/images";
   $template = addslashes(KWL_ReadFile("$CONF[G_PATH]/backend/template/$LAYOUT[TMPL_Header]/header.tmpl"));
   eval("\$tmp=\"". $template ."\";");
   print $tmp;
}

function KWL_Footer() {
   global $LAYOUT,$G_VER;
   $CONF = KWL_GetConf();
   
   $G_URL = $CONF['G_URL'];
   if ($CONF['Banners'] && $CONF['Banner_location']) $banner = KWL_DrawBanner();
	
   $admin = _WEBMASTER . ": <A HREF=\"$CONF[G_URL]/profiles.php?Author=". urlencode($CONF["SiteOwner"]) . "&AuthorEmail=" . KWL_Rot13($CONF["EmailAddress"]) . "&AuthorURL=" . $CONF['G_URL'] ."\">". htmlspecialchars($CONF["SiteOwner"]) ."</A>";
   
   $copyright = $CONF['Copyright'];
   list($sitename,$siteslogan) = KWL_PrepareHtml($CONF['SiteName'],$CONF['SiteSlogan']);
   $imagedir = "$CONF[G_URL]/backend/template/$LAYOUT[TMPL_Footer]/images";
   $template = addslashes(KWL_ReadFile("$CONF[G_PATH]/backend/template/$LAYOUT[TMPL_Footer]/footer.tmpl"));
   eval("\$tmp=\"". $template ."\";");
   print $tmp;
}

function KWL_DrawComment($A,$where,$fix=0) {
   global $LAYOUT,$cmode,$comment_sort,$login,$user;
   static $template;
   $CONF = KWL_GetConf();

   if (!isset($template)) $template = addslashes(KWL_ReadFile("$CONF[G_PATH]/backend/template/$LAYOUT[TMPL_Comment]/comment.tmpl"));

   $author = KWL_Author($A) . "<A NAME=\"$A[Rid]\"></A>";
   if (!empty($CONF['SCORING']) && empty($user['config']['noscore'])) $author .= " (" . _SCORE . ": $A[score])";
   if ($A['face']) $face = "<IMG SRC=\"$CONF[G_URL]/images.d/face/$A[face]\" BORDER=\"0\" VSPACE=\"0\" HSPACE=\"0\" ALT=\"$A[face]\">";
   else $face = "<IMG SRC=\"$CONF[G_URL]/images.d/comment.gif\" BORDER=\"0\" VSPACE=\"0\" HSPACE=\"0\" ALT=\""._COMMENT."\">";
   
   if ($CONF['SHOW_IP']) $address = "($A[Host])";
   $content	= $fix ? KWL_ParseContent($A['Content'],$A['ParseLevel']) : $A['Content'];
   $date = KWL_DateFormat($A['Birthstamp']);
   $reply = "";
   if ($A['TopRid'] != $A['ParentRid'] && $cmode == "thread") {
      $sql = "SELECT ParentRid FROM T_Comments WHERE Rid = '$A[ParentRid]'";
      $tmp = SqlResult($sql);
      $reply = "<a href=\"$CONF[G_URL]/comments.php?rid=$tmp&story=$A[TopRid]&cmode=$cmode&comment_sort=$comment_sort#$A[ParentRid]\">"._VIEW_PARENT."</a> | ";
   }
   $reply .= "<A HREF=\"$CONF[G_URL]/write.php?rid=$A[Rid]&where=$where\">" . _REPLY . "</A>";
   $reply .= " | ";
   if (basename($_SERVER['PHP_SELF']) == "comments.php") $reply .= "<A HREF=\"$CONF[G_URL]/write.php?sid=$A[TopRid]\">" . _PARENT . "</A>";
   else $reply .= "<A HREF=\"$where#comments\">" . _PARENT . "</A>";
   if (!empty($CONF['Bookmark']) && !preg_match("/(pages|pollbooth)\.php/i",$_SERVER['PHP_SELF'])) $reply .= " | <A HREF=\"$CONF[G_URL]/user.php?what=mark&rid=$A[Rid]\">". _BOOKMARK ."</A>";
   if (!empty($CONF['SCORING'])) {
      if ($CONF['admin_login'] || ($login && $user['user_level'] == 2)) {
         $reply .= " | ". _SCORE . ": ";
         $where = urlencode($where);
         if ($A['score'] != 1) $reply .= " [<a href=\"$CONF[G_URL]/submit.php?what=scorechange&rid=$A[Rid]&act=plus\"><b>+</b></a>] ";
         if ($A['score'] != -1)	$reply .= " [<a href=\"$CONF[G_URL]/submit.php?what=scorechange&rid=$A[Rid]&act=minus\"><b>-</b></a>]";
      }
   }
   $reply = "[ $reply ]";
   
   if ($CONF['ENABLE_CEDIT'] && !$CONF['admin_login'] && !$fix && !empty($A['AuthorEmail'])) $content .= "<BR>[<A HREF=\"edit.php?mode=com&rid=$A[Rid]\">". _EDIT ."</A>]";
   if ($fix) $reply = "";
   
	$imagedir = "$CONF[G_URL]/backend/template/$LAYOUT[TMPL_Comment]/images";
   eval("\$tmp=\"". $template ."\";");
   print $tmp;
}

function KWL_ImportLayout($layout) {
   $CONF = KWL_GetConf();
	
   $filename = "$CONF[G_PATH]/backend/layouts/$layout".".xlay";
   $fpread = fopen($filename,"rb");
   if(!$fpread) KWL_ErrorLog("File Read Error $filename<br>\n");
   else {
      $XLAY	= array();
      while(!feof($fpread) ) {
         $buffer 	= ltrim(chop(fgets($fpread, 256)));
         if ($buffer == "<info>") {
            $author	= ltrim(chop(fgets($fpread, 256)));
            $author = ereg_replace( "<author>", "",$author);
            $author = ereg_replace( "</author>", "",$author);
            $XLAY["Author"] = $author;
            $desc	= ltrim(chop(fgets($fpread, 256)));
            $desc = ereg_replace( "<description>", "",$desc);
            $desc = ereg_replace( "</description>", "",$desc);
            $XLAY["Description"] = $desc;
            $version = ltrim(chop(fgets($fpread, 256)));
            $version = ereg_replace( "<version>", "",$version);
            $version = ereg_replace( "</version>", "",$version);
            $XLAY["Version"] = $version;
         } elseif ($buffer == "<item>") {
            $element = ltrim(chop(fgets($fpread, 256)));
            $value	= ltrim(chop(fgets($fpread, 256)));
				$element = ereg_replace( "<element>", "",$element);
            $element = ereg_replace( "</element>", "",$element);
            $value = ereg_replace( "<value>", "",$value);
            $value = ereg_replace( "</value>", "",$value);
            $XLAY[$element] = $value;
         }
      }
      fclose($fpread);
   }
   return $XLAY;
}

function KWL_DrawBanner() {
   $CONF = KWL_GetConf();
   
   $sql = "SELECT id,url,img_url,alt FROM T_Banners ORDER BY RAND() LIMIT 0,1";
   $A = SqlQueryFetchArray($sql);
   if (is_array($A)) {
      if (!preg_match('!^http!', $A['img_url']))
         $A['img_url'] = "$CONF[G_URL]/$A[img_url]";
      if (empty($A['alt'])) $A['alt'] = $A['url'];
      return "<a href=\"$CONF[G_URL]/redirect.php?what=banner&amp;id=$A[id]".
             "&amp;code=". KWL_HcodeMake("banner".$A['id'],1) ."\" target=\"_blank\"><img src=\"$A[img_url]\" BORDER=\"0\" VSPACE=\"1\" HSPACE=\"1\" ALT=\"". KWL_PrepareHtml($A['alt']) ."\"></a>";
   }
}
?>
