<?
/*--------------------------------------------------------------------
   KorWeblog :: Highly Customizable Weblog/CMS
   Copyright (C) 2001,2002 by Im Eunjea <eunjea@kldp.org>
   For detail of license and/or other info, see the file doc/COPYING.
   http://weblog.kldp.org
----------------------------------------------------------------------

LICENSE

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
----------------------------------------------------------------------*/

class email {
   function email ( $subject, $message, $senderName, $senderEmail, $toList, $html=0, $ccList=0, $bccList=0, $replyTo=0) {

      global $G_URL,$rdf_lang;
      $CONF = KWL_GetConf();

      $senderName = "=?$rdf_lang?B?". base64_encode($senderName) ."?=";
      $this->sender = $senderName . " <$senderEmail>";
      /* $this->replyTo = $replyTo; */
      $this->replyTo = $this->sender;
      $this->subject = "=?$rdf_lang?B?". base64_encode($subject) ."?=";
      $this->message = $message;

      if (is_array($toList)) $this->to = join( $toList, "," );
      else $this->to = $toList;
      
      if (is_array($ccList) && sizeof($ccList)) $this->cc = join( $ccList, "," );
      elseif ($ccList) $this->cc = $ccList;

      if (is_array($bccList) && sizeof($bccList)) $this->bcc = join( $bccList, "," );
      elseif ($bccList) $this->bcc = $bccList;

      $this->message .= "\n\n-- \n" . $CONF["SiteName"] . " - " . $CONF["SiteSlogan"]	. " <" . $G_URL . ">\n";
      $this->message .= "Powered by KorWeblog <http://weblog.kldp.org>";

      $this->headers = "From: " . $this->sender . "\n";
      if ($this->replyTo) $this->headers .= "Reply-To: " . $this->replyTo . "\n";
      if (isset($this->cc)) $this->headers .= "Cc: " . $this->cc . "\n";
      if (isset($this->bcc)) $this->headers .= "Bcc: " . $this->bcc . "\n";

      if ($html) {
         $this->htmlpart = KWL_MakeHtmlMail($subject,$message);
         if ($html) $this->boundary = KWL_GenBoundary();
         $this->send2();
      } else {
         $this->send();
      }
   }

	function send () {
      global $G_VER,$rdf_lang,$charbit;
      $CONF = KWL_GetConf();
      
      if ($CONF['QP_Encode']) {
         $this->message = KWL_QPEncode($this->message);
         $charbit = "quoted-printable";
      }
      $this->headers .= "Return-Path: $CONF[EmailAddress]\n"
                      . "Message-ID: <" . KWL_GenMailID() .">\n"
                      . "MIME-Version: 1.0\n"
                      . "Content-Type: text/plain; charset=$rdf_lang\n"
                      . "Content-Transfer-Encoding: $charbit\n"
                      . "X-Mailer: KorWebLog $G_VER\n";
      
      $this->pull_mail();
	}
   
   function send2() {
      global $G_VER,$rdf_lang,$charbit,$CONF;

      if ($CONF['QP_Encode']) {
         $this->message = KWL_QPEncode($this->message);
         $this->htmlpart = KWL_QPEncode($this->htmlpart);
         $charbit = "quoted-printable";
      }
      $this->message = "--". $this->boundary ."\n"
            . "Content-Type: text/plain; charset=$rdf_lang\n"
            . "Content-Transfer-Encoding: $charbit\n\n"
            . $this->message . "\n\n"
            . "\n--". $this->boundary ."\n"
            . "Content-Type: text/html; charset=$rdf_lang\n"
            . "Content-Transfer-Encoding: $charbit\n\n"
            . $this->htmlpart
            . "\n--". $this->boundary ."--\n";
      
      $this->headers .= "Return-Path: $CONF[EmailAddress]\n"
         . "Message-ID: <". KWL_GenMailID() .">\n"
         . "MIME-Version: 1.0\n"
         . "Content-Type: multipart/alternative; boundary=\"". $this->boundary ."\"\n"
         . "X-Mailer: KorWebLog $G_VER\n";
      
      $this->pull_mail();   
   }

   function pull_mail() {
       return @mail(trim($this->to),trim($this->subject),trim($this->message),trim($this->headers));
   }
}

function KWL_MailFriend($ParentRid,$MailToEmail,$Author,$AuthorEmail,$Message="") {
	global	$CONF,$G_VER,$G_URL,$TOPIC;
	$sql	= "SELECT * FROM T_Stories WHERE Rid = '$ParentRid'";
	$A	= SqlQueryFetchArray($sql);

	$subject	= $CONF["SiteName"] . ": ";
	$subject .= KWL_UnHtmlSpecialchars($A["Heading"]);
	
	$content = _MAILSENDER . ": " . $Author . " <$AuthorEmail>\n";
	$content .= "Sender ip : " . KWL_GetIP() . "\n";
	$content .= $CONF["SiteName"] . _MAILFRIEND. "\n\n";
	if ($Message) $content .= $Message . "\n\n";

	$content .= "URL: " . KWL_MakeStoryLink($ParentRid);
	$content .= "\n---------------------------------------------------------------------------\n";
	$content .= _TITLE . ": " . KWL_UnHtmlSpecialchars($A['Heading']) . "\n";
	$content .= _TOPIC . ": " . $TOPIC[$A['Topic']]['Topic'] . "\n";
	$content .= _AUTHOR. ": " . $A['Author'] . " <$A[AuthorEmail]>\n\n";
	$content .= $A['Content'];
	$content .= "\n\n---------------------------------------------------------------------------";
	new email ($subject, $content, $Author, $AuthorEmail, $MailToEmail);
}

/* new story notify to admin */
function KWL_NotifyAdmin($rid) {
   global $CONF,$G_VER,$G_URL,$TOPIC;

   $sql	= "SELECT * FROM T_Stories WHERE Rid = '$rid'";
   $A	= SqlQueryFetchArray($sql);

   if (is_array($A)) {

      /* don't send if poster is admin him(her)self */
      if ($CONF['EmailAddress'] == $A['AuthorEmail']) return;

      $content	= _NMAIL1 . " " . $CONF["SiteName"] . " " . _NMAIL2 . "\n\n".
                "---------------------------------------------------------------\n".
                _TITLE . ": " . KWL_UnHtmlSpecialchars($A["Heading"]) ."\n".
                _TOPIC . ": " . $TOPIC[$A["Topic"]]['Topic'] ."\n".
                _DATE . ": " . KWL_DateFormat($A["Birthstamp"]) ."\n".
                "Poster IP : ". KWL_GetIP() ."\n".
                _AUTHOR .": ". $A["Author"] ." <". $A["AuthorEmail"] .">\n\n".
                $A['Content'] ."\n\n".
                "---------------------------------------------------------------\n".
                _NMAIL3 ." ". $G_URL . "/admin";
      $subject = _UNVERIFIED ." ". $CONF["SiteName"];
      
      new email ($subject, $content, $A['Author'], $A['AuthorEmail'], $CONF["EmailAddress"]);
   }
}

/* new story notify to moderator */
function KWL_NotifyModer($rid) {
   global $CONF,$G_VER,$G_URL,$TOPIC;

   /* get moderator's email */
   $sql  = "SELECT email FROM T_Users WHERE user_level = 1 ORDER by uid ASC";
   $result = SqlQuery($sql);
   
	if (mysql_num_rows($result)) {
      $A	= SqlQueryFetchArray("SELECT * FROM T_Stories WHERE Rid = '$rid'");
      if (is_array($A)) {
         $content	= _NMAIL1 . " " . $CONF["SiteName"] . " " . _NMAIL2 . "\n\n".
                    "-------------------------------------------------------------------\n".
                    _TITLE . ": " . KWL_UnHtmlSpecialchars($A['Heading']) ."\n".
                    _TOPIC . ": " . $TOPIC[$A['Topic']]['Topic'] ."\n".
                    _AUTHOR . ": " . $A['Author'] . " <" . $A['AuthorEmail'] . ">\n\n".
                    $A['Content'] ."\n\n".
                    "-------------------------------------------------------------------\n".
                    "Moderation URL: $G_URL/moderate.php";
         $subject = _UNVERIFIED ." ". $CONF["SiteName"];
         
			while ($M = mysql_fetch_array($result)) {
				new email ($subject, $content, $A['Author'], $A['AuthorEmail'], $M['email']);
			}
		}
	}
}

function KWL_MailToList($rid) {
	global	$CONF,$G_VER,$G_URL,$TOPIC;

	$sql	= "SELECT * FROM T_Stories WHERE Rid = '$rid'";
	$A	= SqlQueryFetchArray($sql);
	if (is_array($A) && $CONF["MailingAddress"]) {
		$content	 = _TITLE . ": " . KWL_UnHtmlSpecialchars($A["Heading"]) . "\n";
		$content	.= _TOPIC . ": " . $TOPIC[$A["Topic"]]['Topic'] . "\n";
		$content	.= _DATE . ": " . KWL_DateFormat($A["Birthstamp"]) . "\n";
		$content	.= _AUTHOR . ": " . $A["Author"] . " <" . $A["AuthorEmail"] . ">" . "\n\n";
		$content	.= $A["Content"] . "\n\n";
		$content	.= _MMAIL2 . " " . KWL_MakeStoryLink($rid) . "\n";
		$content	.= "---------------------------------------------------------------\n";
		$content	.= _MMAIL1 . " " . $CONF["SiteName"] . " <$G_URL>\n";
		
		$subject = "[" . $CONF["SiteName"] . "] " . KWL_UnHtmlSpecialchars($A["Heading"]);
		new email ($subject, $content, $CONF["SiteName"], $CONF["EmailAddress"], $CONF["MailingAddress"]);
	}
}

/* mail to poster of original comment */
function KWL_MailReply($sid,$Author,$Content,$AuthorEmail="",$where,$crid,$TopRid) {
	global	$CONF,$G_VER,$G_URL,$TOPIC;

	$sql	= "SELECT * FROM T_Comments WHERE Rid = '$sid'";
	$A	= SqlQueryFetchArray($sql);
	if (!$A['email']) return;
	$A['AuthorEmail'] = KWL_EmailCheck($A['AuthorEmail']);
	if (empty($A['AuthorEmail']) || $A['AuthorEmail']==$AuthorEmail) return;

	$mailto = $A["Author"] . " <" . $A["AuthorEmail"] . ">";
	$Author = $Author;
	if ($Author == _ANONY || empty($AuthorEmail)) {
		$AuthorEmail = "nobody@KorWeblog.Agent";
	}
	$from = "$Author <$AuthorEmail>";
	$content	 = _CMAIL1 . " " . $CONF["SiteName"] . ".\n";
	$content	.= _CMAIL2 . "\n";
	$content	.= "[ " . _COMMENT . " ]\n";
	$content	.= _WRITES . ": $from\n";
	$content.= _COMADDED . ": ". KWL_DateFormat(date("Y-m-d H:i:s",time()))."\n\n";
	$content	.= stripslashes($Content) . "\n\n";
	$content	.= "URL: ". KWL_MakeUrl4Email($where,$TopRid,$crid) ."\n";
	$title = eregi_replace("(\r|\n)"," ",$A['Content']);
	$title = KWL_StringCut($title,40) . "...";
	$subject = "Re: ". $title;
	new email ($subject, $content, $Author, $AuthorEmail, $mailto);
}

/* mail comment to story poster */
function KWL_MailThread($StoryRid,$Author,$Content,$AuthorEmail="",$where,$crid) {
	global $G_VER,$G_URL,$TOPIC;
   $CONF = KWL_GetConf();
   
	if (eregi("(pollbooth|pages).php",$where)) return;

	$sql	= "SELECT * FROM T_Stories WHERE Rid = '$StoryRid'";
	$A	= SqlQueryFetchArray($sql);
	$A['AuthorEmail'] = KWL_EmailCheck($A['AuthorEmail']);
	if (!$A['EmailComments'] || empty($A['AuthorEmail']) || $A['AuthorEmail']==$AuthorEmail) return;

	$mailto	= $A["Author"] . " <" . $A["AuthorEmail"] . ">";
	$orig_title = KWL_UnHtmlSpecialchars($A["Heading"]);
	$orig_topic = $TOPIC[$A["Topic"]]['Topic'];
	$orig_date  = KWL_DateFormat($A["Birthstamp"]);
	$remail = $AuthorEmail ? $AuthorEmail : "nobody@KorWeblog.Agent";
	$content	 = _CMAIL1 . " " . $CONF["SiteName"] . ".\n";
	$content	.= _CMAIL2 . "\n";
	$content	.= "[ " . _CMAIL3 . " ]\n";
	$content	.= _TITLE . ": $orig_title\n";
	$content	.= _TOPIC . ": $orig_topic\n";
	$content	.= _DATE  . ": $orig_date\n\n";
	$content	.= "[ " . _COMMENT . " ]\n";
	$content	.= _WRITES . ": " . $Author . " <$remail>\n";
	$content.= _COMADDED . ": " . KWL_DateFormat(date("Y-m-d H:i:s",time())) . "\n\n";
	$content	.= stripslashes($Content) . "\n\n";
	$content	.= _DETAILS . "\n" . KWL_MakeUrl4Email($where,$StoryRid,$crid) ."\n";
	$subject = KWL_UnHtmlSpecialchars(strip_tags("Re: " . $A["Heading"]));

	new email ($subject, $content, $Author, $remail, $mailto);
}

/* mail comment to site admin */
function KWL_CommentToAdmin($TopRid,$Author,$Content,$AuthorEmail,$where,$crid) {
	global $G_URL,$TOPIC;
   $CONF = KWL_GetConf();

   /* don't send if poster is admin him(her)self */
	if ($CONF['EmailAddress'] == $AuthorEmail) return;

	$sql	= "SELECT * FROM T_Stories WHERE Rid = '$TopRid'";
	$A	= SqlQueryFetchArray($sql);
   
   $content = '';
   if (is_array($A)) {
      $content = "[ " . _CMAIL3 . " ]\n".
                 _TITLE .": ". KWL_UnHtmlSpecialchars($A['Heading']) ."\n".
                 _TOPIC .": ". $TOPIC[$A["Topic"]]['Topic'] ."\n".
                 _DATE  .": ". KWL_DateFormat($A['Birthstamp']) ."\n".
                 "URL : ". KWL_MakeStoryLink($TopRid) ."\n\n";
   }

	if ($Author == _ANONY || empty($AuthorEmail)) {
		$AuthorEmail = "nobody@KorWeblog.Agent";
	}
	$from = "$Author <$AuthorEmail>";
	$date = KWL_DateFormat(date("Y-m-d H:i:s",time()));
	$subject = $CONF['SiteName'] . _NOTIFY_NEW ;
	$content .= "[ " . _COMMENT . " ]\n".
               _AUTHOR .": $from\n".
               _COMADDED.": $date\n".
               "Poster IP: ". KWL_GetIP() ."\n\n".
               stripslashes($Content) ."\n\n".
               "URL: ". KWL_MakeUrl4Email($where,$TopRid,$crid) ."\n";
	new email ($subject , $content, $Author, $AuthorEmail, $CONF['EmailAddress']);	
}

function KWL_SpamWarning($content,$writer,$email,$reason=0) {
   $CONF = KWL_GetConf();

	$cont = $reason ? _REASON1 : _REASON0;
	$cont .= "\n\n" . _AUTHOR .": $writer <$email>\n";
	$cont .= "Writer's IP: " . KWL_GetIP(0) . "\n";
	$cont	.= "-------------------------------------------------------------------\n";
	$cont .= $content;
	$cont	.= "\n-------------------------------------------------------------------\n";

	new email (_SPAM_NOTIFY, $cont, $CONF["SiteName"], "nobody@KorWeblog.Agent", $CONF['EmailAddress']); 
}

function KWL_MailToUser($id,$pass,$email) {
	global $G_URL,$G_VER;
   $CONF = KWL_GetConf();

	$site_name = $CONF['SiteName'];
	$title = "$site_name - ". _U_MAIL_TITLE;
	$cont = "$site_name :". _U_MAIL_CONT ."

". _NAME ."\t : $id
". _PASSWD ."\t : $pass
Login\t : $G_URL/login.php
";

	new email ($title, $cont, $site_name, $CONF['EmailAddress'], $email);
}

function KWL_GenMailID() {
	$id = date("YmdHis", time());
	mt_srand ((float) microtime() * 1000000);
	$randval = mt_rand();
	$id .= ".kwl" . $randval. "@kweblog";
	return $id;
}

function KWL_GenBoundary() {
   $a = array();
   for($i=97; $i<=122; $i++) array_push($a,chr($i));
   for($i=65; $i<=90; $i++)  array_push($a,chr($i));
	mt_srand ((float) microtime() * 1000000);
   do {
      $ret .= sprintf("%s",$a[rand()%62]);
   } while (strlen($ret) < 16);
   return $ret . "kwl";
}

function KWL_MakeUrl4Email($where,$sid,$crid) {
	global $G_URL;

	if (eregi("pollbooth.php",$where)) {
		$where = "$G_URL/pollbooth.php?poll=$sid&aid=-1";
	} elseif (eregi("pages.php",$where)) {
		$where = "$G_URL/pages.php?page=$sid";
	} else {
		$where = "$G_URL/stories.php?story=$sid&bm=1";
	}
	return $where .= "#$crid";
}

function KWL_QPEncode($input, $line_max = 76) {
	
	$hex = array('0','1','2','3','4','5','6','7','8','9','A','B','C','D','E','F');
	$lines = preg_split("/(?:\r\n|\r|\n)/", $input);
	$output = "";

	foreach ($lines as $line) {
		$length = strlen($line);
		$newline = "";
		for($i = 0; $i < $length; $i++) {
			$c = substr($line, $i, 1);
			$dec = ord($c);
			if ( ($dec == 32) && ($i == ($length - 1)) ) {
				$c = "=20";
			} elseif ( ($dec == 61) || ($dec < 32 ) || ($dec > 126) ) {
				$h2 = floor($dec/16); $h1 = floor($dec%16);
				$c = "=" . $hex["$h2"] . $hex["$h1"]; 
			}
			if ((strlen($newline) + strlen($c)) >= $line_max ) {
				$output .= $newline . "=\n";
				$newline = "";
			}
			$newline .= $c;
		}
		$output .= $newline . "\n";
	}
	return trim($output);
}

function KWL_MakeHtmlMail($title,$content) {
   
   /* I HATE html mail !!! It's just eye candy ;) */

   global $LAYOUT,$G_VER;
   $CONF = KWL_GetConf();

   $template = addslashes(KWL_ReadFile("$CONF[G_PATH]/include/mail.tmpl"));
   list($site_name,$site_desc) = KWL_PrepareHtml($CONF['SiteName'],$CONF['SiteSlogan']);

   ob_start();
   $A['Heading'] =& $title;
   $A['Content'] =& KWL_ParseContent($content,3);
   KWL_DrawMain($A);
   $body = ob_get_contents();
   ob_end_clean();

   eval("\$tmp=\"". $template ."\";");
   return $tmp;
}
?>
