CREATE TABLE T_Priv_msgs (
  msg_id int(11) NOT NULL auto_increment,
  msg_image varchar(100) default NULL,
  subject varchar(100) default NULL,
  from_userid int(11) NOT NULL default '0',
  to_userid int(11) NOT NULL default '0',
  msg_time varchar(20) default NULL,
  msg_text text,
  read_msg tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (msg_id),
  KEY to_userid (to_userid)
) TYPE=MyISAM;


CREATE TABLE T_Counter (
  What varchar(80) NOT NULL default '',
  Var varchar(80) NOT NULL default '',
  Hit int(11) unsigned NOT NULL default '0'
) TYPE=MyISAM;

INSERT INTO T_Counter VALUES ('browser','w3m',0);
INSERT INTO T_Counter VALUES ('browser','Lynx',0);
INSERT INTO T_Counter VALUES ('browser','MSIE',0);
INSERT INTO T_Counter VALUES ('browser','Opera',0);
INSERT INTO T_Counter VALUES ('browser','Konqueror',0);
INSERT INTO T_Counter VALUES ('browser','Netscape',0);
INSERT INTO T_Counter VALUES ('browser','Bot',0);
INSERT INTO T_Counter VALUES ('browser','Other',0);
INSERT INTO T_Counter VALUES ('os','Windows',0);
INSERT INTO T_Counter VALUES ('os','Linux',0);
INSERT INTO T_Counter VALUES ('os','Mac',0);
INSERT INTO T_Counter VALUES ('os','FreeBSD',0);
INSERT INTO T_Counter VALUES ('os','SunOS',0);
INSERT INTO T_Counter VALUES ('os','IRIX',0);
INSERT INTO T_Counter VALUES ('os','BeOS',0);
INSERT INTO T_Counter VALUES ('os','OS/2',0);
INSERT INTO T_Counter VALUES ('os','AIX',0);
INSERT INTO T_Counter VALUES ('os','Other',0);

CREATE TABLE T_Session (
	sessid varchar(32) NOT NULL DEFAULT '' ,
   ipaddr varchar(20) NOT NULL DEFAULT '',	
	lastused int(11) NOT NULL DEFAULT '0' ,
	uid int(11) NOT NULL DEFAULT '0' ,
	PRIMARY KEY (sessid)
);

CREATE TABLE T_Referer (
  Rid int(11) NOT NULL auto_increment,
  Url varchar(255) NOT NULL default '',
  Hit int(11) default NULL,
  PRIMARY KEY  (Rid)
) TYPE=MyISAM;

CREATE TABLE T_UBookmark (
  id int(11) NOT NULL auto_increment,
  uid int(11) NOT NULL default '0',
  rid varchar(16) NOT NULL default '',
  pid varchar(16) NOT NULL default '',
  PRIMARY KEY (id),
  KEY uid (uid)
) TYPE=MyISAM;

CREATE TABLE T_Auto_Story (
  Rid varchar(16) NOT NULL default '',
  Host varchar(96) default NULL,
  Topic varchar(16) default NULL,
  Heading varchar(96) default NULL,
  Summary text,
  Content text,
  Author varchar(32) default NULL,
  AuthorEmail varchar(96) default NULL,
  AuthorURL varchar(96) default NULL,
  EmailComments tinyint(4) default NULL,  
  Poststamp int(11) default NULL,
  bofile varchar(100) default NULL,
  bcfile varchar(100) default NULL,
  bfsize int(4) default NULL,
  passwd varchar(56) default NULL,
  PRIMARY KEY  (Rid)
) TYPE=MyISAM;

