
ALTER TABLE T_Config CHANGE Name Name varchar(255);
ALTER TABLE T_Config CHANGE Value Value text;

INSERT INTO T_Config VALUES ('','HtmlKey','a:20:{i:0;s:1:\"a\";i:1;s:1:\"b\";i:2;s:10:\"blockquote\";i:3;s:2:\"br\";i:4;s:6:\"center\";i:5;s:3:\"div\";i:6;s:2:\"em\";i:7;s:2:\"hr\";i:8;s:1:\"i\";i:9;s:2:\"li\";i:10;s:2:\"ol\";i:11;s:1:\"p\";i:12;s:3:\"pre\";i:13;s:6:\"strong\";i:14;s:2:\"tt\";i:15;s:2:\"ul\";i:16;s:5:\"table\";i:17;s:2:\"td\";i:18;s:2:\"th\";i:19;s:2:\"tr\";}');

INSERT INTO T_Config VALUES ('','active_theme','a:35:{i:0;s:7:\"ewaddle\";i:1;s:5:\"slash\";i:2;s:3:\"t.o\";i:3;s:7:\"blogger\";i:4;s:8:\"blackbox\";i:5;s:7:\"tainted\";i:6;s:9:\"newsforge\";i:7;s:5:\"blurb\";i:8;s:7:\"moronic\";i:9;s:8:\"kuro5hin\";i:10;s:6:\"ananda\";i:11;s:7:\"shanked\";i:12;s:7:\"papered\";i:13;s:7:\"xwindow\";i:14;s:7:\"default\";i:15;s:9:\"geekforum\";i:16;s:6:\"silver\";i:17;s:4:\"gray\";i:18;s:9:\"freshmeat\";i:19;s:5:\"0ri0n\";i:20;s:4:\"osdn\";i:21;s:6:\"mergus\";i:22;s:6:\"linuxg\";i:23;s:3:\"ocx\";i:24;s:6:\"circle\";i:25;s:6:\"slashd\";i:26;s:7:\"hardocp\";i:27;s:7:\"dotvoid\";i:28;s:8:\"opensoul\";i:29;s:5:\"osdn2\";i:30;s:2:\"bw\";i:31;s:6:\"simple\";i:32;s:5:\"lxart\";i:33;s:11:\"codefactory\";i:34;s:6:\"spoono\";}');

CREATE TABLE T_Link_Order (
  id int(11) NOT NULL auto_increment,
  name varchar(64) NOT NULL default '',
  display_name varchar(128) NOT NULL default '',
  url varchar(255) NOT NULL default '',
  display char(1) NOT NULL default 't',
  orderid tinyint(4) NOT NULL default '0',
  active int(1) NOT NULL default '1',
  PRIMARY KEY  (id),
  KEY name (name),
  KEY display (display),
  KEY orderid (orderid),
  KEY active (active)
) TYPE=MyISAM;

INSERT INTO T_Link_Order VALUES ('','index','','','t',1,1),('','search','','','t',2,1),('','archive','','','t',3,1),('','contrib','','','t',4,1),('','links','','','t',5,1),('','poll','','','t',6,1),('','page','','','t',7,1),('','download','','','t',8,1),('','stats','','','t',9,1),('','faq','','','t',10,1),('','user','','','t',11,1),('','config','','','t',12,1),('','contact','','','t',13,1);

ALTER TABLE T_Auto_Story ADD ParseLevel tinyint(1) default 3;
ALTER TABLE T_Stories ADD ParseLevel tinyint(1) default 3;
ALTER TABLE T_Comments ADD ParseLevel tinyint(1) default 3;

CREATE TABLE T_Stats_date (
  day int(11) NOT NULL default 0,
  hits int(11) NOT NULL default 0,
  KEY day (day)
) TYPE=MyISAM;

CREATE TABLE T_Stats_week (
  week tinyint(1) NOT NULL default 0,
  hits int(11) NOT NULL default 0,
  KEY week (week)
) TYPE=MyISAM;

insert into T_Stats_week VALUES (0,0),(1,0),(2,0),(3,0),(4,0),(5,0),(6,0);

CREATE TABLE T_Stats_month (
  month tinyint(2) NOT NULL default 0,
  hits int(11) NOT NULL default 0,
  KEY month (month)
) TYPE=MyISAM;

insert into T_Stats_month VALUES (1,0),(2,0),(3,0),(4,0),(5,0),(6,0),(7,0),(8,0),(9,0),(10,0),(11,0),(12,0);

CREATE TABLE T_Stats_hour (
  hour tinyint(2) NOT NULL default 0,
  hits int(11) NOT NULL default 0,
  KEY hour (hour)
) TYPE=MyISAM;

insert into T_Stats_hour VALUES (0,0),(1,0),(2,0),(3,0),(4,0),(5,0),(6,0),(7,0),(8,0),(9,0),(10,0),(11,0),(12,0),(13,0),(14,0),(15,0),(16,0),(17,0),(18,0),(19,0),(20,0),(21,0),(22,0),(23,0);
