<?
echo "Create table T_Blocks<BR>";
SqlQuery("
CREATE TABLE T_Blocks (
  Rid varchar(16) NOT NULL default '',
  Display char(1) default NULL,
  ShowMain char(1) default NULL,
  PageComments char(1) default NULL,
  Heading varchar(48) default NULL,
  Content text,
  Type tinyint(4) default NULL,
  OrderID tinyint(4) default NULL,
  URL varchar(96) default NULL,
  Hits int(11) default NULL,
  Timestamp timestamp(14) NOT NULL,
  Birthstamp datetime NOT NULL default '0000-00-00 00:00:00',
  Cache int(11) default NULL,
  PRIMARY KEY  (Rid),
  KEY Timestamp (Timestamp),
  KEY Birthstamp (Birthstamp)
) TYPE=MyISAM;");

SqlQuery("
INSERT INTO T_Blocks VALUES ('01/03/11/0612917','r','0','0','Link','<BR>\r\n<CENTER>\r\n<A HREF=\"http://weblog.kldp.org\"><IMG SRC=\"http://weblog.kldp.org/images.d/korweblog_b1.gif\" BORDER=\"0\r\n\" WIDTH=\"88\" HEIGHT=\"31\" VSPACE=\"0\" HSPACE=\"0\" ALT=\"KorWeblog - php news/forum system\"></A>\r\n</CENTER>',0,2,'',0,20010311172332,'2001-03-11 17:23:32',6),('02/02/27/1624090','l','0','0','Topics','',3,3,'topic.php',0,20020227064704,'2002-02-27 06:47:04',60),('02/02/27/1627786','l','0','0','Older Stories','',3,4,'older.php',0,20020227064707,'2002-02-27 06:47:07',60),('02/02/27/1638032','l','0','0','Top Stories','',3,5,'top5.php',0,20020227064718,'2002-02-27 06:47:18',60),('02/02/27/1643332','l','0','0','Hot Stories','',3,6,'hot5.php',0,20020227064723,'2002-02-27 06:47:23',60),('02/02/27/1648727','l','0','0','Last Comments','',3,7,'lastc5.php',0,20020227064728,'2002-02-27 06:47:28',60),('02/02/27/1655647','r','0','0','Site Theme','',3,8,'theme.php',0,20020227064735,'2002-02-27 06:47:35',60),('02/02/27/1663134','r','0','0','Story Related scroll block','',3,9,'scroll.php',0,20020227064743,'2002-02-27 06:47:43',60),('02/03/16/1396820','r','0','0','Login','',3,10,'login.php',0,20020316012956,'2002-03-16 01:29:56',60);");

echo "Create table T_Comments<BR>";
SqlQuery("
CREATE TABLE T_Comments (
  Rid varchar(16) NOT NULL default '',
  TopRid varchar(16) NOT NULL default '',
  Author varchar(32) default NULL,
  AuthorEmail varchar(96) default NULL,
  AuthorURL varchar(96) default NULL,
  Content text,
  Host varchar(96) default NULL,
  Birthstamp datetime NOT NULL default '0000-00-00 00:00:00',
  Timestamp timestamp(14) NOT NULL,
  ParentRid varchar(16) NOT NULL default '',
  passwd varchar(56) default NULL,
  face varchar(100) default NULL,
  score tinyint(4) NOT NULL default '0',
  email tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (Rid),
  KEY Rid (Rid),
  KEY TopRid (TopRid),
  KEY ParentRid (ParentRid),
  KEY Birthstamp (Birthstamp)
) TYPE=MyISAM;");

echo "Create table T_Config<BR>";
SqlQuery("
CREATE TABLE T_Config (
  Rid int(11) NOT NULL auto_increment,
  Name varchar(16) default NULL,
  Value varchar(128) default NULL,
  PRIMARY KEY  (Rid)
) TYPE=MyISAM;");

SqlQuery("
INSERT INTO T_Config VALUES (1,'Moderation','0'),(2,'SiteName','KorWebLog'),(3,'SiteSlogan','highly customizable PHP & MySQL weblog'),(4,'SiteOwner','owner'),(5,'EmailAddress','owner@localhost'),(6,'Backend','0'),(7,'BackendFile','korweblog.rdf'),(8,'MailingList','0'),(9,'MailingAddress',''),(10,'SummaryLength','300'),(11,'Comments','1'),(12,'CommentSort','asc'),(13,'Topics','1'),(14,'TopicSort','asc'),(15,'Links','1'),(16,'Older','1'),(17,'Top5','1'),(18,'Hot5','1'),(19,'LimitNews','10'),(20,'LimitType','0'),(21,'Passwd','4a7d1ed414474e4033ac29ccb8653d9b'),(22,'SiteKey','KorWebLog'),(23,'SiteStats','1'),(24,'AllowAnon','1'),(25,'ParseLevel','3'),(26,'SaveInfo','1'),(27,'EmailComments','1'),(28,'AllowContrib','1'),(29,'Layout','osdn'),(30,'Language','english'),(31,'Archive','1'),(32,'MailFriend','1'),(33,'PrintStory','1'),(34,'LASTC5','1'),(35,'FILE_UPLOAD','0'),(36,'FILE_MAX_SIZE',''),(37,'ENABLE_EDIT','0'),(38,'Reply_PLevel','3'),(39,'AllowScore','0'),(40,'ENABLE_FACE','1'),(41,'ENABLE_QUOTE','1'),(42,'ENABLE_CEDIT','0'),(43,'EmailReply','0'),(44,'CATCH_REPLYS','0'),(45,'PAGE_REPLY','0'),(46,'PAGE_REPLY_LIMIT',''),(47,'what','config-reply'),(48,'SCORING','0'),(49,'SHOW_NUM','1'),(50,'show_total_num','1'),(51,'download','1'),(52,'FAQ','1'),(53,'CONTACT','1'),(54,'CHECK_TIME','1'),(55,'File_Cache','0'),(56,'SHOW_IP','0'),(57,'NEXT_PREV','1'),(58,'DAYOFWEEK','1'),(59,'SPAM_CHECK','0'),(60,'FORM_WRAP','0'),(61,'feature',''),(62,'nchar',''),(63,'Referer','0');");

echo "Create table T_Download<BR>";
SqlQuery("
CREATE TABLE T_Download (
  id int(11) NOT NULL auto_increment,
  Verified tinyint(1) NOT NULL default '0',
  hit int(10) NOT NULL default '0',
  path varchar(255) default NULL,
  filename varchar(255) default NULL,
  filesize bigint(15) default NULL,
  date int(11) NOT NULL default '0',
  url varchar(255) default NULL,
  category int(11) NOT NULL default '',
  description text,
  uname varchar(30) default NULL,
  passwd varchar(56) default NULL,
  PRIMARY KEY  (id),
  KEY date (date),
  KEY category (category),
  KEY id (id)
) TYPE=MyISAM;");

echo "Create table T_FileCategories<BR>";
SqlQuery("
CREATE TABLE T_FileCategories (
  id int(11) NOT NULL auto_increment,
  title varchar(255) default NULL,
  ctype tinyint(1) NOT NULL default '0',
  description text,
  PRIMARY KEY  (id)
) TYPE=MyISAM;");

echo "Create table T_IndexLinks<BR>";
SqlQuery("
CREATE TABLE T_IndexLinks (
  Rid int(11) NOT NULL auto_increment,
  ParentRid varchar(16) default NULL,
  Name varchar(48) default NULL,
  URL varchar(128) default NULL,
  Hits int(11) default NULL,
  PRIMARY KEY  (Rid)
) TYPE=MyISAM;");

echo "Create table T_IndexNames<BR>";
SqlQuery("
CREATE TABLE T_IndexNames (
  Rid int(11) NOT NULL auto_increment,
  Name varchar(48) NOT NULL default '',
  PRIMARY KEY  (Rid),
  UNIQUE KEY Name (Name)
) TYPE=MyISAM;");

echo "Create table T_LinkCats<BR>";
SqlQuery("
CREATE TABLE T_LinkCats (
  Rid varchar(16) NOT NULL default '',
  Name varchar(50) NOT NULL default '',
  ParentRid varchar(16) default NULL,
  Verified char(1) default NULL,
  PRIMARY KEY  (Rid)
) TYPE=MyISAM;");

echo "Create table T_Links<BR>";
SqlQuery("
CREATE TABLE T_Links (
  Rid varchar(16) NOT NULL default '',
  CatRid varchar(16) NOT NULL default '',
  Url varchar(255) NOT NULL default '',
  Name varchar(64) default NULL,
  Description varchar(255) default NULL,
  Verified char(1) default NULL,
  SubmitName varchar(64) default NULL,
  SubmitEmail varchar(96) default NULL,
  SubmitDate datetime default NULL,
  Hits int(11) default NULL,
  PRIMARY KEY  (Rid),
  UNIQUE KEY Url (Url)
) TYPE=MyISAM;");

#
# Dumping data for table 'T_Links'
#
SqlQuery("
INSERT INTO T_Links VALUES ('01/03/11/0900668','null','http://weblog.kldp.org','KorWeblog','KorWeblog','1','silver','silver@koru.org','2001-03-11 17:28:20',0);");

echo "Create table T_Pages<BR>";
SqlQuery("
CREATE TABLE T_Pages (
  Rid varchar(16) NOT NULL default '',
  Name varchar(32) default NULL,
  Heading varchar(64) default NULL,
  Content text,
  Display char(1) default NULL,
  Type tinyint(4) default NULL,
  Timestamp timestamp(14) NOT NULL,
  PRIMARY KEY  (Rid)
) TYPE=MyISAM;");

echo "Create table T_PollAnswers<BR>";
SqlQuery("
CREATE TABLE T_PollAnswers (
  Rid varchar(16) NOT NULL default '',
  Aid int(11) NOT NULL default '0',
  Answer varchar(255) default NULL,
  Votes int(11) default NULL,
  PRIMARY KEY  (Rid,Aid)
) TYPE=MyISAM;");

SqlQuery("
INSERT INTO T_PollAnswers VALUES ('01/03/10/7012379',1,'None - I haven\'t tried Linux at all yet!',1),('01/03/10/7012379',2,'One',1),('01/03/10/7012379',3,'Two',0),('01/03/10/7012379',4,'Three to Five',0),('01/03/10/7012379',5,'More Than Five',0);");

echo "Create table T_PollQuestions<BR>";
SqlQuery("
CREATE TABLE T_PollQuestions (
  Rid varchar(16) NOT NULL default '',
  Question varchar(255) NOT NULL default '',
  Voters int(11) default NULL,
  ExpireDays int(11) default NULL,
  BirthStamp datetime default NULL,
  Display char(1) NOT NULL default '0',
  PRIMARY KEY  (Rid)
) TYPE=MyISAM;");

SqlQuery("
INSERT INTO T_PollQuestions VALUES ('01/03/10/7012379','How Many Linux Distributions Have You\nTried?',2,7,'2001-10-03 16:35:50','r');");

echo "Create table T_Referer<BR>";
SqlQuery("
CREATE TABLE T_Referer (
  Rid int(11) NOT NULL auto_increment,
  Url varchar(255) NOT NULL default '',
  Hit int(11) default NULL,
  PRIMARY KEY  (Rid)
) TYPE=MyISAM;");

SqlQuery("
INSERT INTO T_Referer VALUES (1,'direct',1);");

echo "Create table T_Stories<BR>";
SqlQuery("
CREATE TABLE T_Stories (
  Rid varchar(16) NOT NULL default '',
  Verified char(1) default NULL,
  Score int(11) default NULL,
  Host varchar(96) default NULL,
  Topic varchar(16) NOT NULL default '',
  Heading varchar(96) default NULL,
  Summary text,
  Content text,
  Author varchar(32) default NULL,
  AuthorEmail varchar(96) default NULL,
  AuthorURL varchar(96) default NULL,
  EmailComments tinyint(4) default NULL,
  Hits int(11) default NULL,
  Repostamp datetime NOT NULL default '0000-00-00 00:00:00',
  Timestamp timestamp(14) NOT NULL,
  Birthstamp datetime default NULL,
  bofile varchar(100) default NULL,
  bcfile varchar(100) default NULL,
  bfsize int(4) default NULL,
  passwd varchar(56) default NULL,
  replys int(11) NOT NULL default '0',
  lastrdate datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (Rid),
  KEY Rid (Rid),
  KEY Topic (Topic),
  KEY Repostamp (Repostamp),
  KEY lastrdate (lastrdate)
) TYPE=MyISAM;");

SqlQuery("
INSERT INTO T_Stories VALUES ('01/03/10/9621633','Y',NULL,'192.168.1.10','1','KorWeblog','This is test story.','This is test story.','Im Eunjea','eunjea@kldp.org','http://weblog.kldp.org',0,35,'2001-03-10 18:53:41',20011003163312,'2001-03-10 18:53:41',NULL,NULL,NULL,NULL,0,'2001-04-18 16:44:20');");

echo "Create table T_Topics<BR>";
SqlQuery("
CREATE TABLE T_Topics (
  Rid int(11) NOT NULL auto_increment,
  Topic varchar(48) NOT NULL default '',
  ImgURL varchar(96) default NULL,
  AltTag varchar(64) default NULL,
  NoPosting char(1) default NULL,
  NoComments char(1) default NULL,
  Timestamp timestamp(14) NOT NULL,
  OrderID tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (Rid),
  UNIQUE KEY Topic (Topic)
) TYPE=MyISAM;");

SqlQuery("
INSERT INTO T_Topics VALUES (1,'test','','test','0','0',20011003162812,0);");

echo "Create table T_Users<BR>";
SqlQuery("
CREATE TABLE T_Users (
  uid int(11) NOT NULL auto_increment,
  user_level int(10) NOT NULL default '0',
  name varchar(60) NOT NULL default '',
  pass varchar(56) NOT NULL default '',
  email varchar(60) NOT NULL default '',
  url varchar(100) default NULL,
  user_sig varchar(255) default NULL,
  profile text,
  mailallow tinyint(1) NOT NULL default '1',
  rmailallow tinyint(1) NOT NULL default '1',
  score tinyint(1) NOT NULL default '0',
  csort varchar(15) default NULL,
  nocom tinyint(1) NOT NULL default '0',
  boxes varchar(255) default NULL,
  blocks varchar(255) default NULL,
  theme varchar(255) default NULL,
  rdate datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (uid),
  KEY name (name)
) TYPE=MyISAM;");

echo "Create table faqAnswer<BR>";
SqlQuery("
CREATE TABLE faqAnswer (
  no tinyint(4) NOT NULL auto_increment,
  id tinyint(4) default NULL,
  question varchar(255) default NULL,
  answer text,
  PRIMARY KEY  (no)
) TYPE=MyISAM;");

echo "Create table faqCategories<BR>";
SqlQuery("
CREATE TABLE faqCategories (
  id tinyint(3) NOT NULL auto_increment,
  categories varchar(255) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;");

echo "Create table moderatorlog<BR>";
SqlQuery("
CREATE TABLE moderatorlog (
  id int(1) NOT NULL auto_increment,
  mid int(11) NOT NULL default '0',
  time datetime NOT NULL default '0000-00-00 00:00:00',
  act text,
  PRIMARY KEY  (id)
) TYPE=MyISAM;");

echo "Create table T_Counter<BR>";
SqlQuery("
CREATE TABLE T_Counter (
  What varchar(80) NOT NULL default '',
  Var varchar(80) NOT NULL default '',
  Hit int(11) unsigned NOT NULL default '0'
) TYPE=MyISAM;");

SqlQuery("
INSERT INTO T_Counter VALUES ('browser','w3m',0),('browser','Lynx',0),('browser','MSIE',0),('browser','Opera',0),('browser','Konqueror',0),('browser','Netscape',0),('browser','Bot',0),('browser','Other',0),('os','Windows',0),('os','Linux',0),('os','Mac',0),('os','FreeBSD',0),('os','SunOS',0),('os','IRIX',0),('os','BeOS',0),('os','OS/2',0),('os','AIX',0),('os','Other',0);");

echo "Create table T_Priv_msgs<BR>";
SqlQuery("
CREATE TABLE T_Priv_msgs (
  msg_id int(11) NOT NULL auto_increment,
  msg_image varchar(100) default NULL,
  subject varchar(100) default NULL,
  from_userid int(11) NOT NULL default '0',
  to_userid int(11) NOT NULL default '0',
  msg_time varchar(20) default NULL,
  msg_text text,
  read_msg tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (msg_id),
  KEY to_userid (to_userid)
) TYPE=MyISAM;");

echo "Create table T_Session<BR>";
SqlQuery("
CREATE TABLE T_Session (
	sessid varchar(32) NOT NULL DEFAULT '' ,
   ipaddr varchar(20) NOT NULL DEFAULT '',	
	lastused int(11) NOT NULL DEFAULT '0' ,
	uid int(11) NOT NULL DEFAULT '0' ,
	PRIMARY KEY (sessid)
);");

echo "Create table T_UBookmark<BR>";
SqlQuery("
CREATE TABLE T_UBookmark (
  id int(11) NOT NULL auto_increment,
  uid int(11) NOT NULL default '0',
  rid varchar(16) NOT NULL default '',
  pid varchar(16) NOT NULL default '',
  PRIMARY KEY (id),
  KEY uid (uid)
) TYPE=MyISAM;");

echo "Create table T_Auto_Story<BR>";
SqlQuery("
CREATE TABLE T_Auto_Story (
  Rid varchar(16) NOT NULL default '',
  Host varchar(96) default NULL,
  Topic varchar(16) default NULL,
  Heading varchar(96) default NULL,
  Summary text,
  Content text,
  Author varchar(32) default NULL,
  AuthorEmail varchar(96) default NULL,
  AuthorURL varchar(96) default NULL,
  EmailComments tinyint(4) default NULL,  
  Poststamp int(11) default NULL,
  bofile varchar(100) default NULL,
  bcfile varchar(100) default NULL,
  bfsize int(4) default NULL,
  passwd varchar(56) default NULL,
  PRIMARY KEY  (Rid)
) TYPE=MyISAM;");

echo "Create table T_Admin_Msg<BR>";
SqlQuery("
CREATE TABLE T_Admin_Msg (
  Rid int(11) NOT NULL auto_increment,
  Heading varchar(255) default NULL,
  Content text,
  Active tinyint(4) NOT NULL default '1',
  Expire int(11) default NULL,
  Date int(11) default NULL,
  Type tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (Rid)
) TYPE=MyISAM;");

update_db("T_Config","ALTER TABLE T_Config CHANGE Name Name varchar(255);");
update_db("T_Config","ALTER TABLE T_Config CHANGE Value Value text;");

update_db("T_Config","INSERT INTO T_Config VALUES ('','HtmlKey','a:20:{i:0;s:1:\"a\";i:1;s:1:\"b\";i:2;s:10:\"blockquote\";i:3;s:2:\"br\";i:4;s:6:\"center\";i:5;s:3:\"div\";i:6;s:2:\"em\";i:7;s:2:\"hr\";i:8;s:1:\"i\";i:9;s:2:\"li\";i:10;s:2:\"ol\";i:11;s:1:\"p\";i:12;s:3:\"pre\";i:13;s:6:\"strong\";i:14;s:2:\"tt\";i:15;s:2:\"ul\";i:16;s:5:\"table\";i:17;s:2:\"td\";i:18;s:2:\"th\";i:19;s:2:\"tr\";}');");

update_db("T_Config","INSERT INTO T_Config VALUES ('','active_theme','a:35:{i:0;s:7:\"ewaddle\";i:1;s:5:\"slash\";i:2;s:3:\"t.o\";i:3;s:7:\"blogger\";i:4;s:8:\"blackbox\";i:5;s:7:\"tainted\";i:6;s:9:\"newsforge\";i:7;s:5:\"blurb\";i:8;s:7:\"moronic\";i:9;s:8:\"kuro5hin\";i:10;s:6:\"ananda\";i:11;s:7:\"shanked\";i:12;s:7:\"papered\";i:13;s:7:\"xwindow\";i:14;s:7:\"default\";i:15;s:9:\"geekforum\";i:16;s:6:\"silver\";i:17;s:4:\"gray\";i:18;s:9:\"freshmeat\";i:19;s:5:\"0ri0n\";i:20;s:4:\"osdn\";i:21;s:6:\"mergus\";i:22;s:6:\"linuxg\";i:23;s:3:\"ocx\";i:24;s:6:\"circle\";i:25;s:6:\"slashd\";i:26;s:7:\"hardocp\";i:27;s:7:\"dotvoid\";i:28;s:8:\"opensoul\";i:29;s:5:\"osdn2\";i:30;s:2:\"bw\";i:31;s:6:\"simple\";i:32;s:5:\"lxart\";i:33;s:11:\"codefactory\";i:34;s:6:\"spoono\";}');");

update_db("T_Auto_Story","ALTER TABLE T_Auto_Story ADD ParseLevel tinyint(1) default 3;");
update_db("T_Stories","ALTER TABLE T_Stories ADD ParseLevel tinyint(1) default 3;");
update_db("T_Comments","ALTER TABLE T_Comments ADD ParseLevel tinyint(1) default 3;");

update_db("T_Link_Order","
CREATE TABLE T_Link_Order (
  id int(11) NOT NULL auto_increment,
  name varchar(64) NOT NULL default '',
  display_name varchar(128) NOT NULL default '',
  url varchar(255) NOT NULL default '',
  display char(1) NOT NULL default 't',
  orderid tinyint(4) NOT NULL default '0',
  active int(1) NOT NULL default '1',
  PRIMARY KEY  (id),
  KEY name (name),
  KEY display (display),
  KEY orderid (orderid),
  KEY active (active)
) TYPE=MyISAM;");

update_db("T_Link_Order","INSERT INTO T_Link_Order VALUES ('','index','','','t',1,1),('','search','','','t',2,1),('','archive','','','t',3,1),('','contrib','','','t',4,1),('','links','','','t',5,1),('','poll','','','t',6,1),('','page','','','t',7,1),('','download','','','t',8,1),('','stats','','','t',9,1),('','faq','','','t',10,1),('','user','','','t',11,1),('','config','','','t',12,1),('','contact','','','t',13,1);");

update_db("T_Stats_date","
CREATE TABLE T_Stats_date (
  day int(11) NOT NULL default 0,
  hits int(11) NOT NULL default 0,
  KEY day (day)
) TYPE=MyISAM;");

update_db("T_Stats_week","
CREATE TABLE T_Stats_week (
  week tinyint(1) NOT NULL default 0,
  hits int(11) NOT NULL default 0,
  KEY week (week)
) TYPE=MyISAM;");

update_db("T_Stats_week","insert into T_Stats_week VALUES (0,0),(1,0),(2,0),(3,0),(4,0),(5,0),(6,0);");

update_db("T_Stats_month","
CREATE TABLE T_Stats_month (
  month tinyint(2) NOT NULL default 0,
  hits int(11) NOT NULL default 0,
  KEY month (month)
) TYPE=MyISAM;");

update_db("T_Stats_month","insert into T_Stats_month VALUES (1,0),(2,0),(3,0),(4,0),(5,0),(6,0),(7,0),(8,0),(9,0),(10,0),(11,0),(12,0);");

update_db("T_Stats_hour","
CREATE TABLE T_Stats_hour (
  hour tinyint(2) NOT NULL default 0,
  hits int(11) NOT NULL default 0,
  KEY hour (hour)
) TYPE=MyISAM;");

update_db("T_Stats_hour","insert into T_Stats_hour VALUES (0,0),(1,0),(2,0),(3,0),(4,0),(5,0),(6,0),(7,0),(8,0),(9,0),(10,0),(11,0),(12,0),(13,0),(14,0),(15,0),(16,0),(17,0),(18,0),(19,0),(20,0),(21,0),(22,0),(23,0);");

update_db("T_Random_Buttons","
CREATE TABLE T_Random_Buttons (
  id int(11) NOT NULL auto_increment,
  url varchar(255) NOT NULL default '',
  img_url varchar(255) NOT NULL default '',
  alt varchar(255) NOT NULL default '',
  hits int(11) NOT NULL default 0,
  PRIMARY KEY  (id)
) TYPE=MyISAM;");

update_db("T_Random_Link","
CREATE TABLE T_Random_Link (
  id int(11) NOT NULL auto_increment,
  url varchar(255) NOT NULL default '',
  title varchar(255) NOT NULL default '',
  alt varchar(255) NOT NULL default '',
  hits int(11) NOT NULL default 0,
  PRIMARY KEY  (id)
) TYPE=MyISAM;");

update_db("T_Banners","
CREATE TABLE T_Banners (
  id int(11) NOT NULL auto_increment,
  url varchar(255) NOT NULL default '',
  img_url varchar(255) NOT NULL default '',
  alt varchar(255) NOT NULL default '',
  rdate int(11) NOT NULL default 0,
  expire int(11) NOT NULL default 0,
  hits int(11) NOT NULL default 0,
  PRIMARY KEY  (id)
) TYPE=MyISAM;");

update_db("T_Blocks","ALTER TABLE T_Blocks CHANGE URL URL varchar(255);");
update_db("T_Blocks","ALTER TABLE T_Blocks ADD MaxItem tinyint(3) default 10;");

update_db("T_Users","ALTER TABLE T_Users DROP mailallow;");
update_db("T_Users","ALTER TABLE T_Users DROP rmailallow;");
update_db("T_Users","ALTER TABLE T_Users DROP score;");
update_db("T_Users","ALTER TABLE T_Users DROP csort;");
update_db("T_Users","ALTER TABLE T_Users DROP nocom;");
update_db("T_Users","ALTER TABLE T_Users DROP boxes;");
update_db("T_Users","ALTER TABLE T_Users DROP blocks;");

update_db("T_Users","ALTER TABLE T_Users CHANGE url url varchar(255);");
update_db("T_Users","ALTER TABLE T_Users CHANGE profile profile tinytext;");
update_db("T_Users","ALTER TABLE T_Users ADD config tinytext NOT NULL default '';");
update_db("T_Users","ALTER TABLE T_Users ADD blocks mediumblob NOT NULL default '';");
update_db("T_Users","ALTER TABLE T_Users ADD block_key varchar(16) NOT NULL default '';");
?>
