<?
/*--------------------------------------------------------------------
   KorWeblog :: Highly Customizable Weblog/CMS
   Copyright (C) 2001,2002 by Im Eunjea <eunjea@kldp.org>
   For detail of license and/or other info, see the file doc/COPYING.
   http://weblog.kldp.org
----------------------------------------------------------------------

LICENSE

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
----------------------------------------------------------------------*/

include("include/common.inc.php");

settype($what, "string");
settype($act, "string");
switch ($what) {

   case "login":
      if (KWL_CheckUserPasswd($name,$passwd)) {
         $tmp = KWL_GetUserInfo("name",$name);
         if ($remember) $c_time = $CONF['Cookie_time'] * 86400;
         $code = KWL_HcodeMake($tmp['uid'].$tmp['name'].$tmp['pass']);
         KWL_DoCookie("kwebloguser", "$tmp[uid]:$tmp[name]:$tmp[pass]:$code",$c_time);
         KWL_RedirectNotice(sprintf(_START_LOGIN,$name),"$CONF[G_URL]",1);
      } else KWL_ShowError(_PASS_NO);
   break;

   case "lostpass":
      if (KWL_CheckUserName($name)) $user = KWL_GetUserInfo("name",$name);
      if (!$user['name']) KWL_ShowError(_NO_USER);
      else {
         $pass = KWL_MakePasswd();
         $email = $user['email'];
         $sql  = "UPDATE T_Users SET pass = '". crypt($pass) ."' ";
         $sql .= "WHERE uid = '$user[uid]'";
         if (SqlQuery($sql)) {
            KWL_MailToUser($user['name'],$pass,$email);
            $head = _LOGIN;
            include("include/header.inc.php");
            $VAR['Content'] = "<CENTER><B>". _NEW_USER_DESC ."</B>".
                            "<P>[ <A href=\"$G_URL\">".
                            KWL_PrepareHtml($CONF['SiteName']) ."</A> - ".
                            KWL_PrepareHtml($CONF['SiteSlogan']) ." ]</CENTER><BR>";
            $VAR['Heading'] = _UHOME;
            KWL_DrawMain($VAR);
            include("include/footer.inc.php");
            exit;
         } else KWL_ShowError(_SQL_ERROR);
      }
   break;

   case "newuser":
      $name = trim($name);
      KWL_CheckNewUser($name,$email);
      $pass = KWL_MakePasswd();
      $cpass = crypt($pass);
      $sql  = "INSERT INTO T_Users (uid, user_level, name, pass, email, rdate) ";
      $sql .= "VALUES ('', 0, '$name', '$cpass', '$email', now())";
      SqlQuery($sql);
      if (SqlInsertId()) {
         KWL_MailToUser($name,$pass,$email);
         $head = _LOGIN;
         include("include/header.inc.php");
         $VAR['Content'] = "<CENTER><B>". _NEW_USER_DESC ."</B>".
                         "<P>[ <A href=\"$CONF[G_URL]\">".
                         KWL_PrepareHtml($CONF['SiteName']) ."</A> - ".
                         KWL_PrepareHtml($CONF['SiteSlogan']) ." ]</CENTER><BR>";
         $VAR['Heading'] = _UHOME;
         KWL_DrawMain($VAR);
         include("include/footer.inc.php");
         exit;
      } else KWL_ShowError(_SQL_ERROR);
   break;
}

$head = _UREGITER;
include("include/header.inc.php");
$out = new KWL_Html;
$VAR['Heading'] = _LOST_PASS;
$VAR['Content'] = $out->form_start("login.php","login") .
                $out->table_start("100%",'',0,0,3) .
"<TR>
   <TD COLSPAN=2>". _LPASS_TXT ."</TD>
<TR>
   <TD>". _NAME .":</TD>
   <TD>". $out->input_form("text","name",'',KWL_FormSize(10),50) ."</TD>
<TR>
   <TD COLSPAN=2>".
   $out->input_form("hidden","what","lostpass") .
   $out->input_form("submit",'',KWL_SubmitButton()) . "</TD>
</TR>". $out->table_end() . $out->form_end();
if ($act == "foo") KWL_DrawMain($VAR);

$VAR['Heading'] = _LOGIN;
$VAR['Content'] = $out->form_start("login.php","login") .
                $out->table_start("100%",'',0,0,3) .
"<TR>
   <TD>". _NAME .":</TD>
   <TD>". $out->input_form("text","name",'',KWL_FormSize(10),50) ."</TD>
<TR>
   <TD>". _PASSWD .":</TD>
   <TD>". $out->input_form("password","passwd",'',KWL_FormSize(10),13) ."<BR>".
          $out->check_box("remember") . _REMEBERME ."
   </TD>
<TR>
   <TD COLSPAN=2>".
   $out->input_form("hidden","what","login") .
   $out->input_form("submit",'',_LOGIN) ."</TD>";

if ($act != "foo") $VAR['Content'] .= "<TR><TD COLSPAN=2><A HREF=\"$CONF[G_URL]/login.php?act=foo\">". _LOST_PASS ."</A></TD>";
$VAR['Content'] .= "</TR>". $out->table_end() . $out->form_end();
KWL_DrawMain($VAR);

$VAR['Heading'] = _UREGITER;
$VAR['Content'] = $out->form_start("login.php","login") .
                $out->table_start("100%",'',0,0,3) .
"<TR>
   <TD>". _NAME .":</TD>
   <TD>". $out->input_form("text","name",'',KWL_FormSize(10),35) ."</TD>
<TR>
   <TD>". _EMAIL .":</TD>
   <TD>". $out->input_form("text","email",'',KWL_FormSize(10),60) ."</TD>
<TR>
   <TD COLSPAN=2>(". _REG_TEXT .")</TD>
<TR>
	<TD COLSPAN=2>".
   $out->input_form("hidden","what","newuser") .
   $out->input_form("SUBMIT",'',KWL_SubmitButton()) ."</TD>
</TR>". $out->table_end() . $out->form_end();
KWL_DrawMain($VAR);
include("include/footer.inc.php");
?>
