<?
/*--------------------------------------------------------------------
   KorWeblog :: Highly Customizable Weblog/CMS
   Copyright (C) 2001,2002 by Im Eunjea <eunjea@kldp.org>
   For detail of license and/or other info, see the file doc/COPYING.
   http://weblog.kldp.org
----------------------------------------------------------------------

LICENSE

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
----------------------------------------------------------------------*/

include("include/common.inc.php");

if ($CONF['AllowContrib']==0 && !KWL_CheckAdmin()) {
	$msg	= urlencode(_NOPOSTING);
	KWL_Redirect("stories.php?msg=$msg");
}

$out = new KWL_Html;
$VAR['Content'] = $out->form_start("preview.php","Contrib",$CONF['FILE_UPLOAD']) .
       $out->table_start("100%",'',0,0,3);

if ($add_file = KWL_ReadFile("logs/contrib_add.txt")) {
   $VAR['Content'] .= "<TR><TD COLSPAN=2>$add_file</TR></TD>\n";
}

$VAR['Content'] .= "<TR><TD>* <B>" . _NAME . "</B>:</TD>\n";

if ($login && is_array($user)) {
   $VAR['Content'] .= "<TD><A HREF=\"$G_URL/profiles.php?uid=$user[uid]\">".
           KWL_PrepareHtml($user['name']) ."</A>".
           $out->input_form("hidden","Author",$user['name']).
           $out->input_form("hidden","AuthorEmail",$user['email']).
           $out->input_form("hidden","AuthorURL",$user['url']).
           "</TD></TR>\n";
} else {
   $u = KWL_GetCookieUser();
   $VAR['Content'] .= "
	<TD>". $out->input_form("TEXT","Author",$u[0],$size['name'],32) ."</TD>
</TR>
<TR>
	<TD>* <B>". _EMAIL ."</B>:</TD>
	<TD>". $out->input_form("TEXT","AuthorEmail",$u[1],$size['name'],96) ."</TD>
</TR>
<TR>
	<TD>". _URL .":</TD>
	<TD>". $out->input_form("TEXT","AuthorURL",$u[2],$size['name'],96) ."</TD>
</TR>";
   }

settype($topic, "integer");
$VAR['Content'] .= "
<TR>
	<TD>* <B>" . _TITLE . "</B>:</TD>
	<TD>". $out->input_form("TEXT","Heading",'',$size['titl'],96) ."</TD>
</TR>
<TR>
	<TD>* <B>". _TOPIC . "</B>:</TD>
	<TD>". $out->topicsel($topic,"post") ."</TD>
</TR>";

if ($CONF['SummaryLength']) {
   $VAR['Content'] .= "
<TR>
	<TD COLSPAN=2>". _SUMMARY . ": (" . _OPTIONAL . ")<BR>
	". $out->textarea("Summary",5,$size['text']) ."
	</TD>
</TR>";
}

$VAR['Content'] .= "
<TR>
	<TD COLSPAN=2>* <B>". _STORY . "</B>: ". KWL_FormResizer("Contrib.Content",$size['text'],10) ."
<BR>". $out->textarea("Content",10,$size['text']) ."
	</TD>
</TR>
<TR>
	<TD COLSPAN=2>". KWL_MakeSelectParse($CONF['story_parse'],$CONF['ParseLevel']) ."
	</TD>
</TR>
";

if (SqlCount("T_IndexNames")) $VAR['Content'] .= KWL_EditIndex();

if ($CONF['EmailComments']) {
$VAR['Content'] .= "
<TR>
	<TD COLSPAN=2>". $out->check_box("EmailComments",1) ." ". _MAILCOMMENTS . "</TD>
</TR>";
}

if ($CONF['FILE_UPLOAD']) {
$VAR['Content'] .= "
<TR>
	<TD>"._FILE.":</TD>
	<TD>"
	. $out->input_form("HIDDEN","max_file_size",$CONF['FILE_MAX_SIZE'])
	. $out->input_form("file","userfile",'',KWL_FormSize(15),256) ."<BR>
</TD></TR>";
}

if ($CONF['ENABLE_EDIT'] && !$login) {
$VAR['Content'] .= "
<TR>
	<TD>"._PASSWD.":</TD>
	<TD>"
	. $out->input_form("password","passwd",'',KWL_FormSize(10),10) ."<BR>
	<font size=\"-1\">* ". _PASS_DESC ."</font>
</TD></TR>";
}

if ($CONF['admin_login']) {
$VAR['Content'] .= "
<TR>
	<TD COLSPAN=2><B>"._STORY_PROGRAM."</B>:
	". $out->select("autostory",array(_NOTUSE,_USE)) ."
	<BR><B>". _CURRENT_TIME ."</B>: ". date("Y-m-d H:i", time()) ."</TD>
</TR>
<TR>
	<TD COLSPAN=2>". KWL_MakeTimeSelect() ."</TD>
</TR>
";
}

$VAR['Content'] .= "
<TR>
	<TD COLSPAN=2>"
	. $out->input_form("HIDDEN","hcode",KWL_HcodeMake(KWL_GetConf("SiteKey")))
   . ($CONF['story_parse'] ? "" : $out->input_form("SUBMIT","mode",_SUBMIT))
	. $out->input_form("SUBMIT","mode",_PREVIEW) 
   . ($CONF['story_parse'] ? _MUST_PREVIEW : "") ."</TD>
</TR>". $out->table_end() . $out->form_end();

$head = _CONTRIB;
include("include/header.inc.php");
$VAR['Heading'] = _CONTRIBUTE;
KWL_DrawMain($VAR);
include("include/footer.inc.php");
?>
