<?
/*--------------------------------------------------------------------
   KorWeblog :: Highly Customizable Weblog/CMS
   Copyright (C) 2001,2002 by Im Eunjea <eunjea@kldp.org>
   For detail of license and/or other info, see the file doc/COPYING.
   http://weblog.kldp.org
----------------------------------------------------------------------

LICENSE

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
----------------------------------------------------------------------*/

if (!defined("LOAD_MODULE"))
   die ("You can not access this file directly...");
include("$CONF[G_PATH]/include/kmod/download/lang/$LANG". ".php");
include("$CONF[G_PATH]/include/javabox.inc.php");

function verification_file() {
	$CONF = KWL_GetConf();

	$sql  = "SELECT * FROM T_Download WHERE Verified = 0 ORDER BY date";
	$result = SqlQuery($sql);

	if (!mysql_num_rows($result)) return _NO_UNVERIFIED;
	$content = "
<TABLE BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"2\" WIDTH=\"100%\">
<TR>
	<td align=center>
	<font size=\"-1\"><b>"._FILE_NAME."</b></font></td>
	<td align=center><font size=\"-1\"><b>"._FILE_SIZE."</b></font></td>
	<td align=center><font size=\"-1\"><b>"._FILE_CATEGORY."</b></font></td>
	<td align=center><font size=\"-1\"><b>"._DATE."</b></font></td>
	<td align=center width=\"10\"><font size=\"-1\"><b>"._FILE_INFO."</b></td>
	<td align=center width=\"10\"><font size=\"-1\"><b>act</b></td>
</TR>
";
	$descimg = "<img src=\"$CONF[G_URL]/images.d/download/info.gif\" alt=\"info\" BORDER=\"0\">";

	while($A = mysql_fetch_array($result)) {
		$file = KWL_icon_check($A['filename']) . " $A[filename]";
		if (eregi("^(http|ftp|https)",$A['path'])) $size = "&nbsp;";
		else $size = KWL_FileHSize($A['filesize']);
		
		$content .= "<td><font size=\"-1\"><a href=\"download.php?mode=download&id=$A[id]\">$file</a></font></td>\n";
		$content .= "<td align=right><font size=\"-1\">$size</font></td>";
		$content .= "<td align=center><font size=\"-1\">";
		$content .= get_category($A['category']) . "</font></td>";
		$content .= "<td align=center><font size=\"-1\">";
		$content .= date("Y-m-d",$A['date']) . "</font></td>";
		$content .= "<td align=center><a href=\"download.php?mode=viewinfo&id=$A[id]\">$descimg</a></td>";
		$content .= "<td align=center>";
		$content .= "<a ONCLICK=\"return getconfirm();\" href=\"download.php?mode=killfile&id=$A[id]\"><img src=\"$CONF[img_url]/kill.gif\" BORDER=0></a> ";
		$content .= "<a href=\"download.php?mode=edit&id=$A[id]\"><img src=\"$CONF[img_url]/edit.gif\" BORDER=0></a> ";
		$content .= "<a href=\"download.php?mode=verified&id=$A[id]\"><img src=\"$CONF[img_url]/verify.gif\" BORDER=0></a>";
		$content .= "</td></tr>\n<tr>";
	}
	$content .= "</TR></TABLE>";
	return $content;
}

function get_category($id) {
	$ret = SqlResult("SELECT title FROM T_FileCategories WHERE id = $id");
	return htmlspecialchars($ret);	
}


function get_file_info($id) {
	$ret = SqlQueryFetchArray("SELECT * FROM T_Download WHERE id = $id");
	if (!is_array($ret)) die(_FILE_NOT);
	return $ret;
}

function download_file($id) {
	$CONF = KWL_GetConf();
	KWL_CheckLocalReferer(1);
	$A = get_file_info($id);
	if (is_array($A)) {
		if (eregi("^(http|ftp|https)",$A['path'])) $url = $A['path'];
		elseif (file_exists("$CONF[G_PATH]/$CONF[dn_path]/$A[category]/$A[path]/$A[filename]")) {
            $url = "$CONF[G_URL]/$CONF[dn_path]/$A[category]/$A[path]/$A[filename]";
      } else die(_FILE_NOT);
      SqlQuery("UPDATE T_Download set hit = hit + 1 WHERE id = $id");
		header("Location: $url");
	} else die(_SQL_ERROR);
}

function kill_file($id) {
	$CONF = KWL_GetConf();
	$A = get_file_info($id);
	if (is_array($A)) {
		SqlQuery("DELETE FROM T_Download WHERE id = '$id'");
		@unlink("$CONF[G_PATH]/$CONF[dn_path]/$A[category]/$A[path]/$A[filename]");
		@rmdir("$CONF[G_PATH]/$CONF[dn_path]/$A[category]/$A[path]");
	}
}

function view_file_info ($id) {
	$CONF = KWL_GetConf();

	$A = get_file_info($id);
	$file = KWL_icon_check($A['filename']) . " $A[filename]";
	if (!$A['Verified']) $tmp = $file;
	else $tmp = "<a href=\"download.php?mode=download&id=$A[id]\">$file</a>";
	if (empty($A['uname'])) $A['uname'] = _ANONY;
	$content = "
<TABLE BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"4\" WIDTH=\"100%\">
<TR>
	<TD><B>"._FILE_NAME.":</B></TD>
	<TD>$tmp</a></TD>
<TR>
	<TD><B>"._FILE_SIZE.":</B></TD>
	<TD>". ($A['filesize'] ? KWL_FileHSize($A['filesize']) : "&nbsp;") ."</TD>
<TR>
	<TD><B>"._DATE.":</B></TD>
	<TD>".date("Y-m-d h:i a",$A['date'])."</TD>
<TR>
	<TD><B>"._FILE_HITS.":</B></TD>
	<TD>$A[hit]</TD>
<TR>
	<TD><B>"._FILE_CATEGORY.":</B></TD>
	<TD>".htmlspecialchars(get_category($A['category']))."</TD>
<TR>
	<TD><B>"._FILE_BY_WHO.":</B></TD>
	<TD>$A[uname]</TD>
<TR>
	<TD VALIGN=TOP><B>"._FILE_DESC.":</B></TD>
	<TD>". KWL_ParseContent($A['description'],$CONF["ParseLevel"]) ."</TD>
<TR>
	<TD><B>"._FILE_URL.":</B></TD>
	<TD><a href=\"$A[url]\" target=\"_new\">$A[url]</a></TD>
<TR>
	<TD COLSPAN=2 ALIGN=CENTER>[
";
if ($CONF['dn_uedit'])
	$content .= "<a href=\"download.php?mode=edit&id=$id\">"._EDIT."</a> | ";

$content .= "<a href=\"javascript:history.back()\" onmouseover=\"window.status='[Back]' ; return true\">Back</a> ]
	</TD>
</TR></TABLE>
";
return $content;
}

# īװ ֱ
function show_category($categories=0) {
	$CONF = KWL_GetConf();
	
	$content = "
<TABLE BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"0\" WIDTH=\"100%\">
<TR>
	<TD>
";
	$tmp = "(" . SqlCount("T_Download") . ")";
	if (!$categories) {
		$dirimg = "<img src=\"images.d/download/folder_open.gif\" alt=\"". _ALL_CATEGORY ."\" BORDER=\"0\">";
		$content .= "$dirimg <B>". _ALL_CATEGORY ."</B> $tmp</TD>";
	} else {
		$dirimg = "<img src=\"images.d/download/folder.gif\" alt=\"". _ALL_CATEGORY ."\" BORDER=\"0\">";
		$content .= "$dirimg <A HREF=\"download.php\">"._ALL_CATEGORY."</A> $tmp</TD>";
	}
	$sql = "SELECT * FROM T_FileCategories";
	if ($CONF['dn_csort']) $sql .= " ORDER BY title $CONF[dn_csort]";
	$result = SqlQuery($sql);

	$i=1;
	while($A = mysql_fetch_array($result)) {
		$content .= "<TD>";
		$fnum = "(" . SqlCount("T_Download","category",$A['id']) . ")";
		if ($categories == $A['id']) {
			$dirimg = "<img src=\"images.d/download/folder_open.gif\" alt=\"$A[title]\" BORDER=\"0\">";
			$content .= "$dirimg <B>$A[title]</B>";
		} else {
			$dirimg = "<img src=\"images.d/download/folder.gif\" alt=\"$A[title]\" BORDER=\"0\">";
			$content .= "$dirimg <A HREF=\"download.php?categories=$A[id]\">";
			$content .= $A['title'] . "</A>";
		}
		$content .= " $fnum </TD>\n";
		$i++;
		if ($i>($CONF['dn_pline'] - 1)) { $content .= "</TR><TR>\n"; $i=0; }
	}
	$content .= "</TR></TABLE>\n";
	@mysql_free_result($result);
	
	if ($categories) {
		$desc = SqlResult("select description from T_FileCategories where id = $categories");
		if (!empty($desc)) $content .= "<HR><TABLE BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"0\" WIDTH=\"100%\"><TR><TD>$desc</TD></TR></TABLE>\n";
	}
	return $content;
}

#  ֱ
function show_files($sort,$categories,$page) {
	$CONF = KWL_GetConf();

$href = "download.php?categories=$categories";
$dimg = "<img src=\"images.d/download/down.gif\" alt=\"Sort Ascending\" BORDER=\"0\">";
$uimg = "<img src=\"images.d/download/up.gif\" alt=\"Sort Descending\" BORDER=\"0\">";
$descimg = "<img src=\"images.d/download/info.gif\" alt=\"info\" BORDER=\"0\">";
$content = "
<HR>
<TABLE BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"2\" WIDTH=\"100%\">
<TR>
	<td align=center>
	<font size=\"-1\"><b><a href=\"$href&sort=filenamea\">$dimg</a>&nbsp;<a href=\"$href&sort=filenamea\">"._FILE_NAME."</a>&nbsp;<a href=\"$href&sort=filenamed\">$uimg</a></b></font></td>
	<td align=center><font size=\"-1\"><b><a href=\"$href&sort=filesize\">$dimg</a>&nbsp;<a href=\"$href&sort=filesized\">"._FILE_SIZE."</a>&nbsp;<a href=\"$href&sort=filesized\">$uimg</a></b></font></td>
	<td align=center><font size=\"-1\"><b><a href=\"$href&sort=category\">$dimg</a>&nbsp;<a href=\"$href&sort=category\">"._FILE_CATEGORY."</a>&nbsp;<a href=\"$href&sort=categoryd\">$uimg</a></b></font></td>
	<td align=center><font size=\"-1\"><b><a href=\"$href&sort=date\">$dimg</a>&nbsp;<a href=\"$href&sort=dated\">"._DATE."</a>&nbsp;<a href=\"$href&sort=dated\">$uimg</a></b></font></td>
	<td align=center><font size=\"-1\"><b><a href=\"$href&sort=hit\">$dimg</a>&nbsp;<a href=\"$href&sort=hitd\">"._FILE_HITS."</a>&nbsp;<a href=\"$href&sort=hitd\">$uimg</a></b></font></td>
	<td align=center><font size=\"-1\"><b>"._FILE_INFO."</b></td>
</TR>
";

switch ($sort) {
	case "filenamea":
		$qsort = "filename ASC";
		break;
	case "filenamed":
		$qsort = "filename DESC";
		break;
	case "filesize":
		$qsort = "filesize ASC";
		break;
	case "filesized":
		$qsort = "filesize DESC";
		break;
	case "category":
		$qsort = "category ASC";
		break;
	case "categoryd":
		$qsort = "category DESC";
		break;
	case "date":
		$qsort = "date ASC";
		break;
	case "dated":
		$qsort = "date DESC";
		break;
	case "hit":
		$qsort = "hit ASC";
		break;
	case "hitd":
		$qsort = "hit DESC";
		break;
	default:
		$qsort = "date DESC";
}

if (empty($page)) $page = 1;
$prev_page = $page - 1;
$next_page = $page + 1;
$page_start = ($CONF['dn_plimit'] * $page) - $CONF['dn_plimit'];

$sql  = "SELECT * FROM T_Download";
if ($categories) $sql .= " WHERE category = '$categories'";
$sql .= " ORDER BY $qsort";
$sql .= " LIMIT $page_start,$CONF[dn_plimit]";
$result = SqlQuery($sql);

while($A = mysql_fetch_array($result)) {
	$file = KWL_icon_check($A['filename']) . " $A[filename]";
	if (eregi("^(http|ftp|https)",$A['path'])) $size = "&nbsp;";
	else $size = KWL_FileHSize($A['filesize']);
	unset($box_text);
	if (!empty($A['description'])) {
		$box_text = _FILE_DESC . ":\n" . KWL_genSummary($A['description']);
		$box_text = KWL_MouseOverBox($box_text);
	} else $box_text = "";
	$content .= "<TR>";
	$content .= "<td><font size=\"-1\">";

	if (!$A['Verified']) $content .= $file . " (". _FILE_NO_VERF .")";
	else $content .= "<a href=\"download.php?mode=download&id=$A[id]\" $box_text>$file</a>";

	$content .= "</font></td>\n<td align=right><font size=\"-1\">"
		. "$size </font></td>"
		. "<td align=center><font size=\"-1\">"
		. get_category($A['category']) . "</font></td>"
		. "<td align=center><font size=\"-1\">"
		. date("Y-m-d",$A['date']) . "</font></td>"
		. "<td align=center><font size=\"-1\">$A[hit]</font></td>"
		. "<td align=center><a href=\"download.php?mode=viewinfo&id=$A[id]\">$descimg</a>";
		
	if ($CONF['admin_login']) {
		$content .= "&nbsp;<a onclick=\"return getconfirm();\" href=\"download.php?mode=killfile&id=$A[id]\"><img src=\"$CONF[img_url]/kill.gif\" BORDER=0></a>&nbsp;<a href=\"download.php?mode=edit&id=$A[id]\"><img src=\"$CONF[img_url]/edit.gif\" BORDER=0></a>";
	}
	$content .= "</td>";
}

if (!$categories) $files_num = SqlCount("T_Download");
else $files_num = SqlCount("T_Download","category",$categories);

if (empty($page)) $page = 1;
$page_start = ($CONF['dn_plimit'] * $page) - $CONF['dn_plimit'];

$blah = KWL_npLink($files_num,$page,"$CONF[G_URL]/download.php?page=$prev_page&categories=$categories&sort=$sort",$CONF['dn_plimit']);

$content .= "<TR><TD COLSPAN=6 ALIGN=CENTER><HR>$blah</TD>\n";
   if ($CONF['dn_mode'] || $CONF['admin_login']) {
      $content .= "<TR><TD COLSPAN=6 ALIGN=RIGHT>[ <a href=\"$CONF[G_URL]/download.php?mode=upload&categories=$categories\">". _UPLOAD ."</a>".
                  " | <a href=\"$CONF[G_URL]/download.php?mode=uplink&categories=$categories\">". _UPLINK ."</a> ]";
}

$content .= "</TD></TR></TABLE>\n";
@mysql_free_result($result);

return $content;
}

function upload_form($categories,$link=0) {
   global $user;
	$CONF = KWL_GetConf();

   $out = new KWL_Html;

   $content = $out->form_start("download.php","Upload",1).
              $out->table_start("100%",'',0,0,3).
"<TR>
   <TD>"._FILE_CATEGORY.":</TD>
   <TD>
	<select name=\"category\">";
$result = SqlQuery("SELECT * FROM T_FileCategories ORDER BY id ASC");
while($A = mysql_fetch_array($result)) {
	$foo = $categories == $A['id'] ? "selected" : "";
	$content .= sprintf ("<option value=\"$A[id]\" %s>$A[title]</option>\n",$foo);
}
$content .= "</select></TD></TR>";

if ($link) {
   $content .= "
<TR>
	<TD>". _PROGRAM_NAME .":</TD>
	<TD>". $out->input_form("text","filename",'',KWL_FormSize(10),256) ."
	</TD>
</TR>
<TR>
	<TD>". _FILE ." URL:</TD>
	<TD>". $out->input_form("text","filelink",'',KWL_FormSize(15),256) ."
	</TD>
</TR>";
   
} else {
   $content .= "
<TR>
	<TD>". _FILE .":</TD>
	<TD>". $out->input_form("HIDDEN","max_file_size",$CONF['dn_maxsize']).
          $out->input_form("file","userfile",'',KWL_FormSize(15),256) ."<BR>
          <font size=\"-1\">(". _MAX_FILE_SIZE . " " . KWL_FileHSize($CONF['dn_maxsize']). ")</font>
	</TD>
</TR>";
}

$content .= "
<TR>
	<TD>". _FILE_URL .":</TD>
	<TD>". $out->input_form("text","url",'',KWL_FormSize(15),255) ."
	</TD>
</TR>
<TR>
   <TD>". _FILE_DESC .":</TD>
	<TD>". $out->textarea("description",5,KWL_FormSize(20)) ."
	</TD>
</TR>";
if (!is_array($user)) {
   $content .= "
<TR>
	<TD>". _NAME .":</TD>
	<TD>". $out->input_form("text","uname",'',KWL_FormSize(10),30) ."
	</TD>
</TR>
<TR>
	<TD>". _PASSWD .":</TD>
	<TD>". $out->input_form("password","passwd",'',KWL_FormSize(7),13) ."
	(". _PASS_INFO .")
	</TD>
</TR>";
}

if ($link) { 
   $mode = "filelink";
   $button = _UPLINK;
} else { 
   $mode = "fileup";
   $button = _UPLOAD;
}

$content .= "
<TR>
	<TD COLSPAN=2>". $out->input_form("hidden","mode",$mode).
                    $out->input_form("submit",'',$button)."
	</TD>
</TR>". $out->table_end() . $out->form_end();
return $content;
}

function edit_file($id) {

	$A = get_file_info($id);
	
		$content = "
<FORM ACTION=\"". KWL_GetConf("G_URL") ."/download.php\" NAME=\"Update\" METHOD=\"POST\" ENCTYPE=\"multipart/form-data\">
<TABLE BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"5\" WIDTH=\"100%\">
<TR>
	<TD>"._FILE_NAME.":</TD>
	<TD>". KWL_icon_check($A['filename']) . " " . $A['filename'] . 
   ($A['filesize'] ? " - ". KWL_FileHSize($A['filesize'],1) : "") ."</TD>
<TR>
	<TD>"._FILE_CATEGORY.":</TD>
	<TD>
	<select name=\"category\">";
$result = SqlQuery("SELECT * FROM T_FileCategories ORDER BY id ASC");
while($B = mysql_fetch_array($result)) {
	$foo = ($A['category'] == $B['id']) ? "selected" : "";
	$content .= sprintf ("<option value=\"$B[id]\" %s>$B[title]</option>\n",$foo);
}

$content .= "</select>
	</TD>
<TR>
	<TD>"._FILE_URL.":</TD>
	<TD>
	<INPUT TYPE=TEXT NAME=url value=\"$A[url]\" SIZE=".KWL_FormSize(15)." MAXLENGTH=255>
	</TD>
<TR>
   <TD>"._FILE_DESC.":</TD>
	<TD>
	<TEXTAREA NAME=\"description\" ".KWL_Form_Wrap()." ROWS=5 COLS=" . KWL_FormSize(20) . ">".htmlspecialchars($A['description'])."</TEXTAREA>
	</TD>
<TR>
	<TD>"._NAME.":</TD>
	<TD>
	<INPUT TYPE=text NAME=uname value=\"$A[uname]\" SIZE=\"" . KWL_FormSize(10) . "\" MAXLENGTH=30>
	</TD>
<TR>
	<TD>"._PASSWD.":</TD>
	<TD>
	<INPUT TYPE=password NAME=passwd SIZE=\"" . KWL_FormSize(7) . "\" MAXLENGTH=13>
	</TD>
<TR>
	<TD COLSPAN=2>
	<INPUT TYPE=HIDDEN NAME=\"filename\" VALUE=\"$A[filename]\">
	<INPUT TYPE=HIDDEN NAME=\"oldfilepath\" VALUE=\"$A[path]\">
	<INPUT TYPE=HIDDEN NAME=\"id\" VALUE=\"$A[id]\">
	<INPUT TYPE=HIDDEN NAME=\"oldc\" VALUE=\"$A[category]\">
	<INPUT TYPE=HIDDEN NAME=\"mode\" VALUE=\"updatefile\">
	<INPUT TYPE=HIDDEN NAME=\"hcode\" VALUE=\"". KWL_HcodeMake($A['filename'].$A['path'].$A['id'].$A['category']."updatefile") ."\">
	<INPUT TYPE=SUBMIT VALUE=\""._EDIT."\"> &nbsp;"
	. _DELETE_FILE ." <INPUT TYPE=CHECKBOX NAME=\"deletefile\"> 
	</TD>
</TR></TABLE>
</FORM>
";
return $content;
}

function check_fpasswd($id,$passwd) {
	$CONF = KWL_GetConf();
	$orig_pass = SqlResult("SELECT passwd FROM T_Download WHERE id = '$id'");
	if (md5($passwd)==$CONF["Passwd"]) return 1;
	elseif ($CONF['admin_login']) return 1;
	elseif (!empty($passwd) && !empty($orig_pass)) {
		if (crypt($passwd, $orig_pass)==$orig_pass) return 1;
	}
}
?>
