<?
/*--------------------------------------------------------------------
   KorWeblog :: Highly Customizable Weblog/CMS
   Copyright (C) 2001,2002 by Im Eunjea <eunjea@kldp.org>
   For detail of license and/or other info, see the file doc/COPYING.
   http://weblog.kldp.org
----------------------------------------------------------------------

LICENSE

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
----------------------------------------------------------------------*/

class KWL_STATS {

   function top_story($out) {
      $sql  = "SELECT Rid,Heading,Hits,replys FROM T_Stories WHERE Hits > 0 ";
      $sql .= "ORDER BY Hits DESC LIMIT 10";
      $result = SqlQuery($sql);

      if (mysql_num_rows($result)) {
         $VAR['Content'] = $out->table_start("100%",'',0,0,2);
         while ($A = mysql_fetch_array($result)) {
            $VAR['Content'] .= "<TR>".
               "<TD><A HREF=\"". KWL_MakeStoryLink($A["Rid"]) ."\">$A[Heading]</A> ($A[replys])</TD>".
               "<TD ALIGN=RIGHT>". number_format($A['Hits']) ." ". _HITS ."</TD></TR>\n";
         }
         $VAR['Content'] .= $out->table_end();
      } else $VAR['Content'] = _NOSTORIES;
      
      $VAR['Heading'] = _TOPSTORIES;
      KWL_DrawMain($VAR);
   }

   function hot_story($out) {
      $sql  = "SELECT Rid,Heading,replys FROM T_Stories WHERE replys > 0 ";
      $sql .= "ORDER BY replys DESC LIMIT 10";
      $result = SqlQuery($sql);

      if (mysql_num_rows($result)) {
         $VAR['Content'] = $out->table_start("100%",'',0,0,2);
         while ($A = mysql_fetch_array($result)) {
            $VAR['Content'] .= "<TR>".
               "<TD><A HREF=\"". KWL_MakeStoryLink($A["Rid"]) ."\">$A[Heading]</A></TD>".
               "<TD ALIGN=RIGHT>". number_format($A['replys']) ." ". _FIX ."</TD></TR>\n";
         }
         $VAR['Content'] .= $out->table_end();
      } else $VAR['Content'] = _NOSTORIES;
      
      $VAR['Heading'] = _HOTSTORIES;
      KWL_DrawMain($VAR);
   }

   function top_poll($out) {
      $sql  = "SELECT Rid,Question,Voters from T_PollQuestions WHERE Voters > 0 ";
      $sql .= "ORDER BY Voters desc LIMIT 10";
      $result = SqlQuery($sql);

      if (mysql_num_rows($result)) {
         $VAR['Content'] = $out->table_start("100%",'',0,0,2);
         while ($A = mysql_fetch_array($result)) {
            $VAR['Content'] .= "<TR><TD><A HREF=\"pollbooth.php?poll=$A[Rid]&aid=-1\">". KWL_PrepareHtml($A['Question']) ."</A> (". SqlCount("T_Comments","TopRid",$A['Rid']) .")</TD>".
               "<TD ALIGN=RIGHT>" . $A["Voters"] . " " . _VOTES . "</TD></TR>\n";
         }
         $VAR['Content'] .= $out->table_end();
      } else $VAR['Content'] = _NOPOLLS;
      
      $VAR['Heading'] = _TOPPOLLS;
      KWL_DrawMain($VAR);
   }

   function top_page($out) {
      $sql  = "SELECT Rid,Heading,Hits from T_Blocks WHERE Hits > 0 ";
      $sql .= "AND (Display = 'f' OR Display = 'p') ORDER BY Hits desc LIMIT 10";
      $result = SqlQuery($sql);
      if (mysql_num_rows($result)) {
         $VAR['Content'] = $out->table_start("100%",'',0,0,2);
         while ($A = mysql_fetch_array($result)) {
            $VAR['Content'] .= "<TR><TD>".
               "<A HREF=\"pages.php?page=$A[Rid]\">". KWL_PrepareHtml($A['Heading']) ."</A>".
               "</TD>".
               "<TD ALIGN=RIGHT>" . number_format($A["Hits"]) . " " . _HITS . "</TD></TR>\n";
         }
         $VAR['Content'] .= $out->table_end();
      } else $VAR['Content'] = _NOPAGES;
      
      $VAR['Heading'] = _TOPPAGES;
      KWL_DrawMain($VAR);
   }

   function top_link($out) {
      $sql  = "SELECT Rid,Url,Name,Hits from T_Links WHERE Hits > 0 ";
      $sql .= "ORDER BY Hits desc LIMIT 10";
      $result = SqlQuery($sql);
      $nrows  = mysql_num_rows($result);
      if (mysql_num_rows($result)) {
         $VAR['Content'] = $out->table_start("100%",'',0,0,2);
         while ($A = mysql_fetch_array($result)) {
            $VAR['Content'] .= "<tr><td>".
               sprintf("<A TARGET= \"_blank\" HREF=\"portal.php?url=%s&what=T_Links&rid=%s&code=%s\">%s</A> - <SMALL>%s</SMALL>",
                     urlencode($A["Url"]),
                     $A["Rid"],
                     KWL_HcodeMake("T_Links".$A["Rid"],1),
                     KWL_PrepareHtml($A["Name"]),
                     $A["Url"]).
               "</td><td align=right>". number_format($A['Hits']) . " " . _HITS . "</td></tr>\n";
         }
         $VAR['Content'] .= $out->table_end();
      } else $VAR['Content'] = _NOLINKS;
      
      $VAR['Heading'] = _TOPLINKS;
      KWL_DrawMain($VAR);
   }

   function stats_time($out) {

      $nameofweek = array( _STATS_SUN,_STATS_MON,_STATS_TUE,_STATS_WED,_STATS_THU,_STATS_FRI,_STATS_SAT );
      $nameofmonth = array(0, _STATS_JAN,_STATS_FEB,_STATS_MAR,_STATS_APR,_STATS_MAY,_STATS_JUN,_STATS_JUL,_STATS_AUG,_STATS_SEP,_STATS_OCT,_STATS_NOV,_STATS_DEC);

      $query_str = "SELECT hits FROM T_Stats_date WHERE day = ";
      $to = SqlResult($query_str . date("Ymd"));
      $yes = SqlResult($query_str . date("Ymd",time()-(60*60*24)));
      $started = SqlResult("SELECT * FROM T_Stats_date order by day ASC limit 0,1");
      $started = substr($started,0,4) ."/". substr($started,4,2) ."/". substr($started,6,2);
      $thismonth = SqlResult("SELECT SUM(hits) FROM T_Stats_date WHERE day >= ". date("Ym01"));
      $thisyear = SqlResult("SELECT SUM(hits) FROM T_Stats_date WHERE day >= ". date("Y0101"));
      
      $avg_per_day = SqlResult("SELECT floor(avg(hits)) FROM T_Stats_date");
      $max_hits = SqlQueryFetchArray("SELECT day,hits FROM T_Stats_date ORDER BY hits DESC LIMIT 0,1");
      $max_hits_day = substr($max_hits['day'],0,4) ."/".
         substr($max_hits['day'],4,2) ."/".
         substr($max_hits['day'],6,2);
      $month = (int) date("m");
      $week = (int) date("w");

      $VAR['Content'] = $out->table_start("100%",'',0,0,2).
         "<TR><TD>". _STATS_NOW .":</TD>".
         "<TD ALIGN=RIGHT>". KWL_strftime(time(), "%Y-%b-%d %I:%M %p") ."</TD></TR>\n".
         "<TR><TD>". _START_COUNTING .":</TD>".
         "<TD ALIGN=RIGHT>$started</TD></TR>\n".
         "<TR><TD>". _VISIT_TODAY .":</TD>".
         "<TD ALIGN=RIGHT>". number_format($to) ."</TD></TR>\n".
         "<TR><TD>". _VISIT_YESTERDAY .":</TD>".
         "<TD ALIGN=RIGHT>". number_format($yes) ."</TD></TR>\n".
         "<TR><TD>". _VISIT_THISMONTH ." ($nameofmonth[$month]):</TD>".
         "<TD ALIGN=RIGHT>". number_format($thismonth) ."</TD></TR>\n".
         "<TR><TD>". _VISIT_THISYEAR ." (". date("Y") ."):</TD>".
         "<TD ALIGN=RIGHT>". number_format($thisyear) ."</TD></TR>\n".
         "<TR><TD>". _AVG_PER_DAY .":</TD>".
         "<TD ALIGN=RIGHT>". number_format($avg_per_day) ."</TD></TR>\n".
         "<TR><TD>". _MAX_VISIT_DAY ." ($max_hits_day):</TD>".
         "<TD ALIGN=RIGHT>". number_format($max_hits['hits']) ."</TD></TR>\n".
         $out->table_end();

      $VAR['Heading'] = _STATS_VISTORS;
      KWL_DrawMain($VAR);

      $rt = SqlQuery("SELECT * FROM T_Stats_hour ORDER BY hour ASC");
      $total = SqlResult("SELECT SUM(hits) FROM T_Stats_hour");
      $VAR['Content'] = $out->table_start("100%",'',0,0,2);
      while ($A = mysql_fetch_array($rt)) {
         if ($A['hour'] == 0) $tmp = sprintf(_STATS_AM,12);
         elseif ($A['hour'] < 12) $tmp = sprintf(_STATS_AM,$A['hour']);
         elseif ($A['hour'] == 12) $tmp = sprintf(_STATS_PM,$A['hour']);
         else $tmp = sprintf(_STATS_PM,$A['hour'] - 12);
         $VAR['Content'] .= "<TR><TD>$tmp</TD>".
            $this->make_percbar($A['hits'],$total);
      }
      $VAR['Content'] .= $out->table_end();
      $VAR['Heading'] = _STATS_HOUR;  
      KWL_DrawMain($VAR);

      $rt = SqlQuery("SELECT * FROM T_Stats_week ORDER BY week ASC");
      $total = SqlResult("SELECT SUM(hits) FROM T_Stats_week");
      $VAR['Content'] = $out->table_start("100%",'',0,0,2);
      while ($A = mysql_fetch_array($rt)) {
         $VAR['Content'] .= "<TR><TD>". $nameofweek[$A['week']] ."</TD>".
            $this->make_percbar($A['hits'],$total);
      }
      $VAR['Content'] .= $out->table_end();
      $VAR['Heading'] = _STATS_WEEK;
      KWL_DrawMain($VAR);

      $rt = SqlQuery("SELECT * FROM T_Stats_month ORDER BY month ASC");
      $total = SqlResult("SELECT SUM(hits) FROM T_Stats_month");
      $VAR['Content'] = $out->table_start("100%",'',0,0,2);
      while ($A = mysql_fetch_array($rt)) {
         $VAR['Content'] .= "<TR><TD>". $nameofmonth[$A['month']] ."</TD>".
            $this->make_percbar($A['hits'],$total);
      }
      $VAR['Content'] .= $out->table_end();
      $VAR['Heading'] = _STATS_MONTH;
      KWL_DrawMain($VAR);
   }

   function counter_stats($out) {
      $VAR['Heading'] = _BROWSER;
      $VAR['Content'] = $this->counter_drawResult("browser");
      KWL_DrawMain($VAR);
      
      $VAR['Heading'] = _OS;
      $VAR['Content'] = $this->counter_drawResult("os");
      KWL_DrawMain($VAR);
   }

   function counter_drawResult($what) {
      $ret = "<TABLE BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"2\" WIDTH=100%>";
      $total = SqlResult("SELECT SUM(Hit) FROM T_Counter WHERE What = '$what'");
      $result = SqlQuery("SELECT Var,Hit FROM T_Counter WHERE What = '$what' ORDER BY Hit DESC");
      while ($A = mysql_fetch_array($result)) {
         @$percent = $A['Hit'] / $total * 100;
         $width   = (int) ($percent * 2);
         $ret .= "<TR><TD ALIGN=LEFT>";			
         $ret .= ($A['Var'] == "Other" ? _OTHER : $A['Var']);
         $ret .= "</TD><TD ALIGN=LEFT>".
            $this->make_percbar($A['Hit'],$total);
      }
      mysql_free_result($result);
      return $ret .= "</TABLE>";
   }

   function make_percbar($hits,$total,$bar=2) {
      @$percent = $hits / $total * 100;
      $width   = (int) ($percent * $bar);
      return sprintf("<TD><IMG SRC=\"". KWL_GetConf("G_URL") ."/images.d/bar.gif\"\" WIDTH=\"$width\" HEIGHT=\"10\" ALIGN=\"bottom\" ALT=\"%.2f %%\">",$percent).
         "</TD><TD ALIGN=RIGHT>". round($percent, 2) ."% (". number_format($hits) ." ". _HITS .")</TD></TR>\n";
   }
}
?>
