<?
/*--------------------------------------------------------------------
   KorWeblog :: Highly Customizable Weblog/CMS
   Copyright (C) 2001,2002 by Im Eunjea <eunjea@kldp.org>
   For detail of license and/or other info, see the file doc/COPYING.
   http://weblog.kldp.org
----------------------------------------------------------------------

LICENSE

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
----------------------------------------------------------------------*/

if (eregi("main.inc.php", $_SERVER['PHP_SELF']))
   die ("You can not access this file directly...");

set_magic_quotes_runtime(0);
ini_set('magic_quotes_gpc',1);
ini_set('magic_quotes_sybase',0);

include("$G_PATH/include/sql.inc.php");
include("$G_PATH/include/layout.inc.php");
include("$G_PATH/include/parser.inc.php");
include("$G_PATH/include/polls.inc.php");
include("$G_PATH/include/comments.inc.php");
include("$G_PATH/include/misc.inc.php");
include("$G_PATH/include/html.inc.php");
include("$G_PATH/include/mail.inc.php");
include("$G_PATH/include/users.inc.php");
include("$G_PATH/include/rdf.inc.php");

/* workaround for register_globals=Off */
if(!ini_get("register_globals")) KWL_MakeGlobalVars();

if (!empty($msg) && !KWL_CheckLocalReferer()) unset($msg);

if (substr(php_uname(), 0, 7) == "Windows") $exec['mv'] = "move /y";
else $exec['mv'] = "/bin/mv";

/* form size */
$agent = KWL_GetAgent();
$size['name'] = KWL_FormSize(13);   # Name
$size['pass'] = KWL_FormSize(10);   # Password
$size['titl'] = KWL_FormSize(19);   # Title
$size['text'] = KWL_FormSize(22);   # Text
$size['find'] = KWL_FormSize(7);    # Find
$size['search'] = KWL_FormSize(15); # Search

/*====================================================================*/
$G_VER	= "1.5.8";
if ($G_ENCODE) {
	$G_USER = base64_decode($G_USER);
	$G_PASS = base64_decode($G_PASS);
}
$sql_link = SqlConnect($G_HOST.":".$G_PORT,$G_USER,$G_PASS);
SqlSelectDb($G_DB);

# site config read from db
$CONF = array();
$CONF	= KWL_SiteConfig();
$CONF['G_URL']  = &$G_URL; 
$CONF['G_PATH'] = &$G_PATH;
$CONF['G_DATE'] = &$G_DATE;
$LANG	= &$CONF['Language'];
include_once($CONF['G_PATH'] ."/backend/language/$LANG" . ".lng");

# blocking IP
if ($CONF['SPAM_IP']) KWL_BlockingIP();

# check admin login
if (KWL_CheckAdmin()) {
	$CONF['admin_login'] = 1;
	include_once($CONF['G_PATH'] ."/admin/lang/$LANG" . ".php");
} else $CONF['admin_login'] = 0;

/* check user login */
if (isset($_COOKIE['kwebloguser']) && !$CONF['NoLogin_User']) {
   $cookie = KWL_CookieDecode($_COOKIE['kwebloguser']);
   settype($cookie[0],"integer"); /* uid must be integer */
   $user = KWL_GetUserInfo("uid",$cookie[0]);
   if (is_array($user) && $cookie[2]==$user['pass'] && KWL_HcodeCheck($cookie[0].$cookie[1].$cookie[2],$cookie[3])) $login = 1;
   else $user[] = $login = "";
} else $user[] = $login = "";

/* user's custom config */
$blockconfig = SqlResult("SELECT Rid FROM T_Blocks WHERE Display = 'r' OR Display = 'l' ORDER BY Timestamp DESC LIMIT 1");
$user_blocks = array();
settype($score , "integer");
if (!$CONF['admin_login']) {
   if ($login) {
      
      if ($user['block_key'] == $blockconfig)
         $user_blocks = unserialize($user['blocks']);
      
      $user['config'] = unserialize($user['config']);
      if (!isset($hide)) {
         $cmode = $user['config']['nc'];
         $comment_sort = $user['config']['cs'];
      }
      $score = $user['config']['sc'];
      $CONF['PAGE_REPLY_LIMIT'] = $user['config']['climit'] ? $user['config']['climit'] : $CONF['PAGE_REPLY_LIMIT'];
   
   } elseif ($CONF['NoLogin_User']) {
      
      unset($user); settype($what, "string");
      if (isset($_COOKIE['config']) && $what != "save_cookie") {
         $cookie = unserialize(base64_decode($_COOKIE['config']));
         if (!isset($hide)) {
            $cmode = $cookie['nc'];
            $comment_sort = $cookie['cs'];
         }
         $CONF['PAGE_REPLY_LIMIT'] = $cookie['climit'] ? $cookie['climit'] : $CONF['PAGE_REPLY_LIMIT'];
         $score = -1;
         $user['config']['alloff'] = isset($cookie['alloff']) ? $cookie['alloff'] : null;
         $user['config']['iconoff'] = isset($cookie['iconoff']) ? $cookie['iconoff'] : null;
         $user['config']['nocom'] = isset($cookie['nocom']) ? $cookie['nocom'] : null;
      }
      if (isset($_COOKIE[$blockconfig]))
         $user_blocks = unserialize(base64_decode($_COOKIE[$blockconfig]));
      $C_USER = md5($CONF['SiteKey'] . "_userinfo");
   
   }
} else $score = -1;
if (isset($sc)) $score = $sc;

/* site theme */
if (isset($korweblog_new_theme)) {
   if ($login && $user['uid']) {
      SqlQuery("UPDATE T_Users SET theme = '$korweblog_new_theme' WHERE uid = $user[uid]");
   } else {
      setcookie ("korweblog_theme",$korweblog_new_theme,time()+15552000);
   }
   $site_theme = $korweblog_new_theme;
} elseif (isset($preview_layout)) {
   $site_theme = $preview_layout;
} elseif (isset($user['theme']) && in_array($user['theme'],$CONF['active_theme'])) {
   $site_theme = $user['theme'];
} elseif (isset($_COOKIE['korweblog_theme']) && in_array($_COOKIE['korweblog_theme'],$CONF['active_theme'])) {
   $site_theme = $_COOKIE['korweblog_theme'];
} else {
   $site_theme = $CONF['Layout'];
}
$LAYOUT = KWL_ImportLayout($site_theme);

/* for bookmark */
if (isset($bm)) $CONF['PAGE_REPLY'] = 0;

# Topic info
$TOPIC = KWL_CacheTopic();

# count stories
$TOTAL_STORY = SqlCount("T_Stories","Verified","Y");

# for deny direct access
define("LOAD_MODULE","1");

# session init module
if ($CONF['Session']) {
   include_once($CONF['G_PATH'] ."/include/kmod/session/index.php");
}
# user private msg
if ($CONF['Private_msg']) {
   include_once($CONF['G_PATH'] ."/include/kmod/priv_msgs/index.php");
}
# do auto story posting 
if ($CONF['Auto_Posting']) {
   register_shutdown_function('KWL_AutoStory');
}
/*====================================================================*/

function KWL_Notice($notice) {
	echo "<TABLE BORDER=\"0\" CELLPADDING=\"0\" CELLSPACING=\"0\" WIDTH=\"100%\"><TR><TD><B>$notice</B></TD></TR></TABLE><BR>\n";
}

function KWL_MakeStoryLink($story) {
   return (KWL_GetConf("G_URL") . "/stories.php?story=$story");
}

function KWL_SiteConfig() {
   global $G_URL;

	$result = SqlQuery("SELECT * FROM T_Config");
   while ($A = mysql_fetch_array($result)) $object[$A['Name']] = $A['Value'];
   @mysql_free_result($result);
   
	/* make some default variables */
   $object['img_url'] = $G_URL ."/images.d/". $object['Language'];
   if (!empty($object['nchar'])) $object['nchar'] = " $object[nchar] ";
   else $object['nchar'] = " | ";
   if (empty($object['dotchar']))
      $object['dotchar'] = "<strong><big>&#183;</big></strong>";
   if (!$object['Session_tmout']) $object['Session_tmout'] = 30;
   if (!$object['Priv_msg_limit']) $object['Priv_msg_limit'] = 50;
   if (!$object['Cookie_time']) $object['Cookie_time'] = 7;
   if (!$object['Bmark_limit']) $object['Bmark_limit'] = 20;
   if (!$object['dn_plimit']) $object['dn_plimit'] = 20;
   if (!$object['dn_path']) $object['dn_path'] = "download";
   if (!$object['dn_pline']) $object['dn_pline'] = 4;
   if (!$object['dn_maxsize']) $object['dn_maxsize'] = 2000000;
   $object['dn_maxsize'] = KWL_MakeMaxUploadSize($object['dn_maxsize']);
   $object['HtmlKey'] = unserialize($object['HtmlKey']);
   $object['active_theme'] = unserialize($object['active_theme']);
   if ($object['NoLogin_User']) unset($object['SCORING'],$object['Bookmark']);
   return $object;
}

function KWL_CacheTopic() {
   $sort = strtolower(KWL_GetConf('TopicSort'));
   if ($sort == "asc" || $sort == "desc") {
      $sort = "ORDER BY OrderID $sort";
   }
   $rt  = SqlQuery("SELECT * FROM T_Topics $sort");
   while ($A = mysql_fetch_array($rt)) {
      if (!empty($A['ImgURL']) && !preg_match('!^http!', $A['ImgURL'])) {
         $A['ImgURL'] = KWL_GetConf('G_URL') ."/". $A['ImgURL'];
      }
      $object[$A['Rid']] = $A;
   }
   @mysql_free_result($rt);
   unset($A);
   return $object;
}

function KWL_genSummary($doo) {
   $summ_length = KWL_GetConf("SummaryLength");
   $summ = "";
   if ($summ_length) {
      $doo  = trim($doo);
      if (strlen($doo) > $summ_length) {
         $words  = explode(" ", $doo);
         $stop   = 0;
         $tmpcnt = 0;
         $wordcount = count($words);
         while ($stop == 0) {
            $summ = $summ . " " . $words[$tmpcnt];
            if (strlen($summ) > $summ_length) $stop = 1;
            elseif (count($words) < $tmpcnt) $stop = 1;
            $tmpcnt++;
         }
      } else $summ = $doo;
      return $summ;
   } else return;
}

function KWL_Rot13($text) {
   for ($i=0,$len=strlen($text);$i<$len;$i++)
      if (strstr('abcdefghijklmnopqrstuvwxzyABCDEFGHIJKLMNOPQRSTUVWXYZ',$text[$i])) $text[$i] = chr(ord($text[$i]) + ((strtoupper($text[$i]) > 'M') ? -13 : 13));
   return $text;
}

function KWL_AdminLinki($what,$item,$where="") {

	$img_url = KWL_GetConf("img_url");
   $G_URL = KWL_GetConf("G_URL");
	if (KWL_CheckAdmin()) {
		if (eregi("edit.php",$where)) $where = "/admin/";
	
		# delete
		$s	= sprintf("<a onclick= \"return getconfirm();\" href= \"$G_URL/admin/kill.php?what=%s&item=%s&where=%s\">%s</a>&nbsp;&nbsp;",$what,$item,$where,"<img src=\"$img_url/kill.gif\" alt=\"kill\" BORDER=\"0\">");
		
		# edit
		$s	.= sprintf("<a href= \"$G_URL/admin/edit.php?what=%s&item=%s&where=%s\">%s</a>&nbsp;&nbsp;",$what,$item,$where,"<img src=\"$img_url/edit.gif\" alt=\"edit\" BORDER=\"0\">");
		
		# verify
		if (basename($_SERVER['PHP_SELF'])=="moderate.php" && $what!="T_Blocks" && $what!="T_PollQuestions") {
			$s	.= sprintf("<a href= \"$G_URL/admin/verify.php?what=%s&item=%s&where=%s\">%s</a>&nbsp;&nbsp;",$what,$item,"admin/moderate.php","<img src=\"$img_url/verify.gif\" alt=\"verify\" BORDER=\"0\">");
			
		# renew
		} elseif ($what=="T_Stories") {
			$s	.= sprintf("<a href= \"$G_URL/admin/repost.php?what=%s&item=%s&where=%s\">%s</a>\n",$what,$item,$where,"<img src=\"$img_url/new.gif\" alt=\"new\" BORDER=\"0\">");
		}
	return $s;
	}
}

function KWL_CheckAdmin() {
   $site_key = KWL_GetConf("SiteKey");
   $name	= md5($site_key . "_admin");
   if (isset($_COOKIE[$name]) && $_COOKIE[$name] == md5(KWL_Rot13($site_key))) return true;
   else return false;
}

function KWL_ErrorLog($msg) {
   $fn	= KWL_GetConf("G_PATH") . "/logs/error.log";
   $err	= date ("m/d/y H:i:s") . " : " . $msg . "\n";
   if (!$file=@fopen($fn,"ab")) {
      echo "Error! Can't write $fn.<br>\n".
           "Check permission or run fix_permissions.sh script.";
      exit;
   } else {
      fputs($file, $err);
   }
   fclose($file);
   $tmp	= urlencode("<font color=darkred>ERROR! $msg -- " . _PROBLEM . "</font>");
   /* header("Location: $G_URL/stories.php?msg=$tmp"); */
}

function KWL_AccessLog($str) {
	$fn	= KWL_GetConf("G_PATH") . "/logs/access.log";
	$msg	= date ("m/d/y H:i:s") . " : " . KWL_GetIP() . " : " . $str . "\n";
	if (!$file=@fopen($fn,"ab")) KWL_ErrorLog(_UNABLE_WRITE . " $fn\n");
	else fputs($file, $msg);
	fclose($file);
}

function KWL_SubmitButton() {
   global	$nonsense;
   $max	= count($nonsense)-1;
   return $nonsense[rand(0,$max)];
}

function KWL_GetIP($reverse=0) {
   $host = "";
   $type = array("HTTP_VIA","HTTP_X_COMING_FROM","HTTP_X_FORWARDED_FOR",
                 "HTTP_X_FORWARDED","HTTP_COMING_FROM","HTTP_FORWARDED_FOR",
                 "HTTP_FORWARDED");
   foreach ($type as $what) {
      if (isset($_SERVER[$what])) {
         $host = $_SERVER[$what];
         break;
      }
   }
   $host = $host ? $host : $_SERVER['REMOTE_ADDR'];
   $domain = $reverse ? @gethostbyaddr($host) : null;
   return $domain ? $domain : $host;
}

function KWL_getRid() {
   $mtime = explode(" ",microtime());
   $time = substr($mtime[1],-4,4);
   $micro = substr($mtime[0],3,-4);
   return (date("y/m/d",time()) ."/". $time . $micro);
}

function KWL_DateFormat($datestamp,$str="") {
   global $G_DATE;
   
   $tmp	= empty($str) ? $G_DATE : $str;
   $month	= substr($datestamp, 5, 2);
   $day	= substr($datestamp, 8, 2);
   $year	= substr($datestamp, 0, 4);
   $hour	= substr($datestamp, 11,2);
   $min	= substr($datestamp, 14,2);
   $sec	= substr($datestamp, 17,2);
   $ts	= mktime($hour,$min,$sec,$month,$day,$year);
	
   /* workround for broken locale config */
	if (KWL_GetConf('Language') == "korean" && empty($str)) {
      $date = @date("Y m d a h:i",$ts);
      $date = str_replace("am","",$date);
      $date = str_replace("pm","",$date);
   } else $date = strftime($tmp,$ts);
   return $date;
}

function KWL_strftime($date,$tmp='') {
	global $G_DATE;
	if (!empty($tmp)) $G_DATE = $tmp;
	return strftime($G_DATE,$date);
}

function KWL_GetIndex($rid) {
	$s	= "";
	$result	= SqlQuery("SELECT Rid,ParentRid,Name,URL,Hits FROM T_IndexLinks WHERE ParentRid = '$rid'");
	while ($A = mysql_fetch_array($result)) {
		if ($A["URL"]) $s	.= "<LI> <A TARGET=\"_blank\" HREF=\"". KWL_GetConf("G_URL") ."/portal.php?url=" . urlencode($A["URL"]) . "&what=T_IndexLinks&rid=$rid&code=". KWL_HcodeMake("T_IndexLinks".$rid,1) ."\">$A[Name]</A></LI>\n";
	}
	mysql_free_result($result);
	return $s;
}

function KWL_EditIndex($rid="") {
	$s	= "";
	$sql    = "SELECT Name FROM T_IndexNames";
	$result = SqlQuery($sql);   
	while (list($name,) = SqlFetchRow($result)) {
		$lsql	= "SELECT URL FROM T_IndexLinks WHERE ParentRid = '$rid' ";
		$lsql	.= " AND Name = '$name'";
		$url	= SqlResult($lsql);
		$s  .= "<tr><td>" . $name . ":</td>";
		$s  .= "<td><input type=text name=\"Links[" . $name . "]\" value=\"" . $url . "\" size=". KWL_FormSize(20) ." maxlength=128>";
		$s	.= "</td></tr>\n";
	}
	mysql_free_result($result);
	return $s;
}

function KWL_AutoStory() {
   $result = SqlQuery("SELECT * FROM T_Auto_Story WHERE Poststamp < ". 
                       time() ." ORDER BY Rid DESC");
   if (mysql_num_rows($result)) {
      while ($A = mysql_fetch_array($result)) {
         $sql  = "INSERT INTO T_Stories ";
         $sql .= "(Rid,Verified,Topic,Heading,Summary,Content,Host,Author,AuthorEmail,AuthorURL,EmailComments,Hits,Birthstamp,Repostamp,bofile,bcfile,bfsize,passwd,ParseLevel) VALUES (";
         $sql .= "'$A[Rid]','Y', '$A[Topic]', '". addslashes($A[Heading]) ."', '". addslashes($A[Summary]) ."', '". addslashes($A[Content]) ."', '$A[Host]', '". addslashes($A[Author]) ."', '". addslashes($A[AuthorEmail]) ."', '$A[AuthorURL]', '$A[EmailComments]', 1, now(), now(), '$A[bofile]', '$A[bcfile]', '$A[bfsize]', '$A[passwd]', $A[ParseLevel])";
         if (SqlQuery($sql)) {
            SqlQuery("DELETE FROM T_Auto_Story WHERE Rid = '$A[Rid]'");
            KWL_ExportRdf();
         } else KWL_ErrorLog(_AUTO_POST_FAILED);
      }
      @mysql_free_result($result);
   }
}

function KWL_StoryLink($link,$rid,$update='') {
	if (is_array($link)) {
		SqlQuery("DELETE FROM T_IndexLinks WHERE ParentRid = '$rid'");
		while (list($k,$l) = each($link)) {
			$l = KWL_UrlCheck($l);
			if ($l) {
				$sql	= "INSERT INTO T_IndexLinks (ParentRid,Name,URL,Hits) ";
				$sql	.= "VALUES ('$rid','$k','$l',0)";
				SqlQuery($sql);
			}
		}
	}
}

function KWL_GetConf($var='') {
	global $CONF;
	return ($var ? $CONF[$var] : $CONF);
}

function KWL_npLink($total,$p,$link,$page_limit=10,$plimit=10,$pval="page") {
   
   $ret = "";
   if (empty($p)) $p = 1;
   elseif ($p < 0) $p = 1;

   $prev_page = $p - 1;
   $next_page = $p + 1;

   if ($total % $page_limit) $num_pages = intval($total / $page_limit) + 1;
   else $num_pages = intval($total / $page_limit);
   if ($p > $num_pages) $p = $num_pages;

   if ($p < $plimit) {
      $s_pages = 1;
      $e_pages = $plimit;
   } else {
      $s_pages = floor($p / $plimit) * $plimit;
      $e_pages = $p + $plimit;
   }
   
   $tmp = $e_pages - $s_pages;
   if ($tmp > $plimit) $e_pages = $e_pages - ($tmp - $plimit);

   if ($e_pages > $num_pages) $e_pages = $num_pages;
   
   if ($prev_page) {
      if (($p + 1)> $plimit) $ret = "[<A HREF=\"$link&amp;$pval=1\">S</A>] ";
      $tmp = $s_pages - $plimit;
      if ($tmp > 0) $ret .= "[<A HREF=\"$link&amp;$pval=$tmp\">&lt;&lt;</A>] ";
      $ret .= "[<A HREF=\"$link&amp;$pval=$prev_page\">". _PREV ."</A>] ";
   }
   for ($i = $s_pages; $i <= $e_pages; $i++) {
      if ($i != $p) $ret .= "<A HREF=\"$link&amp;$pval=$i\">$i</A> ";
      elseif ($i != 1) $ret .= "<B><I> $i </I></B>";
      elseif ($p != $num_pages) $ret .= " <B><I>1</I></B> ";
   }
   if ($p != $num_pages) {
      $ret .= "[<A HREF=\"$link&amp;$pval=$next_page\">". _NEXT ."</A>] ";
      if ($num_pages != $e_pages) {
         $ret .= "[<A HREF=\"$link&amp;$pval=$e_pages\">&gt;&gt;</A>] ";
         $ret .= "[<A HREF=\"$link&amp;$pval=$num_pages\">L</A>]";
      }
   }
   return $ret;
}

function KWL_doBlocks($align) {
   global $site_theme,$LAYOUT,$story;
   global $topic,$TOPIC,$TOTAL_STORY;
   global $page,$user_blocks;
   global $user,$login,$agent;
   
	$CONF = KWL_GetConf();
   $cnt	= 0;
   $aln	= substr($LAYOUT["BlocksAlign"],0,1);
   if (preg_match("/(stories|index)\.php/i",$_SERVER['PHP_SELF'])) $mainpage = 1;
   else $mainpage = 0;
   
	$sql	= "SELECT *,UNIX_TIMESTAMP(Timestamp) AS Timestamp,".
           "UNIX_TIMESTAMP(Birthstamp) As Birthstamp ".
           "FROM T_Blocks WHERE Display = '$align' ORDER BY OrderID";
   $blocks_result	= SqlReturnArray($sql);
   $blocks_nrows	= count($blocks_result);
   
   if (count($user_blocks)) {
      foreach($blocks_result as $A) {
         if (in_array($A['Rid'],$user_blocks)) {
            if (empty($mainpage) && $A['ShowMain']) continue;
            $cnt++;
         }
      }
   } else $cnt = $cnt + $blocks_nrows;

   $width = $align=="r" ? $LAYOUT['RightBlocksWidth'] : $LAYOUT['LeftBlocksWidth'];
   print "<!-- start block ($align) //-->\n";
   if ($align=="r") echo "<TD><IMG SRC=\"$CONF[G_URL]/images.d/speck.gif\" HEIGHT=1 WIDTH= \"" . $LAYOUT["AreaPadding"] . "\" ALT=\"\"></TD>\n";
   echo "<TD VALIGN=TOP WIDTH=\"$width\">\n";

   if ($CONF['admin_login'] && $align=='l') include_once("$CONF[G_PATH]/include/sblock/admin.php");
   
	if ($align==$CONF['menu_blockw']) {
      include_once("$CONF[G_PATH]/include/sblock/menu.php");
   }

	if ($blocks_nrows) {
      if (count($user_blocks)) {
         foreach($blocks_result as $A) {
            if (in_array($A['Rid'],$user_blocks)) {
               if (!$mainpage && $A['ShowMain']) continue;
               else {
                  if ($A['Type'] == 3) include_once("$CONF[G_PATH]/include/sblock/$A[URL]");
                  else {
                     if ($CONF['admin_login']) $A['Content'] .= "<BR>\n" . KWL_AdminLinki("T_Blocks",$A["Rid"],"stories.php");
                     KWL_DrawBlock($A);
                  }
               }
            }
         }
      } else {
         foreach($blocks_result as $A) {
            if (!$mainpage && $A['ShowMain']) continue;
            else {
               if ($A['Type'] == 3) include_once("$CONF[G_PATH]/include/sblock/$A[URL]");
               else {
                  if ($CONF['admin_login']) $A['Content'] .= "<BR>\n" . KWL_AdminLinki("T_Blocks",$A["Rid"],"stories.php");
                  KWL_DrawBlock($A);
               }
            }
         }
      }
   }
   
   if ($cnt > 0) {
      echo "<IMG SRC=\"$CONF[G_URL]/images.d/speck.gif\" WIDTH=\"$width\" HEIGHT=\"1\" ALT=\"\"></TD>\n";
   }
   if ($align=="l") echo "<TD><IMG SRC=\"$CONF[G_URL]/images.d/speck.gif\" HEIGHT=1 WIDTH=\"$LAYOUT[AreaPadding]\" ALT=\"\"></TD>\n";
   echo "<!-- end of block ($align) //-->\n";
   unset($blocks_result);
}
?>
