<?
/*--------------------------------------------------------------------
   KorWeblog :: Highly Customizable Weblog/CMS
   Copyright (C) 2001,2002 by Im Eunjea <eunjea@kldp.org>
   For detail of license and/or other info, see the file doc/COPYING.
   http://weblog.kldp.org
----------------------------------------------------------------------

LICENSE

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
----------------------------------------------------------------------*/

include("include/common.inc.php");
include("include/header.inc.php");

settype($page, "integer");
settype($p, "integer");
if (empty($page)) $page = 1;
if (empty($p)) $p = 1;

if (empty($story)) {
   if (empty($_SERVER['QUERY_STRING'])) KWL_AdminMsg();
   $page_start = ($CONF["LimitNews"] * $page) - $CONF["LimitNews"]; 
   
   $sql	= "SELECT * FROM T_Stories WHERE ";
   if ($CONF["Moderation"]) $sql	.= " Verified = 'Y' AND ";
   if ($CONF["Topics"] && !empty($topic)) $sql .= " Topic = '$topic' AND ";
   $sql	.= " Rid > '0' ORDER BY Repostamp desc";
   $sql	.= sprintf(" LIMIT %s,%s",$page_start,$CONF["LimitNews"]);

   $result	= SqlQuery($sql);
   if (mysql_num_rows($result)) {
      while ($A = mysql_fetch_array($result)) {
         KWL_DrawSummary($A,urlencode("stories.php?story=" . $A['Rid']));
         
      }
      if ($topic) $num_rows = SqlCount("T_Stories","Topic",$topic,"Verified","Y");
      else $num_rows = $TOTAL_STORY;

      $blah = KWL_npLink($num_rows,$page,"stories.php?topic=$topic",$CONF["LimitNews"]);
      if (!empty($blah)) echo "<CENTER>$blah</CENTER>\n";
      
   } else {
      
      $bla	= $TOPIC[$topic]['Topic'];
      if (empty($bla)) $bla = _NOSTORY;
      $VAR["Heading"] = $bla;
      if ($CONF["Topics"]>0 && !empty($topic)) $tmp	= _EMPTYTOPIC;
      else $tmp	= _EMPTY;
      $VAR["Content"] = $tmp . "<BR><BR>";
      KWL_DrawMain($VAR);
   }

} else {

   if (!empty($C_STORY)) $A = &$C_STORY;
   else $A = KWL_GetStory($story);

   if (!is_array($A)) {

      $VAR["Heading"] = _NOSTORY;
      $VAR["Content"] = "<BR><CENTER><B>". _NOSTORY1
                        ."</B><P>[ <A href=\"$CONF[G_URL]\">"
                        . KWL_PrepareHtml($CONF['SiteName']) ."</A> - "
                        . KWL_PrepareHtml($CONF['SiteSlogan']) ." ]</CENTER><BR>";
      KWL_DrawMain($VAR);

   } else {

      $tmp	= urlencode("stories.php?story=" . $A["Rid"]);
      if ($p<2 && !isset($hide)) KWL_DrawStory($A,$tmp);
      if ($CONF['NEXT_PREV']) echo KWL_NP_Story($A['Repostamp']);
		
      if (!$TOPIC[$A['Topic']]['NoComments']) {
         if (!empty($user['config']['nocom']) && $A['replys']) {
            echo "<P>\n<CENTER>[ " . _COMMENT ." ". $A['replys'] ." ". _FIX ." : "
               . "<A HREF=\"$CONF[G_URL]/comments.php?rid=$A[Rid]&story=$A[Rid]\">"
               . _REPLY_VIEW . "</A> ]</CENTER><BR>\n";
         } else {
            if ($A['replys'] && $CONF['Comments']) {
               $topinfo['title'] = $A['Heading'];
               $topinfo['renum'] = $A['replys'];
               $topinfo['Rid'] = $A['Rid'];
               if (!empty($CONF['SCORING'])) {
                  $tmp = KWL_GetScore($A['Rid']);
                  $topinfo['renum0'] =& $tmp['C0'];
                  $topinfo['renum1'] =& $tmp['C1'];
               }

               if ($CONF['PAGE_REPLY']) {
                  KWL_PageReply($story,"stories.php?story=$A[Rid]",$topinfo,$score);
               } else {
                  KWL_SortComment("comments.php?rid=$A[Rid]&story=$A[Rid]",1,$topinfo);
                  KWL_doComments($story,$story,"stories.php?story=$A[Rid]&cmode=$cmode&comment_sort=$comment_sort&p=$p" ,0);
                  KWL_SortComment("comments.php?rid=$A[Rid]&story=$A[Rid]",1,$topinfo);
               }
            }
            print "<P>\n";
            KWL_PostComment($story,$story,"stories.php?story=$A[Rid]&p=$p");
         }
      }
      if ($A['Host'] != KWL_GetIP()) KWL_UpHits("T_Stories",$story);
   }
}
include("include/footer.inc.php");

function KWL_AdminMsg() {
   $sql = "SELECT * FROM T_Admin_Msg WHERE Active = 1 AND Expire > ". time() ." ORDER BY Rid DESC";
   $result = SqlQuery($sql);
   if (mysql_num_rows($result)) {
      while ($A = mysql_fetch_array($result)) {
         if (!$A['Type']) $A['Content'] = KWL_ParseContent($A['Content'],3);
         KWL_DrawMain($A);
         echo "<P>\n";
      }
   }
}
?>
